#!/opt/local/bin/perl

# 2003/08/29 ; george  : (last update)
# 2004/05/06 : oneiros : new namespace (VSO::)
# 2004/06/06 : oneiros : based on SOHOi.cgi
# 2004/06/11 : oneiros : added GetData stub, so I don't forget to add it later.

use strict;
use SOAP::Transport::HTTP;

SOAP::Transport::HTTP::CGI
  -> dispatch_to('VSO::MLSOi')  
  -> handle;


package VSO::MLSOi;

use VSO::DataProvider::MLSO;

sub Query {
	my ($class) = shift;
	my $vso = VSO::DataProvider::MLSO->new();

	$vso->Query(@_);
}

sub VSO::MLSOi::Ping {
	my ($class) = shift;
	my $vso = VSO::DataProvider::MLSO->new();

	$vso->Ping(@_);
}

sub VSO::MLSOi::GetData {
	my ($class) = shift;
	my $vso = VSO::DataProvider::MLSO->new();

	$vso->GetData(@_);
}

1;
