#	Makefile for instrument prototype directory
#	to make UNIX modules to test on the UNIX system.
#
#	master make file for astro/test
#		
MAKE      = make $(MFLAGS)
#
#
TOP = $(CODE)
BIN=.

# commands (and flags) to get work done
CCFLAGS = $(DFLAGS)
MVCMD = mv
RMCMD = rm
CCCMD = $(VX_CC)
LD = $(VX_LD)
H0 = $(TOP)/h
DFLAGS = -DVxWorks -I$(H0) -I$(VX_H)

.c.o:
	$(CCCMD) $(CCFLAGS) $? -c -x -r


ROUTINES = solarEphm.o sun_eph.o abcd_lat.o astrotime.o

solar.o:  $(ROUTINES)
	$(LD) -x -o solar.o -r $(ROUTINES)

astrotime.o:
	$(CCCMD) $(DFLAGS) astrotime.c -c -x -r

sun_eph.o:
	$(CCCMD) $(DFLAGS) sun_eph.c -c -x -r

abcd_lat.o:
	$(CCCMD) $(DFLAGS) abcd_lat.c -c -x -r

clean:
	-$(RMCMD) *.o lint.log core
