/* eph.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Compute ephemeris data from date & time.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   14 February 2000
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

main (argc, argv)

{
   int year ;
   int month ;
   int day ;
   int hour ;
   int minute ;
   int second ;

   extern int jday_sub () ;
   extern int solar_sub () ;

   sprintf (&year,   "%d", argv [1]) ;
   sprintf (&month,  "%d", argv [2]) ;
   sprintf (&day,    "%d", argv [3]) ;
   sprintf (&hour,   "%d", argv [4]) ;
   sprintf (&minute, "%d", argv [5]) ;
   sprintf (&second, "%d", argv [6]) ;

   jd = jday_sub (year, month, day) ;
   solar_sub () ;
   exit (0) ;
   
}
