;+
; NAME	imgramp.pro
;
; PURPOSE	Generate a square image containing a linear ramp.
;
; AUTHOR	Andrew L. Stanger   HAO/NCAR   19 July 2002
;-

PRO imgramp

img = bytarr (512, 512)

FOR i = 0, 511 DO	$
    BEGIN
    j = i / 2
    img [i, 0:511] = j
    END

WINDOW, xs = 512, ys = 512, retain=2
TV, img

CLOSE,  11
OPENW,  11, 'ramp.img'
WRITEU, 11, img
CLOSE,  11

END
