/* con.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Contour map generator.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
main()
{
char namemc[80];
char namimg[80];

float *z;
int l, m, n;
float zlo, zhi, zinc;
int nset = 0;
int nhi = 0;
int ndot = -231;

float zmin =  1.e+30;
float zmax = -1.e+30;
int idot;
int nelem;
int nbytes;
int fd;
int i;

   printf ("Enter density image file name : ");
   scanf ("%s", namimg);

   printf ("Enter size of square image : ");
   scanf ("%d", &n);

/* Derive metacode file name from input image name. */

   idot = -1;
   for (i=0; i<strlen(namimg); i++) if (namimg[i] == '.')  idot = i;
   if (idot < 0)  idot = strlen(namimg) - 1;
   strcpy (namemc, namimg);
   namemc[idot] = '.';
   namemc[idot+1] = 'm';
   namemc[idot+2] = 'c';
   namemc[idot+3] = '\0';
   printf ("idot: %d\n", idot);
   printf ("namemc: %s\n", namemc);

/* Read image into memory. */

   nelem = n * n;
   nbytes = nelem * sizeof(float);
   z = (float *) malloc (nbytes);
   l = m = n;
   if ((fd = open (namimg, 0)) <= 0)
      {
      printf ("Invalid file: %s  fd:%d\n", namimg, fd);
      exit (-1);
      }
   read (fd, z, nbytes);
   for (i=0; i<nelem; i++)
      {
      if (*(z+i) < zmin)  zmin = *(z+i);
      if (*(z+i) > zmax)  zmax = *(z+i);
      }
   printf ("zmin: %g   zmax: %g\n", zmin, zmax);

   printf ("Enter contour parameters [low, high, increment] : ");
   scanf ("%f,%f,%f", &zlo, &zhi, &zinc);

/* Contour image. */

   q8qini(namemc, 1);
   conrec(z,l,m,n,zlo,zhi,zinc,nset,nhi,ndot);
   frame();
}
