-------- SMM C/P Application Programs for Silicon Graphics Workstations -------
				21 January 1994

avimg		Pixel averaging: one image
avimgs		Pixel averaging: list of images

calcp		SMM C/P calibration
chilo		Convert calibrated C/P mage from Hi to Lo resolution (new file).
cor4q		4-quadrant SMM C/P image display
cpcen		Find disk center in one or more SMM C/P images.
cpclean		Remove bright points, reseau dots, blemishes from C/P images.
cpclean80	Remove bright points, reseau dots from C/P images.
cpclean87	Remove bright points, reseau dots, blemishes from C/P images.
cpfits		Convert C/P image to FITS format.
cpglsrf		Convert C/P image to Sun rasterfile format using current LUT.
cphilo		Convert calibrated C/P image f rom Hi to Lo resolution (replace)
cplog		Write summary information from C/P housekeeping.
cpovi		Create sun rasterfile using C/P image(s) & overlay file.
cppic		Create WHIP .pic file from SMM C/P image file.
cpq		Display 4-quadrant C/P image with north UP.
cps		Simple C/P scan program (uses WHIP FB).
cpv		Display C/P image in WHIP FB.
cpw		Display C/P image(s) in GL window.
cpwo		SMM C/P Mass computation.
cpwv		Display C/P image in GL window, then copy to WHIP FB.
cs		Simple C/P scan program (uses GL window).
csj		Simple C/P scan program (GL window; applies Jupiter correction).

faddimg		Add two C/P images.
fb		Reports current WHIP FB number.
fbk		Generates Bk image by subtracting F*V+S mask.
fbsrf		Creates Sun rasterfile using current LUT & image in current FB.
fdeltabk	Generates (B2 - B1) / Bk image.
fdeltai		Generates (B2 - B1) / B1 image.
fdivimg		Generates (B1 / B2) image.
frmstr		Removes stray light from a C/P image.
frmsvf		Removes stray light/F-corona/Vignetting from a C/P image.
fsmask		Generates F*V+S mask image using Btotal, pB, + pol frac.
fsubimg		Generates (B2 - B1) image.

glsrf		Create Sun rasterfile from C/P images using GL window & LUT.
gnuplot		GNU Plot tool.
grn2rgb		Creates SGI .rgb file using 3 Grinnell format images.
grnpic		Creates WHIP .pic file from Grinnell format image file.
grnt		Movie loop using Grinnell format images.
grnv		Display Grinnell image in WHIP FB.
grnw		Display Grinnell image(s) in GL window.

imgave		Average multiple C/P images and produce output image.
imgpic		Generate WHIP .pic file from a binary image file.
imgsrf		Generate Sun rasterfile using current LUT & binary image file.
imgt		Movie loop using 1-byte binary images.
imgw		Displays 1-byte binary image(s) in GL window.
issrf		Determines whether a file is a Sun rasterfile.

mk3syn		Creates an annotated Mark-III synoptic map using data created
		by program 'mkamap' (/home/puu/cordyn/mk3S).
mk3w		Displays Mark-III rectangular image(s) in GL window.

polimg5		Create C/P polarization images: .pbr, .pbt, .pol, .ppb, .prt
polscn		Generate C/P Polarization scans.

quad		Create 4-quadrant composite image from N/E/S/W C/P images.
quad3		Create 3-quadrant composite image from N/E/W C/P images.

rawhilo		Convert raw C/P image f rom Hi to Lo resolution (replace)
restore_cmap	Load SGI color LUT using .map files.
rhilo		Convert raw C/P mage from Hi to Lo resolution (new file).

save_cmap	Saves SGI color LUT into a .map file.
savelut		Saves SGI logical 256-level color map #2 into .lut file.
sd		C/P synoptic display program.
sdcme		C/P synoptic display program (also writes CME locations).
sfvimg		Create images representing Stray, Vignet, F-corona (from tables)
sfvimgv		Create images representing Stray, Vignet, F-corona (from tables)
		Applies vignetting to stray & F-corona images.
sfvplot		Plots stray, vignet, & F-corona (from tables).
sg		Generates an annual C/P synoptic data file.
shiftc		Shifts C/P images according to pre-determined disk centers.
showimg		Display .rgb image in GL window.
smmcen		Ron Decker's program to locate disk center in C/P images.
srffb		Display Sun rasterfile image in WHIP FB.
srfw		Display Sun rasterfile image(s) in GL window.
stripsrfhdr	Remove Sun rasterfile header from file.
synexam		Examine contents of C/P synoptic data file.
synxy		Reads C/P synoptic data file & generates 1-rotation pixmap file.

xcat		X-window display/scan/interpolation tool for C/P images.
