/*  get a line.

    This code was written by Jay Chalmers.
    From /hao/src/lib/misc/fgetl.c

    I strongly suggest *not* editting this code at all, unless
    you are absolutely sure you've found an error that
    needs fixing.

    If you edit it, you risk destroying the integrity of the
    code.  So if you do edit it, insure results pre and post
    actually match.

*/

#include <stdio.h>
#include <ctype.h>



char *eos;
 
char *
fgetl (s, n, iop) char *s; register int n; register FILE *iop; {
        register int c;
        char *cs = s;

        if ((iop->_flag & (_IONBF | _IOLBF)) == (_IONBF | _IOLBF)) {
            c = read (fileno (iop), cs, --n);
            if (c <= 0) iop->_flag |= (c-- < 0 ? _IOERR : _IOEOF);
            else {
                cs += c;
                if (*(cs-1) == '\n') *--cs = '\0'; } }
        else if (feof (iop)) c = -1;
        else
            while (--n > 0 && (c = getc (iop)) >= 0) {
                if (c == '\n') break;
                *cs++ = c; }
        eos = cs;
        if (c < 0 && cs == s) return (NULL);
        *cs = '\0';
        return (s);
}

