#include <stdio.h>
#include <ctype.h>

#include "mk4v2.h"
#include "mk4headv2.h"

int
OkHair (Hd, Lo, Hi)
    struct mk4_header *Hd; 
    float Lo, Hi;
{
    float hairLolimlo, hairLolimhi, hairHilimlo, hairHilimhi;

    hairLolimlo =  92.0;
    hairLolimhi = 110.0;
    hairHilimlo = 270.0;
    hairHilimhi = 282.0;

    /* This routine really needs to check the date of the data
       and see if the hairlines are appropriate for that era.
       Right now, it is very simple and uses the very broad
       criteria above.
    */

    if ((Lo>hairLolimlo)&&(Lo<hairLolimhi) && 
       (Hi>hairHilimlo)&&(Hi<hairHilimhi))
        {
	return (TRUE);
        }
    else
	{
	fprintf (stderr, 
	    "HairLines were not between the expected places\n\
	    %.0f<%.0f<%.0f    ---  %.0f<%.0f<%.0f\n", 
	    hairLolimlo, Lo, hairLolimhi, 
	    hairHilimlo, Hi, hairHilimhi);
	return (FALSE);
        }
}
