/* nim_counter.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Count the number of Mk4 images averaged.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   7 Jan 2002
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

int
nim_counter (avgtimes)

char avgtimes [] ; /* String containing image times used to make the average. */

{
    /*** Character type: =0 blank, =1 non-blank. */

    int i ;
    int curchar ;		/* Current character  type. */
    int prevchar ;		/* Previous character type. */
    int nimg ;
    int len_avgtimes ;

    len_avgtimes = strlen (avgtimes) ;

    prevchar = 0 ;
    nimg     = 0 ;

    for (i = 0; i < len_avgtimes; i++)
	{
	if (avgtimes [i] != ' ') curchar = 1 ;  else curchar = 0 ;
	if (prevchar == 0 && curchar == 1) nimg++ ;
	prevchar = curchar ;
	}
    fprintf (stdout, "nimg: %d\n", nimg) ;

    return (nimg) ;
}
