/* gl_wstr.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write character string in current GL window using functions cmov2i & .
 * Assumes the following routines have been called :
 * fminit, fmfindfont, fmscalefont, fmsetfont, winopen. 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 *  3 April 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

gl_wstr (text, xloc, yloc, mapindex)

char *text;		/* Character string to be written. */
int xloc, yloc;		/* Pixel location for start of text. */
int mapindex;		/* Color map index. */

{
   color (mapindex);

   cmov2i (xloc,  yloc);   /* Move current plotting point to (xloc, yloc). */

   fmprstr (text);

   return (0);
}
