
/* SMM C/P Constants		*/

float	pixrs;	/* # Pixels per solar radius. */
float	rspix;	/* # Solar radii per pixel. */
float	degrad;	/* # Degrees per solar radius. */
float	raddeg; /* # Solar radii per degree. */

#define MAXSCN 	3600

int	npix;			/* # pixels per vidicon line. */
int	nbypix;			/* # bytes per pixel. */
int	ip, ir, lp, lr;		/* Pixel & line limits for image. */
int	idtype;			/* Data type: 1 = raw video
					      2 = Equivalent seconds
					      3 = 10^-11 B/Bsun */
int	nave;			/* # points to average in scan. */

int	igr;	/* Grinnell usage flag: =0 no, =1 yes. */
int	nres;	/* Inverse resolution flag: =1 Lo, =2 Hi. */
int	imgch;	/* Image channel [0,1,2,3]. */
int	ovrch;	/* Overlay channel [8,9,10,11,12]. */

float	degnor;		/* CCW angle of north w.r.t. up vertical axis. */
float	xcen;		/* Horizontal coordinate of sun center: Hi res pixels.*/
float	ycen;		/* Vertical coordinate of sun center: Hi res lines. */
