#include <gl/gl.h>

main ()
{
   prefsize (400, 400);
   winopen ("ov");
   color (BLACK);
   clear ();

   color (1);
   circfi (150, 250, 100);
   color (2);
   circfi (250, 250, 100);
   color (3);
   circfi (200, 150, 100);
   sleep (5);

   overlay (2);			/* Establish two bitplanes for overlay. */
   gconfig ();

   drawmode (OVERDRAW);		/* Set overlay mode for drawing. */
   mapcolor (0,   0,   0,   0);	/* color 0 -> black. */
   mapcolor (1, 255,   0,   0);	/* color 0 -> red.   */
   mapcolor (2,   0, 255,   0);	/* color 0 -> green. */
   mapcolor (3,   0,   0, 255);	/* color 0 -> blue.  */

   color (1);
   circfi (150, 250, 100);
   color (2);
   circfi (250, 250, 100);
   color (3);
   circfi (200, 150, 100);

   sleep (10);

   /*** Clean up overlay bitplanes. ***/
   
   color (0);
   clear ();

   drawmode (NORMALDRAW);
   greset ();

   gconfig ();
   gexit ();
   exit (0);
}
