/* wglstr2.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write character string using SGI/GL functions.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 27 February 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <gl/gl.h>
float p1 [] = {0.0, 0.0};
float p2 [] = {0.6, 0.0};
float p3 [] = {0.0, 0.6};

main ()
{
   long i;

   prefposition (100, 500, 100, 500);
   winopen ("rasterchars2");

   ortho2 (-1.0, 1.0, -1.0, 1.0);
   for (i = 0; i < 40; i++)
      {
      color (BLACK);
      clear ();
      rotate (50, 'z');

      color (RED);
      bgnpolygon ();
         v2f (p1); v2f (p2); v2f (p3);
      endpolygon ();

      color (GREEN);
      cmov2 (0.0, 0.0);
      charstr ("vert1");

      cmov2 (0.6, 0.0);
      charstr ("vert2");

      cmov2 (0.0, 0.6);
      charstr ("vert3");

      sleep (1);
      }
   gexit ();
   exit (0);
}
