/* hdu.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Use 'headlist' to generate a file containing the FITS HDU.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   14 July 1994
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
   FILE *popen (), *fd ;
   static char namfil [80] ;
   static char namhdu [80] ;
   static char cmd    [80] ;
   int i ;
   int iarg = 0 ;
   int idot ;

   while (++iarg < argc)
      {
      strcpy (namfil, argv [iarg]) ;

      /*** Create output file name. ***/

      strcpy (namhdu, namfil) ;
      for (i = 0; i < strlen (namhdu); i++)
	 if (namhdu [i] == '.')  idot = i ;
      namhdu [idot] = '\0'; 
      strcat (namhdu, ".hdu") ;

      sprintf (cmd, "headlist < %s > %s", namfil, namhdu) ;
      fd = popen (cmd, "r") ;
      pclose (fd) ;
      }

   exit (0) ;
}

