PRO vt_event, event

CASE event.value OF
   'Quit Example': WIDGET_CONTROL, event.top, /DESTROY
   'View an Image':	$
   BEGIN
      filename = pickfile (PATH=FILEPATH('', SUBDIR='examples/data'))
      if (STRLEN (filename) EQ 0)  THEN RETURN
      OPENR, unit, filename, /GET_LUN
         fileinfo = FSTAT (unit)
         dim = SQRT (fileinfo.size)
         image = BYTARR (dim, dim)
         READU, unit, image
      CLOSE, unit
      SLIDE_IMAGE, REBIN (image, dim*2, dim*2),		$
                   GROUP=event.top, /REGISTER, RETAIN=2
   END
ENDCASE
END
; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PRO vt

base = WIDGET_BASE (/COLUMN, XPAD=50, YPAD=50)
menu = CW_BGROUP (base, ['View an Image', 'Quit Example'], $
		  /COLUMN, /RETURN_NAME)
WIDGET_CONTROL, base, /REALIZE
XMANAGER, 'vt', base
END
