;+
; fw_common.pro
;
; Andrew L. Stanger   HAO/NCAR   15 April 1996
; 17 May 1996: added tw_file_min, tw_file_max.
;-

common fw_wid, tw_file_id, tw_file_min, tw_file_max

common fw_house, tw_date_obs, tw_time_obs, tw_doy, tw_origin,		$
		  tw_telescop, tw_object, tw_type_obs, tw_type_dp,	$
		  tw_crpix1, tw_crpix2, tw_crradius

common fw_var,  img_hdu,						$
                data_max, data_min,					$
                disp_max, disp_min,					$
		img_max, img_min, img_gamma, 				$
		tv_max, tv_min, tv_top, tv_gamma,			$
		sav_max, sav_min, sav_gamma,				$
		frac_max, frac_min, apply_minmaxgam

common fw_list, wl_lut

common fw_lut, index, red, green, blue,				$
               lut_dir, lut_list, lut_names, lut_paths

common fw_img, img_dir, img_file, img_path, img_ibuf, img_dbuf

common fw_colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr

common fw_loadct, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
	min_slider, max_slider, gamma_slider, gamma_label, silent, chop, $
	lock, vbot, vtop, gammaval, color, use_values, ncolors, cbot

