;+
; NAME: HMS2DD
;
; PURPOSE: Convert a time in hours, minutes, and seconds to 
;	   decimal days.
;
; CALLING SEQUENCE: DD=hms2dd(hrs,min,sec)
;
; PARAMETERS: 
;		hrs 	input hours
;		min	input minutes
;		sec	input seconds
;		DD	output decimal days
;
; RETURN TYPE: FLOAT                                            
;
; HISTORY: Drafted by A. McAllister Feb. 1993
;
;-
FUNCTION hms2dd,hrs,min,sec

;later can change so it parses the time properly

return,dd=(float(hrs)*3600. + float(min)*60. + float(sec))/86400.

end