;+
;       NAME: mag_anal
;
;
;       PURPOSE: Perform some analysis of a magnetogram sub region
;
;
;       METHOD: 
;
;
;       CALLING SEQUENCE:
;
;
;       NOTES:
;
;
;       PARAMETERS:
;
;
;       KEYWORDS:
;
;
;       HISTORY:
;
;
;-
PRO mag_anal,img

psz=size(where(img gt 10))
msz=size(where(img lt (-10)))

plus_cnt=psz(1)
minus_cnt=msz(1)

plus_flux=total(img(where(img gt 10)))
minus_flux=total(img(where(img lt (-10))))

print,'total plus flux is: ',plus_flux
print,'total minus flux is: ',minus_flux

print,'average plus flux is: ',plus_flux/plus_cnt
print,'average minus flux is: ',minus_flux/minus_cnt

print,'total flux is: ',plus_flux-minus_flux
print,'net flux is: ',plus_flux+minus_flux

end