;+
;
;  PURPOSE:
;           To be a rough sxt locator when no info is given. 
;           Should be able to start with a really rough quess
;           and zero in.  
;
;
;
;
;-

FUNCTION, rough_loc,cnt

;choose rough center with dsk_loc, or default to center of frame

pi=4.0*atan(1.0)
imgsz=size(image)

xc=fix(imgsz(1)/2)
yc=fix(imgsz(2)/2)
n=imgsz(1) > imgsz(2)
x=intarr(n) 
y=x

count=0
while count < cnt BEGIN

  theta= pi/4

  for i=0,n-1 do begin                                   ;raw line coords

    x(i)=fix(i*cos(theta)+xc)
    y(i)=fix(i*sin(theta)+yc)

  endfor

  x1=x(where((x gt 0) and (x lt imgsz(1)-1)))             ;chop at edges
  y=y(where((y gt 0) and (y lt imgsz(2)-1)))

  x=x1(where((x1 ne shift(x1,+1)) and (y ne shift(y,+1))))  ;find unique pairs
  y=y(where((x1 ne shift(x1,+1)) and (y ne shift(y,+1))))

  ln=size(x)

  ss=lonarr(ln(1))
  r=ss

  for i=0,ln(1)-1 do begin

    ss(i)=x(i) + long(y(i)*long(imgsz(2)))
   
  endfor

  r = sqrt((float(x)-xc)*(float(x)-xc)+(float(y)-yc)*(float(y)-yc))

  vect=image(ss)

  deriv_lud,r,vect,dvect,reg_param=100.0,mid=midpoint,/quiet

 ;perform tests for a "good" point

 ;find peaks

 ;throw out ones in or near saturation

 ;check contrast across the peak

 ;when found save location and increment count

endwhile

;make histogram and take peak of that ??

; pass points to circle fitter

return,

end