
;
;
;
;  Fix MkIV X matrix and bias elements from arrays to fit arrays
;

NUMPIX = 384
NUMAZ = 720
SMOOTH = 31

x21 = fltarr(NUMPIX,NUMAZ)
x22 = fltarr(NUMPIX,NUMAZ)
x23 = fltarr(NUMPIX,NUMAZ)
x31 = fltarr(NUMPIX,NUMAZ)
x32 = fltarr(NUMPIX,NUMAZ)
x33 = fltarr(NUMPIX,NUMAZ)
bias= fltarr(NUMPIX,NUMAZ)
gain= fltarr(NUMPIX,NUMAZ)

close,1 & openr,1,'x21' & readu,1,x21 
close,1 & openr,1,'x22' & readu,1,x22 
close,1 & openr,1,'x23' & readu,1,x23 
close,1 & openr,1,'x31' & readu,1,x31 
close,1 & openr,1,'x32' & readu,1,x32 
close,1 & openr,1,'x33' & readu,1,x33 
close,1 & openr,1,'bias'& readu,1,bias
close,1 & openr,1,'gain'& readu,1,gain

for ii=0,NUMPIX-1 do begin
	x21(ii,*)=leefilt(median(reform(x21(ii,*)),9))
	x31(ii,*)=leefilt(median(reform(x31(ii,*)),9))
	x22(ii,*)=leefilt(median(reform(x22(ii,*)),9))
	x32(ii,*)=leefilt(median(reform(x32(ii,*)),9))
	x23(ii,*)=leefilt(median(reform(x23(ii,*)),9))
	x33(ii,*)=leefilt(median(reform(x33(ii,*)),9))
	bias(ii,*)=leefilt(median(reform(bias(ii,*)),9))
;	gain(ii,*)=leefilt(median(reform(gain(ii,*)),9))
endfor

close,1 & openw,1,'x21.fit' & writeu,1,x21
close,1 & openw,1,'x22.fit' & writeu,1,x22
close,1 & openw,1,'x23.fit' & writeu,1,x23
close,1 & openw,1,'x31.fit' & writeu,1,x31
close,1 & openw,1,'x32.fit' & writeu,1,x32
close,1 & openw,1,'x33.fit' & writeu,1,x33
close,1 & openw,1,'bias.fit'& writeu,1,bias
close,1 & openw,1,'gain.fit'& writeu,1,gain

print,'done'

end

