;
; Function to determine what sky transmission value to use
;
function skyis,skyarray,numsky

minsky = 250
defaultsky=350

a = where ( skyarray lt 0 )
if ( a(0) ne -1 ) then skyarray(a)=minsky
a = where ( skyarray gt 400 )
if ( a(0) ne -1 ) then skyarray(a)=minsky
h = histogram(skyarray)
maxcount = h(0)
thisone = 0 
dim = size(h)
for ii = 1,dim(1)-1 do begin
	if ( h(ii) gt maxcount ) then begin
		maxcount = h(ii) 
		thisone=ii

	endif
endfor
sky = min(skyarray) + thisone
if ( sky lt 200 ) then sky = defaultsky
return,sky
end



