;
; Slit
; Apply "slit" function to calibrated pB data
;

filename = 'slitlist'
close,2 & openr,2,'slitlist' 
readf,2,filename & close,2
head =0 & head =bytarr(1024) ;;
headib=0 & headib=lonarr(16)  
headf =0 & headf =fltarr(24)
headie=0 & headie=lonarr(16)  

top =long(0)

close,1 & openr,1,filename+'.Ci' & point_lun,-1,top & readu,1,headib
                                                  readu,1,headf
                                                  readu,1,headie
                               point_lun, 1,top & readu,1,head
close,1

;;;;;;;;;;;;;;;;;;;;;;;;;
numaz = headib(9)
numpix = headib(10)
pangle = headf(0)
print,numaz,numpix,pangle
;;;;;;;;;;;;;;;;;;;;;;;;;
loadct,16
loadct,3
window,0,xsize=numaz,ysize=numpix-43,title='Q'
window,1,xsize=numaz,ysize=numpix-43,title='Slit Q'

corona_model = fltarr(numpix)
close,1 & openr,1,'corona_model' & readu,1,corona_model & close,1
corona_model = corona_model * 1.e10

img_q= fltarr(numpix,numaz)
slit_q = fltarr(numpix,numaz)
str = filename
;
meanq = fltarr(numpix,numaz)
close,2 & openr,2,'slitlist' 
while ( not eof(2) ) do begin
	readf,2,filename
	print,filename

	str = string(filename+'.CalpB')
	close, 1 & openr,1,str &  readu,1,head & readu,1,img_q
	wset,0
	tv,bytscl(transpose(alog10(img_q(35:350,*)+100.)),.1,5)

for ii=0,numaz-1 do begin
	img_q(*,ii)=img_q(*,ii)/(corona_model(*)+100.)
endfor

;	img_q = img_q + 100.
;for ii=0,numpix-1 do begin
;	res = moment(img_q(ii,*))
;	max = res(0) + sqrt(res(1))
;	min = res(0) - sqrt(res(1))
;	fred = img_q(ii,*)
;	a = where ( fred gt max )
;	if ( a(0) gt 0 ) then fred(a) = max
;	a = where ( fred lt min )
;	if ( a(0) gt 0 ) then fred(a) = min
;	meanq(ii,*) = total(fred)/numaz
;endfor
;	img_q = img_q/meanq

	wset,1
	tv,bytscl(transpose(img_q(35:350,*)),-1,2.56)

	str = string(filename+'.SlitpB')
	close,1 & openw,1,str & writeu,1,head & writeu,1,img_q

if ( dostop eq 'y' ) then stop

endwhile

print,'done'

stop

end

