;+
; NAME		mouse_poly
;
; FUNCTION	Define polygon vertices using the mouse.
;
; HISTORY	Andrew L. Stanger   5 February 1999
;-

PRO mouse_poly, xdim_cme, ydim_cme, pvfile, xv, yv, nver, polypix

   print, 'Create a polygon for mass integration by clicking with the mouse.'

   ;   print, "Click with left  mouse button to define polygon vertices."
   ;   print, "Click with right mouse button to terminate the polygon."

   ;--- Define Region-of-interest (ROI).
   ;    Return an array of pixel coordinates.

   polypix = DEFROIC (xdim_cme, ydim_cme, xv, yv, /NOFILL)

   size_xv = size (xv)
   nver = size_xv [1]

   store_poly, pvfile, xv, yv, nver

   RETURN
END
