PRO jp1

clo = FLTARR (2, 67)
chi = FLTARR (2, 66)

OPENR, 1, 'clo.dat.jup'
OPENR, 2, 'chi.dat.jup'
READF, 1, clo
READF, 2, chi
CLOSE, 1
CLOSE, 2

dlo = clo (0, *)
slo = clo (1, *)

dhi = chi (0, *)
shi = chi (1, *)

allpts = [ [slo], [shi] ]
namlo = '+ Low  Resolution'
namhi = '* High Resolution'

USERSYM, [-0.5, 0.5], [0, 0]

PLOT,  dlo, slo, $
   TITLE  = 'SMM C/P: Jupiter Brightness Integral!Cbrightness threshold:1.5*bkg', $
   YMARGIN = [4,3], $
   XTITLE = 'Day Of Year (1989)', /XSTYLE, $
   YTITLE = 'Integrated Brightness [B/Bsun]', /YSTYLE, $
   XRANGE = [158.0, 163.0], $
   YRANGE = [3.0E-6, 7.0E-6], $
   PSYM = 1, COLOR = 7
OPLOT, dlo, slo, PSYM = 1, COLOR = 3
OPLOT, dhi, shi, PSYM = 2, COLOR = 1

XYOUTS, 158.5, 6.5E-6, namhi, COLOR=1
XYOUTS, 158.5, 6.2E-6, namlo, COLOR=3

END
