;+
; xl.pro
;
; Test xloadtct
;
; Andrew L. Stanger
; 20 January 2005
;_
PRO xl

DEVICE, decomposed = 0

fits_name = '20020722.165044.mk4.rpb.avg.vig.fts'

img = readfits (fits_name, hdu)

img2 = REBIN (img, 480, 480)
imin = MIN (img2, max=imax)
print, 'imin/imax: ', imin, imax
img2b = BYTSCL (img2, min=-200, max=800)

WINDOW, xs=480, ys=480, retain=2
TVSCL, img2b

XLOADCT

END
