;+
; NAME		store_poly
;
; PURPOSE	Write polygon vertex file.
;
; HISTORY	Andrew L. Stanger   HAO/NCAR   28 January 1999
;	
;-

PRO store_poly, namepv, xv, yv, nver

   GET_LUN, lun_pv

   OPENW, lun_pv, namepv
   FOR i = 0, nver - 1  DO	$
   BEGIN
      PRINTF, lun_pv, xv [i], yv [i]
   END

   CLOSE, lun_pv
   FREE_LUN, lun_pv

END
