pro sp4i
; looksee at data for sp201-04, Image Frame Data
; Data Directory: /d/riker/spartan/sp201-4/dbase
; Date: 19 May 1998

m=getspartan('I97_MET')
m=m/3600.

set_plot,'ps'

!fancy=2
!p.title='SP201-04 WLC, 21 November 1997'
!x.title='MET, hours'

!y.title='ORBIT NUMBER'
a=getspartan('I97_ORB')
device,filename='iorbno.ps'
plot,m,a,yrange=[0,30],ysty=1,xrange=[0,1],xsty=1
device,/close

!y.title='IMAGE NUMBER'
a=getspartan('I97_IMG')
device,filename='img.ps'
plot,m,a,yrange=[0,50],ysty=1,xrange=[0,1],xsty=1
device,/close

!y.title='PES YAW MEAN, Volts'
a=getspartan('I97_PYMEAN')
device,filename='pymean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,1],xsty=1
device,/close

!y.title='PES PITCH MEAN, Volts'
a=getspartan('I97_PPMEAN')
device,filename='ppmean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,1],xsty=1
device,/close

!y.title='Folding Mirror Position (PIA1A)'
a=getspartan('I97_PIA1AR10')
b=((a or 'fe'xb) - 'fe'xb)
device,filename='fmbit.ps'
plot,m,b,yrange=[-1,2],ysty=1,xrange=[0,1],xsty=1
device,/close

!y.title='Heat Dump Shutter Position (PIA1A)'
c=((a or 'fd'xb) - 'fd'xb) * 0.5
device,filename='hdsbit.ps'
plot,m,c,yrange=[-1,2],ysty=1,xrange=[0,1],xsty=1
device,/close

set_plot,'x'
end
