
pro sp5m

; looksee at data for sp201-05, Image Frame Data
; Working directory: puck:/local/pcnfs/Spartan/programs
; Data Directory: puck:/local/pcnfs/tmp/Spartan/sp201-5/dbase
; Date: 6-NOV-98

metsa=getspartan('M98_MSG1MET')
msgsa=getspartan('M98_MSG1')
metsb=getspartan('M98_MSG2MET')
msgsb=getspartan('M98_MSG2')
metsc=getspartan('M98_MSG3MET')
msgsc=getspartan('M98_MSG3')
metsd=getspartan('M98_MSG4MET')
msgsd=getspartan('M98_MSG4')
metse=getspartan('M98_MSG5MET')
msgse=getspartan('M98_MSG5')

bigness=n_elements(msgsa)	;get the number of elements in an array

openw,1,'messages.txt'
printf,1,'Message Data from SP201-05, November 1-3, 1998'

for i=1,bigness do begin
	printf,1,metf2s(metsa(i))
	case msgsa(i) of
	'0':printf,1,'     ID  0; Unrecognized Message'
	'1':printf,1,'     ID  1; Bad GSE Command Received'
	'2':printf,1,'     ID  2; Bad ACIA 0 Interrupt'
	'3':printf,1,'     ID  3; Bad ACIA 1 Interrrupt'
	'4':printf,1,'     ID  4; GSE Buffer Full'
	'5':printf,1,'     ID  5; EOM Signal Received'
	'6':printf,1,'     ID  6; Sunset Detected'
	'7':printf,1,'     ID  7; Long Day - Ignored'
	'8':printf,1,'     ID  8; Short Day - Ignored'
	'9':printf,1,'     ID  9; Aperture Door Open'
	'10':printf,1,'     ID 10; Sunrise Detected'
	'11':printf,1,'     ID 11; Long Night - Ignored'
	'12':printf,1,'     ID 12; Short Night - Ignored'
	'13':printf,1,'     ID 13; ACS Pitch is Nonsense'
	'14':printf,1,'     ID 14; ACS Duration is Bad'
	'15':printf,1,'     ID 15; ACS Byte is Bad'
	'16':printf,1,'     ID 16; Sun Sensor Failure'
	'17':printf,1,'     ID 17; Half Wave Timed Out'
	'18':printf,1,'     ID 18; Calibration Wheel Timed Out'
	'19':printf,1,'     ID 19; Folding Mirror Timed Out'
	'20':printf,1,'     ID 20; Heat Dump Shutter Timed Out'
	'21':printf,1,'     ID 21; Polarizer Wheel Timed Out'
	'22':printf,1,'     ID 22; PES Out of Limits'
	'23':printf,1,'     ID 23; PES In Limits'
	'24':printf,1,'     ID 24; ATOD PES Out of Limits'
	'25':printf,1,'     ID 25; ATOD PES In Limits'
	'26':printf,1,'     ID 26; PIA PES Failed'
	'27':printf,1,'     ID 27; ATOD PES Failed'
	'28':printf,1,'     ID 28; TEXAS Mode Pending'
	'29':printf,1,'     ID 29; TEXAS Mode Active'
	'30':printf,1,'     ID 30; ACS Byte Timed Out'
	'31':printf,1,'     ID 31; TEXAS Mode Terminating'
	'32':printf,1,'     ID 32; TEXAS Mode Inactive'
	else:printf,1,'     ID ??; UNKNOWN MESSAGE NUMBER:',msgsa(i)
	endcase
endfor
for i=1,bigness do begin
	printf,1,metf2s(metsb(i))
	case msgsb(i) of
	'0':printf,1,'     ID  0; Unrecognized Message'
	'1':printf,1,'     ID  1; Bad GSE Command Received'
	'2':printf,1,'     ID  2; Bad ACIA 0 Interrupt'
	'3':printf,1,'     ID  3; Bad ACIA 1 Interrrupt'
	'4':printf,1,'     ID  4; GSE Buffer Full'
	'5':printf,1,'     ID  5; EOM Signal Received'
	'6':printf,1,'     ID  6; Sunset Detected'
	'7':printf,1,'     ID  7; Long Day - Ignored'
	'8':printf,1,'     ID  8; Short Day - Ignored'
	'9':printf,1,'     ID  9; Aperture Door Open'
	'10':printf,1,'     ID 10; Sunrise Detected'
	'11':printf,1,'     ID 11; Long Night - Ignored'
	'12':printf,1,'     ID 12; Short Night - Ignored'
	'13':printf,1,'     ID 13; ACS Pitch is Nonsense'
	'14':printf,1,'     ID 14; ACS Duration is Bad'
	'15':printf,1,'     ID 15; ACS Byte is Bad'
	'16':printf,1,'     ID 16; Sun Sensor Failure'
	'17':printf,1,'     ID 17; Half Wave Timed Out'
	'18':printf,1,'     ID 18; Calibration Wheel Timed Out'
	'19':printf,1,'     ID 19; Folding Mirror Timed Out'
	'20':printf,1,'     ID 20; Heat Dump Shutter Timed Out'
	'21':printf,1,'     ID 21; Polarizer Wheel Timed Out'
	'22':printf,1,'     ID 22; PES Out of Limits'
	'23':printf,1,'     ID 23; PES In Limits'
	'24':printf,1,'     ID 24; ATOD PES Out of Limits'
	'25':printf,1,'     ID 25; ATOD PES In Limits'
	'26':printf,1,'     ID 26; PIA PES Failed'
	'27':printf,1,'     ID 27; ATOD PES Failed'
	'28':printf,1,'     ID 28; TEXAS Mode Pending'
	'29':printf,1,'     ID 29; TEXAS Mode Active'
	'30':printf,1,'     ID 30; ACS Byte Timed Out'
	'31':printf,1,'     ID 31; TEXAS Mode Terminating'
	'32':printf,1,'     ID 32; TEXAS Mode Inactive'
	else:printf,1,'     ID ??; UNKNOWN MESSAGE NUMBER:',msgsb(i)
	endcase
endfor
for i=1,bigness do begin
	printf,1,metf2s(metsc(i))
	case msgsc(i) of
	'0':printf,1,'     ID  0; Unrecognized Message'
	'1':printf,1,'     ID  1; Bad GSE Command Received'
	'2':printf,1,'     ID  2; Bad ACIA 0 Interrupt'
	'3':printf,1,'     ID  3; Bad ACIA 1 Interrrupt'
	'4':printf,1,'     ID  4; GSE Buffer Full'
	'5':printf,1,'     ID  5; EOM Signal Received'
	'6':printf,1,'     ID  6; Sunset Detected'
	'7':printf,1,'     ID  7; Long Day - Ignored'
	'8':printf,1,'     ID  8; Short Day - Ignored'
	'9':printf,1,'     ID  9; Aperture Door Open'
	'10':printf,1,'     ID 10; Sunrise Detected'
	'11':printf,1,'     ID 11; Long Night - Ignored'
	'12':printf,1,'     ID 12; Short Night - Ignored'
	'13':printf,1,'     ID 13; ACS Pitch is Nonsense'
	'14':printf,1,'     ID 14; ACS Duration is Bad'
	'15':printf,1,'     ID 15; ACS Byte is Bad'
	'16':printf,1,'     ID 16; Sun Sensor Failure'
	'17':printf,1,'     ID 17; Half Wave Timed Out'
	'18':printf,1,'     ID 18; Calibration Wheel Timed Out'
	'19':printf,1,'     ID 19; Folding Mirror Timed Out'
	'20':printf,1,'     ID 20; Heat Dump Shutter Timed Out'
	'21':printf,1,'     ID 21; Polarizer Wheel Timed Out'
	'22':printf,1,'     ID 22; PES Out of Limits'
	'23':printf,1,'     ID 23; PES In Limits'
	'24':printf,1,'     ID 24; ATOD PES Out of Limits'
	'25':printf,1,'     ID 25; ATOD PES In Limits'
	'26':printf,1,'     ID 26; PIA PES Failed'
	'27':printf,1,'     ID 27; ATOD PES Failed'
	'28':printf,1,'     ID 28; TEXAS Mode Pending'
	'29':printf,1,'     ID 29; TEXAS Mode Active'
	'30':printf,1,'     ID 30; ACS Byte Timed Out'
	'31':printf,1,'     ID 31; TEXAS Mode Terminating'
	'32':printf,1,'     ID 32; TEXAS Mode Inactive'
	else:printf,1,'     ID ??; UNKNOWN MESSAGE NUMBER:',ma(i)
	endcase
endfor
for i=1,bigness do begin
	printf,1,metf2s(metsd(i))
	case msgsd(i) of
	'0':printf,1,'     ID  0; Unrecognized Message'
	'1':printf,1,'     ID  1; Bad GSE Command Received'
	'2':printf,1,'     ID  2; Bad ACIA 0 Interrupt'
	'3':printf,1,'     ID  3; Bad ACIA 1 Interrrupt'
	'4':printf,1,'     ID  4; GSE Buffer Full'
	'5':printf,1,'     ID  5; EOM Signal Received'
	'6':printf,1,'     ID  6; Sunset Detected'
	'7':printf,1,'     ID  7; Long Day - Ignored'
	'8':printf,1,'     ID  8; Short Day - Ignored'
	'9':printf,1,'     ID  9; Aperture Door Open'
	'10':printf,1,'     ID 10; Sunrise Detected'
	'11':printf,1,'     ID 11; Long Night - Ignored'
	'12':printf,1,'     ID 12; Short Night - Ignored'
	'13':printf,1,'     ID 13; ACS Pitch is Nonsense'
	'14':printf,1,'     ID 14; ACS Duration is Bad'
	'15':printf,1,'     ID 15; ACS Byte is Bad'
	'16':printf,1,'     ID 16; Sun Sensor Failure'
	'17':printf,1,'     ID 17; Half Wave Timed Out'
	'18':printf,1,'     ID 18; Calibration Wheel Timed Out'
	'19':printf,1,'     ID 19; Folding Mirror Timed Out'
	'20':printf,1,'     ID 20; Heat Dump Shutter Timed Out'
	'21':printf,1,'     ID 21; Polarizer Wheel Timed Out'
	'22':printf,1,'     ID 22; PES Out of Limits'
	'23':printf,1,'     ID 23; PES In Limits'
	'24':printf,1,'     ID 24; ATOD PES Out of Limits'
	'25':printf,1,'     ID 25; ATOD PES In Limits'
	'26':printf,1,'     ID 26; PIA PES Failed'
	'27':printf,1,'     ID 27; ATOD PES Failed'
	'28':printf,1,'     ID 28; TEXAS Mode Pending'
	'29':printf,1,'     ID 29; TEXAS Mode Active'
	'30':printf,1,'     ID 30; ACS Byte Timed Out'
	'31':printf,1,'     ID 31; TEXAS Mode Terminating'
	'32':printf,1,'     ID 32; TEXAS Mode Inactive'
	else:printf,1,'     ID ??; UNKNOWN MESSAGE NUMBER:',ma(i)
	endcase
endfor
for i=1,bigness do begin
	printf,1,metf2s(metse(i))
	case msgse(i) of
	'0':printf,1,'     ID  0; Unrecognized Message'
	'1':printf,1,'     ID  1; Bad GSE Command Received'
	'2':printf,1,'     ID  2; Bad ACIA 0 Interrupt'
	'3':printf,1,'     ID  3; Bad ACIA 1 Interrrupt'
	'4':printf,1,'     ID  4; GSE Buffer Full'
	'5':printf,1,'     ID  5; EOM Signal Received'
	'6':printf,1,'     ID  6; Sunset Detected'
	'7':printf,1,'     ID  7; Long Day - Ignored'
	'8':printf,1,'     ID  8; Short Day - Ignored'
	'9':printf,1,'     ID  9; Aperture Door Open'
	'10':printf,1,'     ID 10; Sunrise Detected'
	'11':printf,1,'     ID 11; Long Night - Ignored'
	'12':printf,1,'     ID 12; Short Night - Ignored'
	'13':printf,1,'     ID 13; ACS Pitch is Nonsense'
	'14':printf,1,'     ID 14; ACS Duration is Bad'
	'15':printf,1,'     ID 15; ACS Byte is Bad'
	'16':printf,1,'     ID 16; Sun Sensor Failure'
	'17':printf,1,'     ID 17; Half Wave Timed Out'
	'18':printf,1,'     ID 18; Calibration Wheel Timed Out'
	'19':printf,1,'     ID 19; Folding Mirror Timed Out'
	'20':printf,1,'     ID 20; Heat Dump Shutter Timed Out'
	'21':printf,1,'     ID 21; Polarizer Wheel Timed Out'
	'22':printf,1,'     ID 22; PES Out of Limits'
	'23':printf,1,'     ID 23; PES In Limits'
	'24':printf,1,'     ID 24; ATOD PES Out of Limits'
	'25':printf,1,'     ID 25; ATOD PES In Limits'
	'26':printf,1,'     ID 26; PIA PES Failed'
	'27':printf,1,'     ID 27; ATOD PES Failed'
	'28':printf,1,'     ID 28; TEXAS Mode Pending'
	'29':printf,1,'     ID 29; TEXAS Mode Active'
	'30':printf,1,'     ID 30; ACS Byte Timed Out'
	'31':printf,1,'     ID 31; TEXAS Mode Terminating'
	'32':printf,1,'     ID 32; TEXAS Mode Inactive'
	else:printf,1,'     ID ??; UNKNOWN MESSAGE NUMBER:',ma(i)
	endcase
endfor
close,1
end
