;
pro makepb
; 	BEGIN PROGRAM
;
;
; open up the raw data files
;

read,'orbit?',id1
read,'sequence?',id2
for idt =  0,9,3 do begin
 orbit = strtrim(string(id1),2)
 sequence = strtrim(string(id2),2)
 type = strtrim(string(idt),2)
 if idt eq 9 then type = 'c'
 days = findfile('c:/Spartan201-04/'+orbit+'-'+type+'-'+sequence+'.img')
 s = size(days)

 if s(0) eq 0 then begin
   print,'NO file '
 endif

 print,'Input file: '
 print,days(0)
 openr,1,days(0)

;
; read in data
;
 datarray = assoc(1, intarr(320,256))
 if idt eq 0 then a1=datarray(0)
 if idt eq 3 then a2=datarray(0)
 if idt eq 6 then a3=datarray(0)
 if idt eq 9 then ac=datarray(0)

 close,1
endfor
;
; make pB from arr files
;
;
isum=float(a1)+float(a2)+float(a3)
print,max(isum),min(isum)
ipro=3.*(float(a1)*float(a2)+float(a3)*float(a1)+float(a2)*float(a3))
ip1=1.33333*sqrt(isum^2.-ipro)
ip2=.33333*sqrt(isum^2.-ipro)
isumt=sqrt(ip1*ip1-1.333333*(float(s831)-float(s832))^2.)
iu1=2.*float(s830)-ip1+isumt
iu2=2.*float(s830)-ip1-isumt
pb=reverse(ip1,2)
b=reverse(iu1,2)
bo=reverse(ac,2)
;
;Rotate images
;  
;
read,'angle?',ang
aa=pb
aal=fltarr(512,512)
aal(13,136)=aa
aalr=rot(aal,ang,1.,256.,256.)
pbtv=aalr
aal=0
aa=0
aalr=0
;
; Display
;
;
window,xs=512,ys=512
tvscl,pb
xloadct
wshow
kk1=tvrd(0)
tvlct,r1,g1,b1,/get
;window
;
;  output 
;
 print,'Output file:'
 print,'c:/Spartan201-04/output/pB.'+orbit+'-'+sequence+'.img'
 openw,3,'c:/Spartan201-04/output/pB.'+orbit+'-'+sequence+'.img'
 openw,4,'c:/Spartan201-04/output/B.'+orbit+'-'+sequence+'.img'
 openw,5,'c:/Spartan201-04/output/Bo.'+orbit+'-'+sequence+'.img'

 write,3,pb
 write,4,b
 write,5,bo

 close,/all
;
;  make gif files
;
;

write_gif,'c:/Spartan201-04/output/pbtv.'+orbit+'-'+sequence+'.gif',pbtv,r1,g1,b1
;stop
end
 


