pro get_date_time, soho, hdu, $ ; inputs
                   date, t_ave  ; output


    ; *******set date string depending if soho *****************
     if (soho) then date_str = fxpar(hdu, 'DATE') else $
         date_str = fxpar(hdu, 'DATE-OBS')

     time_str = fxpar(hdu, 'TIME-OBS')
     date = date_str + ' ' + time_str 
 
     ;2000-03-17
     ; idl routine -won't work in solarsoft
     ;str = strsplit(date_str,  '[^0-9]', /extract, /regex)
     ; strtok does same thing as strsplit
     str = strtok(date_str,  '[^0-9]', /extract, /regex)

     ; solarsoft routine
     ;head=strsplit(inarray, pattern) 
     ;head=strsplit(date_str, '-') 

     year   = str(0)	   
     month  = str(1)     
     day    = str(2)
    
     t_ave = year +'.' + month + '.' + day + '_' +  time_str +  '_TAI'
    
return
end
