PRO zero_offdisk, disk_edge, xx, yy, $  ;inputs
                  image ; input/outputs


;  r_2D, off_disk  - local

     ;-------------------
     ; array of distances 
     ;-------------------
     r_2D = sqrt( xx^2. + yy^2. )

     ;--------------------------------------------
     ; there are bad values around edge of the Sun 
     ;--------------------------------------------
     off_disk = where(r_2D gt disk_edge)
     ;print,'zero_offdisk : off_disk = ',off_disk


     ;------------------------------------------------
     ; for now set image values outside disk to constant
     ; this needs to be revised to not lose limb data
     ;------------------------------------------------
     image(off_disk) = 0d0
 
end
