;+
; seelowk.pro
;
; PURPOSE
;	View a LowK raw image.
;
; Andrew L. Stanger   HAO/NCAR   5 August 1999
;-

PRO seelowk, file

img = intarr (767, 2060)

OPENR, 2, file
READU, 2, img
CLOSE, 2

;--- Remove binary headers from image.

img [*, 0] = img [*, 2]
img [*, 1] = img [*, 2]
img [*, 1030] = img [*, 1032]
img [*, 1031] = img [*, 1032]

img2 = congrid (img, 384, 1030)
window, xsize = 384, ysize = 1030
imin = min (img, max = imax)
print, 'min/max: ', imin, imax
tvscl, img2

END
