PRO ld_func, r, a, b

; I = A0 + A1*mu + A2*[1-mu*ln(1+1/mu)]
; I = A0 + A1*mu + A2*mu^3
; mu = sqrt[1-(r/R)^2]
; r=radius of pixel from center
; R = radius of solar disk.
;
; b = a [0] + a [1] * u * a [2] * (1.0 - u * log (1.0 + 1.0 / u)

rsun = 1.0

u = sqrt (1.0 - (r / rsun) ^ 2)

b = a [0] + a [1] * u + a [2] * u^3

END

