;***************************************************************************
function atoi,nstr ;  number string --> integer   conversion
;---------------------------------------------------------------------------
l=strlen(nstr)
b=byte(nstr)
n=0l
for i=0,l-1 do begin
	n = n + (b(i)-48)*10^(l-i-1)
endfor
return,n
end


;***************************************************************************
pro f2part,file,dir,fnam,nseq,x ; separate file name to  dir, fnam, seqno, x 
;---------------------------------------------------------------------------
len=strlen(file)
i=0
pf=-1
while (i ne -1) do begin
	i=strpos(file,'/',i)
	if(i ne -1) then begin
		pf=i
		i=i+1
		endif
	endwhile
dir = strmid(file,0,pf+1)
pp=strpos(file,'.',pf+1)
if(pp eq pf+1) then	pp=strpos(file,'.',pf+2)
if(pp eq -1) then begin		; no file discripter
	x=''
	pn1=len-1
endif else begin
	x=strmid(file,pp+1,len-pp-1)		
	pn1=pp-1
endelse
pn=pn1
b=byte(strmid(file,pn,1))
while (b(0) ge 48) and (b(0) le 57) do begin
	pn=pn-1
	b=byte(strmid(file,pn,1))
	endwhile
pn=pn+1
fnam=strmid(file,pf+1,pn-pf-1)
if(pn eq pn1+1) then nseq=-999 else nseq=atoi(strmid(file,pn,pn1+1-pn))
end


;***************************************************************************
function nextfile,file,next=next,nseq=nseq ;   obtain next file name
;---------------------------------------------------------------------------
; file : file path name string
; next : expectted step for next file
; nseq : expectted seq. no. of next file

dir=''
fnam=''
i=1
if (n_elements(next) le 0) and (n_elements(nseq) le 0) then begin
   l1:	i=wmenu(["filename: '"+ file + "'",	$
		'next seq no.',		$
		'-1 seq no.',		$
		'enter n',		$
		'another dir',		$
		'another extension',	$
		'another fnam',		$
		'enter full name',	$
		'select with menu',	$
		'return'],		$
		title=0,init=i)
	f2part,file,dir,fnam,nseq1,x
	case i of
	1:	if nseq1 ne -999 then nseq1=nseq1+1
	2:	if nseq1 ne -999 then nseq1=nseq1-1
	3:	read,'seq. no. ? : ',nseq1
	4:	begin
		read,'dir ? ; ',dir
		if(strmid(dir,strlen(dir)-1,1) ne '/') and (dir ne '') $
			 then dir = dir + '/'
		endcase
	5:	read,'extension ? ; ',x
	6:	read,'fnam ? ; ',fnam
	7:	begin
		read,'file name ? ; ',file
		goto,l1
		endcase
	8:	begin
		file1=lsmenu(dir,op=' -tr',/ret)
		if(file1 ne '.') then file=dir+file1
		goto,l1
		endcase
	else:	return,file
	endcase
	if nseq1 eq -999 then nstr='' else nstr=strtrim(string(nseq1),2)
	file = dir + fnam + nstr
	if( x ne '' ) then 	file = file + '.' + x
    goto,l1

endif else begin
	f2part,file,dir,fnam,nseq1,x
	if nseq1 ne -999 then begin
		if(n_elements(next) gt 0) then 	nseq1=nseq1+next
		if(n_elements(nseq) gt 0) then 	nseq1=nseq
		file = dir + fnam + strtrim(string(nseq1),2)
		if( x ne '' ) then 	file = file + '.' + x
	endif
	return,strcompress(file)
endelse
end
