;********************************************************************
;NAME       : nkrlist (procedure)
;FUNCTION   : list headers of norikura formatted data
;DATE       : 1992/09/20
;PROGRAMMER : k.i.
;====================================================================
function nkrlist,dir,select=sel,option=op
; sel : file selection wild card
; op  : option of ls command  (for ex. -tr   -- time sequence)

if(strmid(dir,strlen(dir)-1,1) eq '/') then dir1=strmid(dir,0,strlen(dir)-1) $
else dir1=dir
spawn,'pwd',dir_old	&	dir_old=dir_old(0)
cd,dir
com='/usr/bin/ls -F '
if keyword_set(op) then com=com+op+' '
;com=com+dir1
if keyword_set(sel) then  com=com+sel
print,com
spawn,com,files
nn=n_elements(files)
hlist='filename   date   time1    time2   sys   EW   NS   g0'
for i=0,nn-1 do begin
	nkrgeth,dir1+'/'+files(i),h,nkr=nkr
	if nkr eq 1 then begin
		hlist1=files(i)+'  '+h.date1+' '	$
			+ strmid(h.time1,0,8)+'-'+strmid(h.time2,0,8)+' ' $
			+ h.time_sys
		if strmid(h.telescope,0,2) eq 'ft' then $
			hlist1=hlist1+'   '+ str_gpos(h.g_x,h.g_y)	$
				+ string(h.l0)
		hlist=[hlist,hlist1]
	endif
endfor

cd,dir_old
return,hlist

end
