FUNCTION it_resize,image,header,new_radius

x_cen=fxpar(header,'CRPIX1')
y_cen=fxpar(header,'CRPIX2')
MESSAGE,'Resizing image to '+STRING(new_radius)+' pixels per solar radius.',/informational
curr_radius=it_getrad(header)
test=fxpar(header,'OBJECT')
test_err=!err
IF (test_err NE -1) THEN BEGIN
  IF (fxpar(header,'TELESCOP') EQ 'CHIP    ') THEN $
     image=it_disk(image,header,radius=curr_radius*1.2) ELSE $
  IF (fxpar(header,'OBJECT') EQ 'DPM SOLAR DISC IMAGE: H-ALPHA') OR $
     (fxpar(header,'OBJECT') EQ 'SUN     ') THEN $
     image=it_disk(image,header,radius=curr_radius*1.2)
ENDIF

image=it_center(image,x_cen,y_cen)
image=it_scale(image,curr_radius,new_radius)

sz=SIZE(image)
new_x=sz(1)/2
new_y=sz(2)/2

fxaddpar,header,'CRPIX1',new_x
fxaddpar,header,'CRPIX2',new_y
fxaddpar,header,'CRRADIUS',new_radius
RETURN,image

END
