FUNCTION it_drawcircle, img,slit=slit,fts=fts,hdr=hdr

  ;this procedure inserts a circle to represent the solar disk into
  ;a byte array.  It needs to be sent the name of the array to insert
  ;the circle into.  Currently for use only on MK3 data

  nray = 720
  nraym1 = nray - 1
  acirc = !PI * 2.0 / float(nray)
  dp = findgen(nray) * acirc + acirc * (0.25*(float(nray)))
  dpx = intarr(nray)
  dpy = intarr(nray)
  IF (KEYWORD_SET(slit)) THEN BEGIN
    xcen = 255.5 & ycen = 255.5 & mk3rad = 104.4435 & radius = 1.00
    rnder = 0.5005
    dpx = fix (cos(dp) * mk3rad * radius + xcen + rnder) ; for disk size
    dpy = fix (sin(dp) * mk3rad * radius + ycen + rnder) ; for disk size
  ENDIF
  IF (KEYWORD_SET(fts)) THEN BEGIN
    xcen=fxpar(hdr,'CRPIX1')
    ycen=fxpar(hdr,'CRPIX2')
    radius=it_getrad(hdr)
    rnder=0.5005
    dpx = fix (cos(dp) * radius + xcen + rnder) ; for disk size
    dpy = fix (sin(dp) * radius + ycen + rnder) ; for disk size
  ENDIF

  img(dpx,dpy)=230
  RETURN, img

END  ; it_drawcirle.pro
