/* glcp_color.h
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * SMM C/P color definitions for SGI/GL windows using colormap #2.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 15 November 1993: SGI/IRIS version
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#define cmapoff		512	/* Effectively use color map#2 in onemap mode.*/

#define glcp_white	255 + cmapoff	/* white.  */
#define glcp_red	254 + cmapoff	/* red.    */
#define glcp_green	253 + cmapoff	/* green.  */
#define glcp_blue	252 + cmapoff	/* blue.   */
#define glcp_grey	251 + cmapoff	/* gray.   */
#define glcp_yellow	250 + cmapoff	/* yellow. */
#define glcp_black	  0 + cmapoff	/* black.  */
