/* acoshktime.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Get time from binary header of a ACOS image in native format.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   20 June 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

#include "acos.h"
#define ACOS
#include "acoslib.h"

main (argc, argv)

int argc ;
char *argv [] ;

{
   static char namimg [80] ;
   int pmode = 0 ;

   if (argc == 2)
      strcpy (namimg, argv [1]) ;
   else
      {
      fprintf (stderr, "usage: %s acos_filename\n", argv [0]) ;
      exit (0) ;
      }

   acoshskp (namimg, pmode) ;

   fprintf (stdout, "%02d:%02d:%02d\n",
	    ACOSH->Hour, ACOSH->Minute, ACOSH->Sec) ;

   exit (0) ;
}

