/*** C entry points for DASHCHAR package ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
extern void
   dashd_(), frstd_(), vectd_(), lastd_(), lined_(), curved_();

void
dashd (pat, nchars, crt, size)
   int *pat, nchars, crt, size;
{
   /* WARNING: When called from C, the first argument to DASHD *must*
    *	     be a pointer. This is contrary to the documentation.
    */
   dashd_ (pat, &nchars, &crt, &size);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
dashdi (ipat)
   int ipat;
{
   dashdi_ (&ipat);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
frstd (x, y)
   double x, y;
{
   float lx;
   float ly;

   lx = (float)x;
   ly = (float)y;
   frstd_ (&lx, &ly);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
vectd (x, y)
   double x, y;
{
   float lx;
   float ly;

   lx = (float)x;
   ly = (float)y;
   vectd_ (&lx, &ly);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
lastd ()
{
   lastd_ ();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
lined (xa, ya, xb, yb)
   double xa, ya, xb, yb;
{
   float lxa;
   float lya;
   float lxb;
   float lyb;

   lxa = (float) xa;
   lya = (float) ya;
   lxb = (float) xb;
   lyb = (float) yb;
   lined_ (&lxa, &lya, &lxb, &lyb);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void
curved (x, y, n)
   float *x, *y;
   int n;
{
   curved_ (x, y, &n);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
