/*** C entry points for HAFTON routines ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** EZHFTN ***/
void
ezhftn (z, xdim, ydim)
   float *z;
   int xdim, ydim;
{
void ezhftn_();
   ezhftn_(z, &xdim, &ydim);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** HAFTON ***/
void
hafton (z, dim1, xdim, ydim, low, high, levels, opt, perim, ispflag, spval)
   float *z;
   double low, high, spval;
   int dim1, xdim, ydim, levels, opt, perim, ispflag;
{
void hafton_();
   float llow;
   float lhigh;
   float lspval;
   llow   = (float) low;
   lhigh  = (float) high;
   lspval = (float) spval;
   hafton_(z, &dim1, &xdim, &ydim, &llow, &lhigh, &levels, &opt, &perim,
	   &ispflag, &lspval);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
