/* drawbox.c
/*----------------------------------------------------------------------------
 * drawbox : Draw a box around the default screen coordinates.
 *----------------------------------------------------------------------------
 */
#include "iproc.ext"

drawbox (cindex)

int cindex;		/* Color map index. */
{
   int x, y, dx, dy;

   x = _GD.x-1;  y = _GD.y+1;  dx = _GD.dx+1;  dy = _GD.dy+1;

   gl_wvec (x   , y   , x+dx, y   , cindex);
   gl_wvec (x+dx, y   , x+dx, y-dy, cindex);
   gl_wvec (x+dx, y-dy, x   , y-dy, cindex);
   gl_wvec (x   , y-dy, x   , y   , cindex);
}

/*---------------------------------------------------------------------------
 * wdrawbox (win)	- draw a box around the window.
 *---------------------------------------------------------------------------
 */
wdrawbox (win, cindex)

struct DISPLAY *win;
int cindex;		/* Color map index. */
{
   int x,y,dx,dy;

   x = win->x-1;  y = win->y+1;  dx = win->dx+1;  dy = win->dy+1;

   gl_wvec (x,       y, x+dx, y   , cindex);
   gl_wvec (x+dx, y   , x+dx, y-dy, cindex);
   gl_wvec (x+dx, y-dy, x   , y-dy, cindex);
   gl_wvec (x   , y-dy, x   , y   , cindex);
}
