struct pic_hdr {
    short id;		/* Image Identifier: BYTE, SHORT, etc. */
    short lcom;		/* Length of comments (bytes). */
    short type;		/* Pixel encoding type: ROW_MODE, etc. */
    short dims;		/* # dimensions (default = 2). */
    short hpls;		/* # hyperplanes (default = 1). */
    short plns;		/* # planes (default = 1). */
    short rows;		/* # rows. */
    short cols;		/* # columns. */
    short bp;		/* # bits/pixel (must be a multiple of 8). */
    short sbp;		/* # significant bits/pixel. */
    short xstrt;	/* X start address of image. */
    short ystrt;	/* Y start addrerss of image. */
    } pic_header ;

typedef struct pic_hdr * (PH);  /* PH is a pointer to a structure pic_hdr. */

