/* mk4hk.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Test mk4hdu.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR    3 May 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

#define START
#include "/home/cordyn/fits/lib/mk4/mk4.h"
#include "/home/cordyn/fits/lib/mk4/mk4head.h"
#include "/home/cordyn/fits/lib/mk4/mk4fits.h"

main (argc, argv)

int argc ;
char *argv [] ;

{
    extern int rdmk4head () ;
    extern int mk4hdu () ;

    static char namimg [80] ;
    int pmode = 1 ;
    struct mk4_header *hd; 

    if (argc == 2)
        strcpy (namimg, argv [1]) ;
    else
        {
        fprintf (stderr, "usage: %s acos_filename\n", argv [0]) ;
        exit (0) ;
        }

    rdmk4head (namimg, mk4h, pmode) ;

    exit (0) ;
}

