/* This is the stucture of the solution of the MK4 telescope parameters.
 *
 */

struct telhd
    {

    struct mk4_header hd0i;
    struct mk4_header hd0q;
    struct mk4_header hd0u;
    struct mk4_header hd15i;
    struct mk4_header hd15q;
    struct mk4_header hd15u;
    struct mk4_header hdDi;     /* D for dark */
    struct mk4_header hdDq;
    struct mk4_header hdDu;

    unsigned short tdysdate;
    short fill;
    float solution [NDS*NV], errstd[NDS*NV]; 
    float Gain [NAZ*NDS];  /* NOTE this is a theta by R array!!!! */
			  /* instead of the expected R,Theta array. */
    } ;


typedef struct telhd * (TLH) ;


#ifdef START
    struct telhd telscp;
    struct telhd *thd = &telscp;
#else
    extern struct telhd  telscp, *thd ;
#endif
