/* rsun.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Computes Solar radius size in arcseconds, correcting for elliptical orbit. 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 1 November 1996
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
   extern float sunrad () ;
   int i ;
   int iyear = 1980 ;
   int idoy  = 0 ;
   int ihour = 0 ;
   float rs ;

   printf ("year: %d   Solar Radius (arcseconds)\n") ;
   printf ("DOY   Rsun\n") ;

   for (idoy = 0; idoy < 366; idoy++)
      {
      rs = sunrad (iyear, idoy, ihour) ;
      }

   exit (0) ;
}
