# Establish environment for viz

setenv OPSYS `uname -s`

#--- Set up home & library search paths for viz

setenv VIZ_HOME /riker/e/local/viz
source $VIZ_HOME/etc/vizcominit.csh

if ($OPSYS == "IRIX" || $OPSYS == "IRIX64") then        # SGI
   set path = ($path $VIZ_HOME/bin)
endif

if ( ! $?QTDIR ) then
   setenv QTDIR /riker/e/local/qt
endif

if ( $?PATH ) then
   setenv PATH $QTDIR/bin:$PATH
else
   setenv PATH $QTDIR/bin
endif

if ( $?MANPATH ) then
   setenv MANPATH $QTDIR/man:$MANPATH
else
   setenv MANPATH $QTDIR/man
endif

if ( $?LD_LIBRARYN32_PATH ) then
   setenv LD_LIBRARYN32_PATH $QTDIR/lib:$LD_LIBRARYN32_PATH
else
   setenv LD_LIBRARYN32_PATH $QTDIR/lib
endif

if ( ! $?LIBRARYN32_PATH ) then
   setenv LIBRARYN32_PATH $LD_LIBRARYN32_PATH
endif

if ( $?CPLUS_INCLUDE_PATH ) then
   setenv CPLUS_INCLUDE_PATH $QTDIR/include:$CPLUS_INCLUDE_PATH
else
   setenv CPLUS_INCLUDE_PATH $QTDIR/include
endif

#--- Set up home & library search paths for viz

source $VIZ_HOME/etc/vizcominit.csh
