; write a journal for G. Card
;	Greg Ucker
;	17 Nov 1993
;
@getspartan
@metf2s
start_time = 980*60.0
stop_time = 1172*60.0
;start_time = 620*60.0
;stop_time = 817*60.0

met = getspartan('T93_MET')
z = where((met ge start_time) and (met le stop_time))
zmet = met(z)
met = 0

csp = getspartan('T93_CSP')
zcsp = csp(z)
x = where(zcsp gt 1024)
xcsp = zcsp(x)

xmet = zmet(x)
zmet=0
zcsp = 0

orb = getspartan('T93_ORB')
xorb = orb(z(x))
orb=0

pesy = getspartan('T93_PESY',/nocon)
xpesy = pesy(z(x))
pesy=0

pesp = getspartan('T93_PESP',/nocon)
xpesp = pesp(z(x))
pesp=0

yfp = getspartan('T93_YFP',/nocon)
xyfp = yfp(z(x))
yfp=0

rfp = getspartan('T93_RFP',/nocon)
xrfp = rfp(z(x))
rfp = 0

pia0br = getspartan('T93_PIA0BR')
xpia0br = not((pia0br(z(x)) or 'c0'xb) - 'c0'xb)
pia0br = 0

jnl_fmt = '$(a12,2x,i2,5x,z2,3x,4(i6,2x),i6)'

get_lun,lun
openw,lun,'jrnl11_13.txt'
;openw,lun,'jrnl7_9.txt'

printf,lun,'MET           ORB    ACS    CSP      YFP    RFP     PESp    PESy'

for i=0,n_elements(x)-1L do begin

printf,lun,jnl_fmt, $
	metf2s(xmet(i)),xorb(i),xpia0br(i),xcsp(i),xyfp(i),xrfp(i) $
		,xpesp(i),xpesy(i)

endfor

close,lun
free_lun,lun
end
