/* lv.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Find limb intensity value.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   4 Jan 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include "/opt/share/PUBLIC/include/fitsio.h"

main (argc, argv)

int argc ;
char *argv [] ;

{
   extern float *rd_fits () ;
   static char namimg [80] ;
   float *imgbuf ;
   int nx, ny ;
   float minint ;

   strcpy (namimg, argv [1]) ;

   imgbuf = rd_fits (namimg, &nx, &ny) ;

   limb_int_ (imgbuf, &nx, &ny, &minint) ;

   printf ("nx: %4d  ny: %4d\n", nx, ny) ;
   printf ("minint: %f\n", minint) ;

   exit (0) ;
}

