/* Header files to be included with all functions */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "nrutil.h"
#include "nr.h"

/* Function prototypes */

void FitEllipse(long n, float *x, float *y,
                float *xc, float *yc, float *rx, float *ry);

void Laplacian(float **im, long xdim, long ydim, float **lim);

void SVD(long m, long n, float **A, float *B, float *X);

void SolarGeom(float **im, float minint, long xdim, long ydim,
	       float *xc, float *yc, float *rx, float *ry);

float limb_inten(float **im, long xdim, long ydim);

float lineq(float x);

float local_amp(float *vec, long dim, long idx);

float rtbis(float (*func)(float), float x1, float x2, float xacc);

void sobel(float **im, long xdim, long ydim);

