#
FFLAGS = -u -KPIC -O3 -pfa
LD_FLAGS = -G -pfa
LD_PATHS = /usr/lib
LD_LIBS1 = /usr/lib/libF77.a
SVFLAGS = -KPIC -O3 -pfa
#
%.o:%.f
        f77 -c ${FFLAGS} $<
#
OBJS = flmbext.o flmbiter.o lmbfit.o cmpoly.o ${SVOBJS}
FOBJS = flmb.o get_jh.o flmbiter.o lmbfit.o cmpoly.o ${SVOBJS}
SVOBJS = hybsvd.o mgnsvd.o sswap.o grsvd.o srelpr.o
#
flmb.so: ${OBJS}
	f77 ${LD_FLAGS} -o $@ ${OBJS} -R ${LD_PATHS} ${LD_LIBS} 
#
svdcmp.o: svdcmp.f
	f77 -c ${SVFLAGS} svdcmp.f 
svbksb.o: svbksb.f
	f77 -c ${SVFLAGS} svbksb.f 
hybsvd.o: hybsvd.f
	f77 -c ${SVFLAGS} hybsvd.f 
mgnsvd.o: mgnsvd.f
	f77 -c ${SVFLAGS} mgnsvd.f 
sswap.o: sswap.f
	f77 -c ${SVFLAGS} sswap.f 
grsvd.o: grsvd.f
	f77 -c ${SVFLAGS} grsvd.f 
srelpr.o: srelpr.f
	f77 -c ${SVFLAGS} srelpr.f 
#

