; IDL code
; Animate a sequence of 1/2 resolution CHIP (MLSO He-1083 nm) images.

pixX = 767
pixY = 516
imgbuf = intarr (pixX, pixY) 
mymini = 9000 & mymaxi = 10500
 
bkgbuf = intarr (pixX, pixY) 
bkgbuf (*, *) = 0
filename = ' '
listfile = 'chip.ls'
 
init = 'y'    ; --- init can be set to 'n'  once everything
	      ; --- has been initialized,  
	      ; --- i.e. once this routine has been run once... 
numimgs = 8

    ; --- When you want to stop animating,  hit any character. 
    ; --- You might then have to do a "retall" in idl
 
 
if ( init eq 'y') then begin ;{ 
;    window, 19, xsize = pixX, ysize = pixY, xpos = 560, ypos = 421 
;    window, 20, xsize = pixX, ysize = pixY, xpos = 560, ypos = 421 
;    wset, 20 
    xanimate, set = [pixX, pixY, numimgs, 0] 
 
    close, 10 & openr, 10, listfile
 
    ii = 0 
    while ( not eof (10) ) do begin ;{
        readf, 10, filename
        close, 11 & openr, 11, filename
        readu, 11, imgbuf & close, 11
        xanimate, image = bytscl (imgbuf-bkgbuf, min = mymini, max = mymaxi), $
		  frame = ii 
        ii = ii+1
    endwhile ;} 
 
    close, 10
 
    ; --- Set up a nice color table 

        _a = intarr(256) & _b = intarr(256) & _c = intarr(256)
	openr, 12, '/home/puu/cordyn/color_idl/bw0.rgb'
	readu, 12, _a  &  readu, 12, _b  &  readu, 12, _c &
	tvlct, _a, _b, _c   &   close, 12 
;	loadct, 3
 
endif ;} 
 
    xanimate, 1.0 

    ; --- When you want to stop animating,  hit ^C. 
    ; --- You might then have to do a "retall" in idl 
 
end 
