#include <stdio.h>
#include <ctype.h>
#include "center.h"

int fts;


main (an, av) char *av[]; {
    char *w, filenm[200];
    float xcen, ycen, radius;
    int dPcenter();

    if ( an <= 1 ) { prsum() ; exit(3) ; }
    while (--an) {
	if (*(w = *++av) == '-') {	/* Check for flag arguments */
	    switch (w[1]) {
		default:   fprintf (stderr," unknown flag %s\n",*av);
			   prsum(); exit(1);
	    }
	}

	else {			/* Get the filename. */

	    if (*w == '?') { prsum(); exit(2); }

	    sprintf(filenm,"%s",w);
	    fprintf (stderr,"Opening %s ",filenm);
	    fts=0;
	    if ( *(filenm + strlen(filenm) - 3 ) != 'i' ) {
		fts=1;
		fprintf  (stderr,"  a fts file.\n",filenm);
	    }
	    else fprintf (stderr,"  a fits file.\n",filenm);
	}


	dPcenter(filenm,&xcen,&ycen,&radius);

	fprintf(stdout,"%s xcen %.1f ycen %.1f radius %.1f\n",
	    filenm,xcen,ycen,radius);
    }


    exit (0);
}
prsum() {
    static char help[] = "\
findcenter filenm\n\
\n\
Example:              findcenter 94d347.014051.d.fits\n\
Example:              findcenter 94d347.234004.l.fits\n\
\n\
This code finds the center of a limb or disk digital prominence monitor image\n\
fts images can be handled too.\n\
\n\
";

       fputs (help,stderr);
}
