/* rot180.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Author: Alice Lecinski
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

int
rot180 (img, xxdim, yydim)

short *img;
int   xxdim, yydim;
{
    extern char *malloc () ;
    short *rimg, *qq, *rq;
    int ii, jj, imsz;

    imsz = xxdim * yydim;

    rimg = (short *) malloc (imsz * sizeof (short));

    /* Rotate the image by 180 degrees. */

    qq = img; rq = rimg + imsz - 1;
    for (jj = 0 ; jj < imsz ; jj++)  *rq-- = *qq++ ;

    /* Copy it back. */

    qq = img;
    rq = rimg;
    for (jj = 0 ; jj < imsz ; jj++)  *qq++ = *rq++ ;

    free ((char *) rimg);
}
