/* mk3syn3.h
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Mark-III synoptic map display.
 * Uses SGI's GL & fontmanger.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 13 December 1993   Andrew L. Stanger   HAO/NCAR
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

   /* `Screen' font sizes:
    * size	Screen		Screen-Bold	Helvetica-Bold	CharterBT-Black
    *
    *  6	6 x  8		 7 x  8		11 x 11		 9 x  9
    *  8	7 x 11		 8 x 11		12 x 13		12 x 13
    * 10	7 x 13		 8 x 13		14 x 16		14 x 16
    * 12	8 x 16		 9 x 16		17 x 19		17 x 19
    * 14	9 x 19		10 x 19		19 x 21		21 x 22
    * 16	11 x 21		12 x 21		26 x 28		25 x 26
    * 18	12 x 24		13 x 24		26 x 28		27 x 29
    * 24	16 x 32		18 x 32		36 x 36		37 x 39
    */

#define asize    7
#define bsize   10
#define csize   12
#define afx      6
#define afy      8
#define bfx     14
#define bfy     16
#define cfx     17
#define cfy     19

static char afont [32] = "Screen";			/* Small font. */
static char bfont [32] = "CharterBT-Black";		/* Medium font. */
static char cfont [32] = "CharterBT-Black";		/* Large font. */

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
