#include <stdio.h>
#include <ctype.h>
#include <time.h>
#include <math.h>

#define START

#include "mk4v2.h"

float img [720*384];
float copy[720*384];

main (an, av) char *av[]; {

    int ii;
    int xdim,ydim,wrap;
    char filenm[50];
    int imsz,hdsz;

    int hsz,neigh;

    int do_wrap;
    int do_nowrap;
    int do_median;


    hsz = 5;
    hsz = 7;
    hsz = 3;

    do_wrap  =1;
    do_nowrap=0;
    do_median=0;

    sprintf(filenm,"MyImg");

    xdim=720; ydim=384; imsz=xdim*ydim*sizeof(float);


    /*
    ii = 5;
    fprintf(stderr,"ii is %d\n",ii);
    fprintf(stderr,"ii >> 1 is %d\n",ii>>1);
    ii = 6;
    fprintf(stderr,"ii is %d\n",ii);
    fprintf(stderr,"ii >> 1 is %d\n",ii>>1);
    */

    if(do_wrap==1) {
        wrap=1;      fprintf(stderr,"Doing the Wrap version\n");
        sprintf(filenm,"MyImg");        opnit(filenm, imsz ) ;
	/*
	ReplaceGE(img,xdim,ydim, 10000., 9999. , 1);
	ReplaceLE(img,xdim,ydim,-10000.,-9999. , 1);
	*/
        /*
	LeeFilt2d(img,xdim,ydim,hsz,wrap);
	*/
	neigh = hsz*2 +1;
        Smooth_Wrap2d  (img,neigh,xdim,ydim);
        sprintf(filenm,"MyImg.wrap"  ); wrtit(filenm, imsz ) ;
    }


    if(do_nowrap==1) {
        wrap=0;      fprintf(stderr,"Doing the NoWrap version\n");
        sprintf(filenm,"MyImg");        opnit(filenm, imsz ) ;
        LeeFilt2d(img,xdim,ydim,hsz,wrap);
        sprintf(filenm,"MyImg.Nowrap"); wrtit(filenm, imsz ) ;
    }
    if(do_median==1) {
        wrap=0;      fprintf(stderr,"Doing the Median version\n");
        sprintf(filenm,"MyImg");        opnit(filenm, imsz ) ;

	MedianFilter2d(img,copy,xdim,ydim,hsz);
	VVcopy(copy,img,xdim*ydim);
        LeeFilt2d     (img,xdim,ydim,hsz,wrap);
        sprintf(filenm,"MyImg.NowrapMedian"); wrtit(filenm, imsz ) ;
    }

}

int wrtit(filenm, imsz )
    char *filenm;
    int imsz;
{
    FILE *fid;
    int ii;

    if ( ( fid = fopen(filenm,"w") ) < (FILE*)0 ) {
        fprintf(stderr,"Error opening %s for writing.\n",filenm);
        exit(-90);
    }
    if( ( ii = fwrite (img,1,imsz,fid)) != imsz ) {
        fprintf(stderr,"Image write error:\n\
        Only wrote %d floats from %s\nExpected %d",
                        ii,filenm,imsz);
        fclose(fid);
        exit(-94);
    }
    fclose(fid);
}

int opnit(filenm, imsz )
    char *filenm;
    int imsz;
{
    FILE *fid;
    int ii;

    if ( ( fid = fopen(filenm,"r") ) == NULL  ) {
        fprintf(stderr,"Error opening %s for reading.\n",filenm);
        exit(-90);
    }
    if( ( ii = fread (img,1,imsz,fid)) != imsz ) {
        fprintf(stderr,"Image read error:\n\
        Only read %d floats from %s\nExpected %d",
                        ii,filenm,imsz);
        fclose(fid); exit(-94);
    }
    fclose(fid);

}


int VVcopy(A,B,n)  /* Copy A to B  */
    float *A,*B;
    int n;
{
    int ii;
    float *pA,*pB;

    pA=A;
    pB=B;
    for(ii=0;ii<n;ii++){   
	*pB = *pA ;
	pA++; 
	pB++;
    }
}
