# mk4mapv2.m

DIRD   = /home/stanger/mlso/mk4/synv2
DIRS   = /home/stanger/fits/lib/mk4v2
DIRL   = /home/stanger/fits/lib/mk4v2

CFLAGS = -O
CFLAGS = -O -I $(DIRD) -I $(DIRS)

LFLAGS = -L $(DIRL)

OBJECTS = mk4map.o \
	rdwrtmk4v2.o \
	mapnmv2.o \
	ck_getv2.o \
	nmdatesv2.o \
	mk4_azscan.o \
	fillv2.o \
	terpimapv2.o \
	do_outv2.o \
	fill_ims_availv2.o 

LIBS = $(DIRL)/libmk4f.a /home/stanger/lib/libmisc.a -lm

INCLUDES = EWmap4.h ephemeris.h readme.h

mk4mapv2: $(OBJECTS) $(INCLUDES) $(DIRL)/mk4v2.h $(DIRL)/mk4headv2.h
	cc -o $@ \
	$(CFLAGS) \
	$(OBJECTS) \
	$(LFLAGS) \
	$(LIBS) 
