# mk4syn.m

DIRD   = /home/cordyn/mk4/Doc
DIRS   = /home/cordyn/lib/mk4v2/src
DIRL   = /home/cordyn/lib

CFLAGS = -O
CFLAGS = -O -I $(DIRD) -I $(DIRS)

LFLAGS = -L $(DIRL) \
	-L/opt/local/lib \
	-L/opt/share/PUBLIC/lib.SunOS

OBJECTS = mk4syn.o \
	mapnm.o \
	fill.o \
	ck_get.o \
	terpimap.o do_out.o \
	fill_ims_avail.o \
	nmnfill.o \
	rdwrtmk4v2.o

LIBS = $(DIRL)/libmk4f.a /home/cordyn/fits/lib/solar/solarlib.a -lm -lmisc

INCLUDES = EWmap4.h ephemeris.h readme.h

mk4syn: $(OBJECTS) $(INCLUDES) $(DIRD)/mk4v2.h $(DIRD)/mk4headv2.h
	cc -o $@ \
	$(CFLAGS) \
	$(OBJECTS) \
	$(LFLAGS) \
	$(LIBS) 
