/* pics_trunc.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Truncate native format pics images after 1534x1030 pixels.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR    3 September 2002
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
    static char namlst [80] ;
    static char namimg [80] ;
    static char namout [80] ;
    static short img [1030][1534] ;
 
    int npximg ;
 
    FILE *FD, *FDI, *FDO ;
 
    if (argc < 2)
       {
       fprintf (stdout, "usage: pics_trunc pics_image_list\n") ;
       exit (0) ;
       }
    else
       strcpy (namlst, argv [1]) ;
 
    npximg = 1534 * 1030 ;
 
    FD = fopen (namlst, "r") ;
 
    while (fscanf (FD, "%s", namimg) != EOF)
        {
 
        /*** Read PICS image. ***/

        FDI = fopen (namimg, "r") ;
        fread (img, sizeof (short), npximg, FDI) ;
	fclose (FDI) ;

	sprintf (namout, "save/%s", namimg) ;
 
        /*** Write PICS image. ***/

        FDO = fopen (namout, "w") ;
        fwrite (img, sizeof (short), npximg, FDO) ;
	fclose (FDO) ;
        }
 
    fclose (FD) ;
    exit (0) ;
}
