# picscal_als.linux.m

SHELL=/bin/csh

prefix     = /home/cordyn/linux
CC         = pgCC
bindir     = ${prefix}/bin
includedir = /home/cordyn/include
libdir     = ${prefix}/lib
srcdir     = .
CFLAGS     = -Mconcur
LIBS       = -lacos -lldc -lSciCPP -lcfitsio
TEST_LIBS  = -lacos -lldctest -lSciCPP -lcfitsio
CPPFLAGS   = -I${includedir} -I/home/cordyn/include/cfitsio
LDFLAGS    = -L${libdir} -R${libdir} -L/home/cordyn/linux/lib
#MFLAGS     = `$(bindir)/Magick-config --cppflags --ldflags --libs`
MFLAGS     =
OBJECTS    = picscal_als.o

picscal_als: $(OBJECTS)
	pgcc $(CFLAGS) -o $@ $(OBJECTS) $(CPPFLAGS) $(LDFLAGS) $(LIBS)
	-mv $@ ${bindir}

picscal_als.o: picscal_als.c
	pgcc -c picscal_als.c $(CPPFLAGS) $(LDFLAGS) $(LIBS)

