# picsldc2.m

SHELL=/bin/csh

#prefix = /orwell/d/tdarnell/IRIX
#prefix = /orwell/d/tdarnell/SunOS
#prefix = /diskb/tdarnell
#prefix = /orwell/d/tdarnell/Linux
prefix = /home/cordyn/linux

CC = pgCC
bindir = ${prefix}/bin
includedir = /home/cordyn/include
libdir = ${prefix}/lib
srcdir = .
CFLAGS = -Mconcur
LIBS = -lacos -lldc -lSciCPP -lcfitsio
TEST_LIBS = -lacos -lldctest -lSciCPP -lcfitsio

#CPPFLAGS = -I${includedir} -I/opt/local/include
CPPFLAGS = -I${includedir} -I/home/cordyn/include/cfitsio

#LDFLAGS = -L${libdir}
#LDFLAGS = -L${libdir} -R${libdir} -L/opt/local/lib
LDFLAGS = -L${libdir} -R${libdir} -L/home/cordyn/linux/lib

#MFLAGS = `$(bindir)/Magick-config --cppflags --ldflags --libs`
MFLAGS =

OBJECTS = picsldc2.o crop_img.o blint.o

picsldc2:  $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(CPPFLAGS) $(LDFLAGS) $(LIBS)
	-mv $@ ${bindir}

picsldc2.o:  picsldc2.cpp
	$(CC) $(CFLAGS) -c picsldc2.cpp $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)

crop_img.o: crop_img.c
	$(CC) $(CFLAGS) -c crop_img.c $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)

blint.o: blint.c
	$(CC) $(CFLAGS) -c blint.c $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)
