#!/opt/local/bin/perl

use strict;
#use lib ("/opt/share/PUBLIC/bin.SunOS/ImageMagick/lib/perl5/site_perl/sun4-solaris");
#use Image::Magick;

use mlso_navbar;

open CHIPTIME, "</toshi/ftp/d5/www/latestchiptime";
my $chip_time = <CHIPTIME>;
$chip_time =~ s/^\s*(.*?)\s*$/$1/; #trim whitespace
$chip_time = (split (/ /,$chip_time))[0];
close CHIPTIME;

open LIMBTIME, "</toshi/ftp/d5/www/latestdpmLIMBtime";
my $limb_time = <LIMBTIME>;
$limb_time =~ s/^\s*(.*?)\s*$/$1/; #trim whitespace
$limb_time = (split (/ /,$limb_time))[0];
close LIMBTIME;

open DISKTIME, "</toshi/ftp/d5/www/latestdpmDISKtime";
my $disk_time = <DISKTIME>;
$disk_time =~ s/^\s*(.*?)\s*$/$1/; #trim whitespace
$disk_time = (split (/ /,$disk_time))[0];
close DISKTIME;

open MK4TIME, "</toshi/ftp/d5/www/latestmk4time";
my $mk4_time = <MK4TIME>;
$mk4_time = (split (/ /,$mk4_time))[0];
close MK4TIME;

my $images = "http://download.hao.ucar.edu/d5/www/images";
my $styles = "http://download.hao.ucar.edu/d5/www/styles";
my $rootdir = $ENV{DOCUMENT_ROOT};
my @filestats = stat "mlso_acoshome.cgi";
my @gm_arr = localtime($filestats[9]);
my $create_str = sprintf("%02d/%02d/%02d %02d:%02d:%02d",
	$gm_arr[4]+1,$gm_arr[3],$gm_arr[5]-100,$gm_arr[2],$gm_arr[1],$gm_arr[0]);

print <<END_OF_PAGE;
Content-type: text/html

<html>
<head>
<title>MLSO Analysis Center Homepage</title>

<link rel="stylesheet" type="text/css"
href="$styles/mlsohome.css" />
END_OF_PAGE

PrintJavaScript();
PrintACOSbar("mlso_banner3.gif");

print <<END_OF_PAGE;
<table cellspacing="0" align="center">
  <tr>
    <th colspan="4" class="title">Latest ACOS Images</th>
  </tr>
  <tr>
    <td class="acostitle">Mark-IV </td>
    <td class="acostitle">PICS Limb</td> 
    <td class="acostitle">PICS Disc</td> 
    <td class="acostitle">CHIP</td>
  </tr>
  <tr>
  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.mk4.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.mk4.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.limb.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.limb.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.disk.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.disk.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.chip.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.chip.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>
  </tr>
  <tr>
  <td class="caption"> K-Corona <br> 700-950 nm <br> $mk4_time <br> 
   <a href="http://download.hao.ucar.edu/d5/mk4/raw_daily_image/todays_mk4_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> H-Alpha Limb <br> 656.3 nm <br> $limb_time <br>
   <a href="http://download.hao.ucar.edu/d5/dpm/raw_daily_image/todays_hal_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> H-Alpha Disk  <br> 656.3 nm <br> $disk_time <br>
   <a href="http://download.hao.ucar.edu/d5/dpm/raw_daily_image/todays_had_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> Helium-I  <br>1083 nm <br> $chip_time <br>
   <a href="http://download.hao.ucar.edu/d5/chip/raw_daily_image/todays_he1_mov.gif">
   Movie [merged-GIF]</a> </td>
  </tr>

</table>

<div align="center">
<img src='$images/ncartext.gif'>
</div>

<address>
<p>Webpage written and maintained by: <br>
<a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a> <br>
Last modified:  $create_str
</p>
</address>

</body> 
</html>

END_OF_PAGE
