; +
; NAME	seesyn.pro
;
; PURPOSE	View a binary Mk3/Mk4 synoptic map file.
;
; SYNTAX	seesyn, '1880e1.15'
;
; AUTHOR	Andrew L. Stanger   HAO/NCAR   22 May 2002
;
;-

PRO seesyn, syn_file

lct, '/home/cordyn/color/bwy.lut'				; Load color table.

map = INTARR (360, 181)

OPENR, 11, syn_file
READU, 11, map
CLOSE, 11

WINDOW, xsize=360, ysize=181

TVSCL, map

END

