/* cdoy.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Compute image DOY (include fractional part).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 20 July 1995
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

int cdoy (imgdoy, imghour, imgmin, doy)

int imgdoy ;
int imghour ;
int imgmin ;
float *doy ;

{
   /*** Compute image DOY. ***/

   *doy = (float) imgdoy + (float) imghour / 24.0 + (float) imgmin / 1440.0 ;

   return (0) ;
}

