c poly5.f : Polynomial function & partial derivatives for nllst2 subroutine.
c**************************************************************
c
      function func (x,c,na)
c
      real x
      real c(na)
      integer na
c
      a0   = c(1)
      a1   = c(2)
      a2   = c(3)
      a3   = c(4)
      a4   = c(5)
      a5   = c(6)
      func  = a0 + a1 * x + a2 * x**2 + a3 * x**3
     .                    + a4 * x**4 + a5 * x**5
c
      return
      end
c
c*******************************************************
c
      subroutine deriv (x,c,na,f,df)
c
      real x
      real c(na)
      integer na
      real f
      real df(na)
c
      a0     = c(1)
      a1     = c(2)
      a2     = c(3)
      a3     = c(4)
      a4     = c(5)
      a5     = c(6)

      f  = a0 + a1 * x + a2 * x**2 + a3 * x**3
     .                 + a4 * x**4 + a5 * x**5
      df(1) = 1
      df(2) = x
      df(3) = x**2
      df(4) = x**3
      df(5) = x**4
      df(6) = x**5

      return
      end
