/*-------------------------------------------------------------------------
 * This files contains definitions used by the centering program.
 *-------------------------------------------------------------------------
 * Ron Decker ASAP/CU  SMM C/P March 2, 1992
 * Initial Creation.
 */

#define RADELTA    30       /*- For each scan, scan 2*this many points */
#define RADIUS    125       /*- Radius to test against */
#define BRLIMIT    35       /*- Look for this brightness when averaging */
#define CLRBRFIX   70       /*- Add this to find brlimit of clear images */
#define SCANS       4       /*- Scans on each side of axis for averaging */
#define INIT       -1       /*- Invalid value */
#define AVGDELTA    5       /*- Used for finding average of scans */
#define STOPSCAN  100       /*- Stop after we've moved center out this far */
#define LOOPLIMIT  20       /*- Are we spinning wheels trying to center? */ 

