/* ghkline 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write Housekeeping on terminal screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Solar Maximum Mission   Coronagraph/Polarimeter   HAO/NCAR
 * Andrew L. Stanger
 * 25 October 1984
 * 12 February 1990: Use LOG as file descriptor for output information.
 * 25 June 1996: update directory name for "cplib.ext".
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/home/riker/stanger/lib/include/cplib.ext"
extern FILE *LOG;

ghkline ()

{
extern	struct	hskp	H;

	fprintf (LOG,"19%2d %03d: %02d:%02d:%02d  %3d  %4d  %2d-%2d %1s %4d %2s %3s %4s %2s %1s %4d %4d\n",
	 H.year, H.doy, H.hour, H.minute, H.second, H.quan, H.frame,
	 H.ih, H.iv, H.res, H.exp, H.fil, H.pol, H.glc, H.sec, H.cal,
	 H.roll, scroll);

	return (0);
}
