PRO cs
;PRO cs, namimg

COMMON cpgraf, igterm, lcc, lden, lfc, lstr, lsv, lvig, lreg, ldif, modeg, $
               rawtocal
COMMON cpgrin, igr, ngr, nres, imgch, ovrch, gres
COMMON cpscale, pixrs, rspix, degrad, raddeg
COMMON cpsize, bytord, npixl, npix, nbypix, ip, ir, lp, lr, idtype, nave, $
       icyear, icdoy, pscale
COMMON cpsun, scroll, degnor, xcen, ycen
COMMON img_format, gMINROW, gMAXROW, gMINCOL, gMAXCOL

   igterm = 1
   lcc = 0
   lden = 0
   lfc = 0
   lstr = 0
   lsv = 0
   lvig = 0
   lreg = 0
   ldif = 0
   modeg = 0
   rawtocal = 0

   igr = 1
   ngr = 0
   nres = 1
   imgch = 0
   ovrch = 0
   gres = 1

   pixrs = 961.0 / (5.933 * 2.0)
   rspix = 1.0 / pixrs
   degrad = 180.0 / 3.14159265
   raddeg = 3.14159265 / 180.0

   bytord = 0
   npixl  = 448
   npix   = 448
   nbypix = 1
   ip = 0
   ir = 0
   lp = 447
   lr = 447
   idtype = 1
   nave = 1
   icyear = 93
   icdoy  = 29
   pscale = 1.0

   scroll = 0
   degnor = 133.0
   xcen = 357.0
   ycen = 340.0

   gMINROW = 0
   gMAXROW = 447
   gMINCOL = 0
   gMAXCOL = 447
   namimg = "img.vnn"
;
;  Display SMM C/P image.
;
   !order = 1
;
;  Declare byte arrays.
;
   hk = bytarr (448)
   bm = bytarr (448)
   bbuf = bytarr (448, 448)
;
;  Read image into memory.
;
   rdcp, namimg, hk, bm, bbuf
;
;  Create window for image display.
;
;   imgsize = size (bbuf)
;   xll = 1270 - imgsize (1) 
;   yll = 10
;   window, 1, xsize = imgsize (1), ysize = imgsize (2), xpos = xll, ypos = yll
;
;  Display C/P image
;
   wset, 0
   tv, bbuf

;  Load B/W color table.

   r = findgen (256)
   g = findgen (256)
   b = findgen (256)
   tvlct, r, g, b

;  Radial scan :

   rmin = 1.5
   rmax = 5.0
   rinc = 0.1
   theta = 0.0
;
;   irscan, namimg, bbuf, rmin, rmax, rinc, theta, scan, scandx, ns, ierr
;
   tmin = 315.0
   tmax =  45.0
   tinc =   1.0
   radius = 2.0

;   window, 2, xsize = 512, ysize = 512
;   wset, 2
;   plot, scandx, scan,  $
;   TITLE="Radial Scan", $
;   XTITLE="Radius (Rsun)", $
;   YTITLE="Brightness (DN)"

;  Theta scan :

   wset, 0
;   itscan, namimg, bbuf, tmin, tmax, tinc, radius, scan, scandx, ns, ierr
;
;   window, 3, xsize = 512, ysize = 512
;   wset, 3
;   plot, scandx, scan,  $
;   TITLE="Theta Scan", $
;   XTITLE="Theta (degrees)", $
;   YTITLE="Brightness (DN)"

;  Line scan :

   ip1 = 100 
   ir1 = 200
   ip2 = 300
   ir2 = 400
   scntyp = 2

   wset, 0
   ilscan, bbuf, ip1, ir1, ip2, ir2, scntyp, scan, scandx, ns, ierr

   window, 4, xsize = 512, ysize = 512
   wset, 4
   plot, scandx, scan,  $
   TITLE="Line Scan", $
   XTITLE="Distance Along Line (Rsun)", $
   YTITLE="Brightness (DN)"

   RETURN
END
