/* aotoi.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Convert ASCII octal string to integer.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

aotoi(s)

char s[];
{
   int i, n;

   /* Skip white space. */

   for (i=0; s[i] == ' ' || s[i] == '\n' || s[i] == '\t'; i++);

   for (n=0; s[i] >= '0' && s[i] <= '7'; i++)
      n = 8 * n + s[i] - '0';

   return (n);
}
