/* chexp.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Change exposure duration in C/P housekeeping.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 * 16 March 1993
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include "/home/yoda/smm/lib/include/cplib.h"

main ()
{
   extern char *malloc ();
   char *img;
   static char namlst [80];
   static char namimg [80];
   int imgexp;				/* Exposure duration (1.024 sec). */
   int fd;
   int nbyimg;
   int nread, nwrite, nclose;
   FILE *LIST;

   fprintf (stderr, "Enter name of file containing list of images: ");
   fscanf  (stdin,  "%s", namlst);

   fprintf (stderr, "Enter new exposure duration: ");
   fscanf  (stdin, "%d", &imgexp);

   LIST = fopen (namlst, "r");
   while (fscanf (LIST, "%s", namimg) != EOF)
      {
      fprintf (stdout, "namimg: %s\n", namimg);
      cphskp (namimg);

      nbyimg = (npix + 2) * npix;
      img = malloc (nbyimg);

      fd = open (namimg, 2);
      nread = read (fd, img, nbyimg);

      *(img + 10) = (char) ((imgexp >> 4) & 0377);
      *(img + 11) = (char) (imgexp & 0377);

      lseek (fd, 0L, 0);
      nwrite = write (fd, img, nbyimg);
      nclose = close (fd);
      free (img);
      }
   exit (0);
}
