/* fhkline4.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write Housekeeping on terminal screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Solar Maximum Mission   Coronagraph/Polarimeter   HAO/NCAR
 * Andrew L. Stanger
 * 18 April 1985: Include image file name.
 * 7 February 1990: display MET.  Delete IH, IV, H.glc.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/usr/people/smm/lib/include/cplib.ext"
extern int MET;

fhkline ()

{
	fprintf (stdout,"%-17s 19%2d-%03d/%02d:%02d:%02d %8d %3d %4d  %1s%4d  %2s %3s  %2s  %1s %4d\n",
	 H.filename, H.year, H.doy, H.hour, H.minute, H.second, MET, H.quan, H.frame,
	 H.res, H.exp, H.fil, H.pol,  H.sec, H.cal, H.roll);

	return (0);
}
