/* zerobm.c
 * -----------------------------------------------------------------------------
 * Write zeros in C/P image bitmap.
 * -----------------------------------------------------------------------------
 */
#include <stdio.h>
#include "/usr/people/smm/lib/src/cp/cplib.h"

main (argc, argv)

int argc;
char *argv [];

{
   extern char *malloc ();

   char *hk;
   char *bm;
   char *imgbuf;
   static char namimg [80];

   int fd;
   int i;
   int begseg;
   int nseg;
   int begbyt, endbyt;
   int nbyt;

   /*** Get information. ***/

   fprintf (stderr, "Enter C/P image filename: ");
   fscanf  (stdin,  "%s", namimg);

   fprintf (stderr, "Enter beginning byte in bitmap: ");
   fscanf  (stdin,  "%d", &begbyt);

   fprintf (stderr, "Enter # bytes to set OK: ");
   fscanf  (stdin,  "%d", &nbyt);

   /*** Decode housekeeping of C/P image. ***/

   cphskp (namimg);
   hk = malloc (npix);
   bm = malloc (npix);
   imgbuf = malloc (npix*npix);

   /*** Open image disk file and read housekeeping, bitmap, and image data. ***/

   fd = open (namimg, 2);
   read (fd, hk, npix);			/* Read houskeeping. */
   read (fd, bm, npix);			/* Read bitmap. */
   read (fd, imgbuf, npix*npix);	/* Read image data. */

   /*** Modify bitmap. ***/

   endbyt = begbyt + nbyt;

   for (i = begbyt; i < endbyt; i++)  *(bm + i) = 0;

   /*** Rewrite modified image to disk file. ***/

   lseek (fd, 0L, 0);			/* Reset file pointer at BOF. */

   write (fd, hk, npix);		/* Write housekeeping. */
   write (fd, bm, npix);		/* Write bitmap. */
   write (fd, imgbuf, npix*npix);	/* Write image data. */

   close (fd);
   free (hk);
   free (bm);
   free (imgbuf);

   exit (0);
}
