/* fsundec.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Convert floating point array values from Sun to DEC format.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 27 February 1989
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

fsundec (fbuf, nelem)

float *fbuf;
int nelem;

{
register int i;
register float *fp;

   fp = fbuf;

   srevbyt4 (fp, 4, nelem);		/* Reverse bytes. */

   for (i=0; i<nelem; i++)
      *(fp + i) *= 4.0;
}
