/* pixave.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Pixel average.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

char
pixave (imgbuf, nx, ny, ix, iy)

char *imgbuf;			/* image buffer. */
int ix, iy;			/* x/y indices. */
int nx, ny;			/* x/y dimensions. */

{
   int sum;

   sum = *(imgbuf + ix     + (iy    ) * nx) +
         *(imgbuf + ix     + (iy - 1) * nx) +
         *(imgbuf + ix     + (iy + 1) * nx) +

	 *(imgbuf + ix - 1 + (iy    ) * nx) +
	 *(imgbuf + ix - 1 + (iy - 1) * nx) +
	 *(imgbuf + ix - 1 + (iy + 1) * nx) +

	 *(imgbuf + ix + 1 + (iy    ) * nx) +
	 *(imgbuf + ix + 1 + (iy - 1) * nx) +
	 *(imgbuf + ix + 1 + (iy + 1) * nx) ;

   return ( char (sum / 9.0) );

}
