/* scrm3s.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Scratch mark interpolation.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 * 26 October 1988
 *  6 October 1992: use vertical interpolation for left part of scratch.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#define NBOX 6 
extern int dhfill ();
extern int dvfill ();
extern int vints ();
extern int hints ();


scrm3s (imgbuf, xdim, ydim)

unsigned short *imgbuf;				/* Image buffer. */
int xdim, ydim;					/* Image dimension.s */

{
int level = -1;
int x, y;
static int nbox = NBOX;
static int xx [NBOX] =  { 338, 370, 423, 296, 317, 327};
static int yy [NBOX] =  { 194, 209, 205, 162, 196, 200};
static int dxx [NBOX] = {  18,  54,  83,  32,  22,  22};
static int dyy [NBOX] = {  21,  16,  16,  16,   7,  17};

static char dir2 [] = "ru";
static char ddir [] = "r";

   printf ("scrm3s\n");

   /*** Interpolation. ***/

/*
   dhfill (imgbuf, xdim, ydim, level, xx[0], yy[0], dxx[0], dyy[0], dir2, ddir);
   vints (imgbuf, xdim, ydim, level, 2, &xx[1], &yy[1], &dxx[1], &dyy[1], dir2);
 */

   dvfill (imgbuf, xdim, ydim, level, xx[3], yy[3], dxx[3], dyy[3], dir2, ddir);
/*
   hints (imgbuf, xdim, ydim, level, 1, &xx[4], &yy[4], &dxx[4], &dyy[4], dir2);
   vints (imgbuf, xdim, ydim, level, 1, &xx[5], &yy[5], &dxx[5], &dyy[5], dir2);
 */

   return (0);
}
