/* cpimg.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Test mr_box & mw_box.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 17 July 1992
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/usr/people/smm/lib/src/cp/cplib.h"

main (argc, argv)

int argc;
char *argv [];

{
   static char namimg [80];
   static unsigned char *ibuf;
   static unsigned char *obuf;

   unsigned char *cibuf;
   unsigned short *sibuf;
   float *fibuf;

   unsigned char *cobuf;
   unsigned short *sobuf;
   float *fobuf;

   if (argc == 2)
      strcpy (namimg, argv [1]);
   else
      {
      fprintf (stderr, "usage: %s cp_filename\n", argv [0]);
      exit (0);
      }

   cpbuf = rdfimg (namimg);

   if (nbypix == 4)
      ibuf = cpbuf [npix*nbypix];
   else
      ibuf = cpbuf [2*npix*nbypix];

   if (nbypix == 1)
      {
      cibuf = (unsigned char *) ibuf;
      cobuf = (unsigned char *) malloc (npix*npix*nbypix);
      }
   if (nbypix == 2)
      {
      sibuf = (unsigned short *) ibuf;
      sobuf = (unsigned short *) malloc (npix*npix*nbypix);
      }
   if (nbypix == 4)
      {
      fibuf = (float *) ibuf;
      fobuf = (float *) malloc (npix*npix*nbypix);
      }

   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "ru");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "lu");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "rd");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "ld");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "ur");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "dr");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "ul");
   mr_rbox (cibuf, nbypix, npix, npix, cobuf, 0, 0, npix, npix, "dl");
   
   exit (0);
}
