/* scrms.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Scratch mark interpolation.
 * C-language function.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 24 October 1988
 * 31 July 1992: SGI GL version.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#define NBOX 3 

scrms (cbuf, nbypx, xdim, ydim)

unsigned char	*cbuf;		/* Image buffer. */
int		nbypx;		/* # bytes per pixel. */
int		xdim, ydim;	/* Image dimensions. */
{
   int i;
   int level = -1;

   static int nbox = NBOX;
   static int dxx [NBOX] = { 30,  72, 120};
   static int dyy [NBOX] = { 24,  33,  17};
   static int xx  [NBOX] = {237, 245, 317};
   static int yy  [NBOX] = {320, 290, 290};
   static char dir2 [] = "ru";

   /*** Vertical interpolation. ***/

   for (i = 0; i < nbox; i++)
      rvfill (cbuf, nbypx, xdim, ydim, xx [i], yy [i], dxx [i], dyy [i]);

   return (0);
}
