/* mkdisp.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Display MLSO Mark-III K-Coronameter image on Grinnell.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include "/u/rose/grin2/grin.h"

main()
{
extern char *malloc();
extern unsigned short *rdmk3();
unsigned short *mkims;
unsigned short *mkimr;
static char namemk[] = "19:13.srq";
int ngr = 0, imgch = 1, ovrch = 10;
int mkdx, mkdy;
int mknx = 448, mkny = 448;
int mkcx, mkcy;
float fx, fy;
float cppxrs = 80.9877;
float mkpxrs = 104.4435;
mkpxrs = (511.0 / (2.0 * (1.1224 + 127.0 * 0.0104244)));   /* scale 13 Dec 90 */

   mkims = rdmk3 (namemk, &mkdx, &mkdy, &mkcx, &mkcy);
   printf ("mkdx:%d   mkdy:%d   mkcx:%d   mkcy:%d\n", mkdx, mkdy, mkcx, mkcy);

   gr_start (ngr);
   init();
   gr_erase (imgch);
   disp(imgch);
   wbox (mkims, 0, 0, mkdx, mkdy, "ru");

   printf ("Reduce image size.\n");
   mkimr = (unsigned short *) malloc (mknx * mkny * sizeof(short));
   fx = fy = cppxrs / mkpxrs;
   expcon (mkims, mkdx, mkdy, mkimr, mknx, mkny, fx, fy, 246.5, 246.5, 442., 270.);
   wbox (mkimr, 0, 0, mknx, mkny, "ru");
}
