/* wrlinp.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write one line of data for each image: Br, Bt, pol, pB.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 23 January 1987
 * 14 November 1988: reverse bytes for Vax-11/750.
 * 21 November 1989: use Sun byte order for output images.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include "/usr/people/smm/lib/include/cplib.ext"

wrlinp (lunbr, lunbt, lunp, lunpb, br, bt, p, pb)

int lunbr, lunbt, lunp, lunpb;	/* File descriptors for output files. */
short *br, *bt, *p, *pb;	/* Line arrays for Br, Bt, pol, pB. */

{
int nbylin;	/* # bytes per vidicon line in image. */
int nwrite;	/* # bytes written to file. */

   nbylin = nbypix * npix;

   /*** Write one vidicon line to each output file. ***/

   nwrite = write (lunbr, br, nbylin);
   nwrite = write (lunbt, bt, nbylin);
   nwrite = write (lunp,  p,  nbylin);
   nwrite = write (lunpb, pb, nbylin);

   return(0);
}
