/* getbox.c
 ****************************************************************************
 * Extract values within a box from a C/P image file.
 ****************************************************************************
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 *  9 February 1983
 * 13 July 1984: converted from F4P to F77.
 *  6 May 1985
 * 17 June 1991: Modified for SGI/IRIS GL windows.
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 */
#include "/usr/people/smm/lib/src/cp/cplib.h"

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
getbox (namfil, ip1, ir1, ip2, ir2, ibox, nval)

char namfil [];
int ip1, ir1, ip2, ir2;
int ibox [];
int nval;

{
static short line [896];
int limg;
int i, ir, il, ib;

   limg = open (namfil, 0);
   ib = -1;

   lseek (limg, (ir1+2)*npix, 0);
   for (ir = ir1; ir <= ir2; ir++)
      {
      read (limg, line, npix);
      il = ip1 - 1;

      for (i = ip1; i <= ip2; i++)
         {
         ib++;
         il++;
         ibox [ib] = (int) line [il];
         }

      }
   close (limg);

   return (0);
}
