
/* C interface routines for the NCAR Plot Package.   */

#define ezxy(x,y,n,lab)  ezxy_(x, y, &n, lab, strlen(lab))
#define ezmxy(x,y,n1,ng,n2,lab) ezmxy_(x,y,&n1,&ng,&n2,lab,strlen(lab))

#define set(xa,xb,ya,yb,xc,xd,yc,yd,ltype) set_(&xa,&xb,&ya,&yb,&xc,&xd,&yc,&yd,&ltype)
#define curve(x, y, n)  curve_(x, y, &n)
#define q8qini(filename, logical) q8qini_(filename, &logical, strlen(filename))

#define frame()  frame_();
#define bndary() bndary_();

#define agseti(descript, action)    agseti_(descript, &action, strlen(descript))
#define agsetf(descript, action)    agsetf_(descript, &action, strlen(descript))
#define agsetp(descript, label, action) agsetp_(descript, label, &action, strlen(descript), strlen(label))
