/* polcmd
 *--------------------------------------------------------------------
 *    command choices for 'polscn' program.
 *--------------------------------------------------------------------
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 * 23 november 1983
 * 15 July 1984: converted from 11/34 to VAX 750
 *  6 May 1985
 * 31 October 1985: Restore F-corona command.
 * 11 July 1986: Change order of commands; remove 'rmsv' command.
 * 5 February 1990: Add commands brt and cmp.
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 */

#include <stdio.h>

polcmd()
{
   fprintf (stdout, "POLSCN commands :\n");
   fprintf (stdout, "scan   :  do radial or theta scan.\n");
   fprintf (stdout, "fcor   :  remove F-corona.\n");
   fprintf (stdout, "pol    :  derive and plot polarization fraction.\n");
   fprintf (stdout, "pb     :  derive and plot pB.\n");
   fprintf (stdout, "angle  :  derive and plot polarization error angle.\n");
   fprintf (stdout, "brt    :  plot brightness: p0, p1+p2+p3, & ratio.\n");
   fprintf (stdout, "cmp    :  plot clear vs. stoke's intensity comparison.\n");
   fprintf (stdout, "stokes :  plot Stoke's vector components (I,Q,U).\n");
   fprintf (stdout, "help   :  display this command menu.\n");
   fprintf (stdout, "exit   :  terminate program.\n");
   fprintf (stdout, "Enter command following the question mark prompt.\n");
   return(0);
}
