#include <stdio.h>
main()
{
   static float r[3][3];
   static float rinv[3][3];
   static float rwork[6][3];
   static float s[3], ss[3];
   float si, sq, su;
   extern int mxm_();
   extern int matinv_();
   int i, j;
   int n = 3;
   int n1 = 1;
   FILE *MTX;
   FILE	*fopen();	/* Type declaration for system functions. */
   FILE	*fclose();	/* Type declaration for system functions. */
/* -------------------------------------------------------------------- */

/* Read Mueller matrix from disk file. */

   MTX = fopen("polmtx.dat", "r");
   fscanf(MTX,"%f%f%f%f%f%f%f%f%f",
	  &r[0][0], &r[0][1], &r[0][2],
	  &r[1][0], &r[1][1], &r[1][2],
	  &r[2][0], &r[2][1], &r[2][2]);

/* Invert [polaroid]*[optical] matrix. */

   fprintf(stdout,"input matrix   r:\n");
   fprintf(stdout,"%f %f %f\n%f %f %f\n%f %f %f\n",
           r[0][0],r[0][1],r[0][2],
           r[1][0],r[1][1],r[1][2],
           r[2][0],r[2][1],r[2][2]);

   matinv_ (r, rwork, rinv, &n);

/*
   rinv[0][0] = .855;
   rinv[0][1] = .780;
   rinv[0][2] = .855;
   rinv[1][0] = -.863;
   rinv[1][1] = 1.652;
   rinv[1][2] = -.863;
   rinv[2][0] = 1.449;
   rinv[2][1] = 0.;
   rinv[2][2] = -1.449;
 */

   fprintf(stdout,"inverse matrix   rinv:\n");
   fprintf(stdout,"%f %f %f\n%f %f %f\n%f %f %f\n",
           rinv[0][0],rinv[0][1],rinv[0][2],
           rinv[1][0],rinv[1][1],rinv[1][2],
           rinv[2][0],rinv[2][1],rinv[2][2]);

   for (i=0; i<3; i++)
	for (j=0; j<3; j++)
		r[i][j] = rinv[j][i];

   fprintf(stdout,"transposed inverse matrix   r:\n");
   fprintf(stdout,"%f %f %f\n%f %f %f\n%f %f %f\n",
           r[0][0],r[0][1],r[0][2],
           r[1][0],r[1][1],r[1][2],
           r[2][0],r[2][1],r[2][2]);
/*
   #  radius      p1      p2      p3       i       q       u
   1    2.00   122.0    75.0   111.0   257.7   -77.3    15.9
      ci      cq      cu     str     vig      pb     pol  delang
 2565.70 -437.12   90.17   36.00   5.656  446.32   0.174    -5.8
 */

/* Establish polaroid input intensity vector (s). */

      s[0] = 1.21e-9;
      s[1] = 7.53e-10;
      s[2] = 1.14e-9;

/* Compute ss : the resultant Stokes vector. */

      mxm_ (r,&n,s,&n,ss,&n1);
      si = ss[0];
      sq = ss[1];
      su = ss[2];

   printf ("si:%e  sq:%e  su:%e\n", si, sq, su);
   exit(0);
}
