/*------------------------------------------------------------------------------
 * D O P L O T ()  -  Plot graph on terminal.
 *------------------------------------------------------------------------------
 */
doplot (x, y, npts, title, xlab,  ylab)

float *x, *y;
int npts;
char *title;
char *xlab, *ylab;
{
   int chsize;
   extern struct IMAGE *image[];
   static int zip=0, mone= -1, two=2;
   static int ichar='.';
   static char cymin[]="Y/MINIMUM.";
   static char cymax[]="Y/MAXIMUM.";
   static char tlab [40];

/* If there are no points to plot, then return. */

   if (npts < 1) return (0);

   stopwin ();			/* Stop windows package. */

   if (plot_index != scans->index)
      {
      (void) strcpy (wbuff,  image[scans->index]->name);
      (void) strcat (wbuff, ".cgm");
      chsize = strlen (wbuff);
      gkschnam_ (wbuff);
      plot_index = scans->index;
      }
   (void) sprintf (tlab, "%s %s", image[scans->index]->name, title);

/*
 *   anotat_ (xlab, ylab, &zip, &mone, &zip, &two, strlen(xlab), strlen(ylab)); 
 */
   if (lymin)
      agsetf_ (cymin, &pymin); 
   if (lymax)
      agsetf_ (cymax, &pymax); 
   /* displa_ (&two, &zip, &zip); */
   ezxy_ (x, y, &npts, tlab, strlen (tlab));

/*   points_ (x, y, &npts, &ichar, &zip); */
/*   curve_  (x, y, &npts); */
/*   frame_ (); */

   winit ();			/* Restore windows package. */
   wrefresh (stdscr);
}
