
/*----------------------------------------------------------------------------
 * S C A N D B . H      - Data base header file for the image scanning program
 *			  scan 
 *
 *----------------------------------------------------------------------------
 */

#include "dbio.h"

struct dbview fieldlist[] =
{
	{"id"},
	{"filter"},
	{"polaroid"},
	{"sector"},
	{"radius"},
	{"theta"},
        {"hiresx"},
	{"hiresy"},
	{"comment"},
	{"tyme"}
};

struct  dbrec 
{
	char id[18];
	char filter[6];
	char polaroid[4];
	char sector[3]; 
	float radius;
	float theta;
	float hiresx;
	float hiresy;
	char comment[20];
	char tyme[10];
};

struct dbrec  rec;


/* INFORMIX error codes */

#define ALL_OK			0
#define VALUE_FOUND		0
#define FOUND			0
#define UNOPENED_FILE		6000
#define DOES_NOT_EXIST		6001
#define FIELD_NOT_FOUND		6005
#define FILE_NOT_OPEN		6006
#define NO_DATA_IN_FILE 	6009
#define NOT_FOUND 		6010
#define END_OF_FILE		6011
#define BEG_OF_FILE		6012
#define NO_SUCH_FLAG		6014
#define FOUND_DUPLICATE 	6017
#define FILENAME_NOT_OPEN 	6018
#define NO_VIEW_SET 		6019
#define ALREADY_OPEN		6025
#define NO_DUPLICATES		6030
#define NO_FIELD_SELECTED	6031
#define NO_CURRENT_RECORD	6035
