#include <stdio.h>

/*------------------------------------------------------------------------------
 * F G E T L I N E ()  -- Reads a line from a file. Terminates at End of File,
 *			  or at newline character. Returns EOF at End of File 
 *			  else returns the number of characters placed in the
 *			  buffer.
 *------------------------------------------------------------------------------
 */
fgetline (fd, buff)

FILE *fd;			/* File descriptor. */
char *buff;			/* Buffer space.    */
{
   int c, i;

   for (i = 0; (c = fgetc (fd)) != EOF && c != '\n'; i++) 
      buff [i] = c;

   if (c == '\n') 
      {
      buff [i] = c;
      ++i;
      }

   if (c == EOF)
      return (EOF);

   buff [i] = '\0';
   return (i);
}
