/* wcir.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write circle in current FB using WHIP functions fb_circle.
 * Assumes fb_open () has been called and a frame buffer is selected.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 19 November 1992
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

wcir (xcenter, ycenter, cradius, grey)

int xcenter, ycenter;	/* Pixel location for center of circle */
int cradius;		/* Radius of circle. */
int grey;		/* Color level. */

{
   fb_circle (xcenter, ycenter, cradius, grey);

   return (0);
}
