/* wvec.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write vector in current FB using WHIP functions fb_move & fb_line.
 * Assumes fb_open () has been called and a frame buffer is selected.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 26 February 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

wvec (xbeg, ybeg, xend, yend, grey)

int xbeg, ybeg;		/* Pixel location for start of vector. */
int xend, yend;		/* Pixel location for start of vector. */
int grey;		/* Color level. */

{
   fb_line (xbeg, ybeg, xend, yend, grey);

   return (0);
}
