/* orbtim.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
static char cdate [16] ;
static char cmet [29][12] =
{
" 00:-37:-11",
" 00: 58: 35",
" 02: 34: 18",
" 04: 10: 04",
" 05: 45: 47",
" 07: 21: 30",
" 08: 57: 16",
" 10: 33: 00",
" 12: 08: 46",
" 13: 44: 29",
" 15: 20: 12",
" 16: 55: 58",
" 18: 31: 42",
" 20: 07: 28",
" 21: 43: 12",
" 23: 19: 03",
" 24: 54: 54",
" 26: 30: 45",
" 28: 06: 36",
" 29: 42: 00",
" 31: 18: 00",
" 32: 54: 00",
" 34: 30: 00",
" 36: 06: 00",
" 37: 42: 00",
" 39: 18: 00",
" 40: 54: 00",
" 42: 30: 00",
" 44: 06: 00"
} ;

int i ;
int iyear0  =  98 ;
int idoy0   = 305 ;
int ihour0  =  19 ;
int imin0   =   4 ;
float fsec0 =  44.0 ; 

int sct0 = 0 ;
int met  = 0 ;
char c1, c2 ;

int kyear, kdoy, khour, kmin ;
float ksec ;

int hour, minute, second ;

   for (i = 0; i < 29; i++)
      {
      sscanf (&cmet [i][0], "%03d%c%03d%c%03d",
	      &hour, &c1, &minute, &c2, &second) ;

      met = hour * 3600 + minute * 60 + second ;
/* 
      fprintf (stdout, "cmet %02d:%02d:%02d   met %d\n",
	       hour, minute, second, met) ;
 */

      met /= 0.008 ;
      metgmt (iyear0, idoy0, ihour0, imin0, fsec0, sct0, met,
             &kyear,  &kdoy,  &khour,  &kmin,  &ksec) ;

      if (kyear < 1900) kyear += 1900 ;
      if (kdoy == 305)  sprintf (cdate, "1-nov-1998") ;
      if (kdoy == 306)  sprintf (cdate, "2-nov-1998") ;
      if (kdoy == 307)  sprintf (cdate, "3-nov-1998") ;
/* 
      switch (kdoy)
	 {
	 case '305':	sprintf (cdate, "1-Nov-1998") ; break ;
	 case '306':	sprintf (cdate, "2-Nov-1998") ; break ;
	 case '307':	sprintf (cdate, "3-Nov-1998") ; break ;
	 default:	sprintf (cdate, "1-Nov-1998") ;
	 }
 */

      fprintf (stdout, "%2d   %04d  %03d   %s %02d:%02d:%02.0f\n",
	       i, kyear, kdoy, cdate, khour, kmin, ksec) ;
      }

}
