PRO SPWRITE, fmt, obuf, olun
; writes the decommutated data to appropriate the appropriate
; output files. The rows in the obuf(j).dat arrays correspond
; to different MET's (or different occurences of the fmt sync pattern)
; and the columns are the different, desired bytes from the format
;
;	Author:	Greg Ucker
;	Date:	25 Oct 1993
;
; MODIFICATIONS:
;
;
nfmts = n_elements(fmt)
itsVMS = (strtrim(strupcase(!version.os),2) eq 'VMS')

for i = 0,nfmts-1L do begin
	col0 = 0L
	if obuf(i).ndat gt 0 then begin	; if have data to write for that fmt
	   for j = 0,fmt(i).nitems-1L do begin
		col1 = col0 + fmt(i).ilen(j)-1L

		if itsVMS then $
	openu,olun,fmt(i).spyr+'_'+fmt(i).iname(j)+'.dat',/stream, /append $
		else openu,olun,fmt(i).spyr+'_'+fmt(i).iname(j)+'.dat',/append

;		if obuf(i).ndat gt 1L then begin
;			writeu,olun, $
;			reform(obuf(i).dat(col0:col1,0L:(obuf(i).ndat-1L)), $
;			obuf(i).ndat*fmt(i).ilen(j))
;		endif else begin
;			writeu,olun, $
;			obuf(i).dat(col0:col1,0L:(obuf(i).ndat-1L))
;		endelse

		writeu,olun, obuf(i).dat(col0:col1,0L:(obuf(i).ndat-1L))


		close,olun
		col0 = col1 + 1L
	   endfor
	   obuf(i).ndat = 0L
	endif
endfor
return
end
