/* get_cmap 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Saves SGI colormap contents in arrays CarrayR, CarrayG, CarrayB.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#define MAXCOLI 4095 


get_cmap (offset, r, g, b)

short offset;
unsigned char *r, *g, *b;
{
   int i;
   short rcomp, gcomp, bcomp;
   unsigned short index;

   for (i = 0; i <= 256; i++)
      {
      index = i + offset;
      getmcolor (index, &rcomp, &gcomp, &bcomp);
      *(r + i) = (unsigned char) rcomp;
      *(g + i) = (unsigned char) gcomp;
      *(b + i) = (unsigned char) bcomp;
      }
   return (0);
}
