/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * gl_wrgb: Write RGB image (standard Sun rasterfile format) to GL window.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
gl_wrgb (imgbuf, dxs, dys)

unsigned char *imgbuf;
int dxs, dys;

{
   unsigned char *ibuf;
   long *irgb, *imgrgb;
   int i, iy;
   int ired, igreen, iblue;
   int npximg;

   npximg = dxs * dys;
   imgrgb = (long *) malloc (dxs * dys * sizeof (long));

   for (i = 0; i < npximg; i++)
      {
      irgb = imgrgb + i;
      ibuf = imgbuf + i * 3;

      iblue  = (long) *ibuf & 0377;
      igreen = (long) *(ibuf + 1) & 0377;
      ired   = (long) *(ibuf + 2) & 0377;
      *irgb = iblue << 16 | igreen << 8 | ired;
      }

   RGBmode ();
   gconfig ();

   for (i = 0; i < dys; i++)
      {
      iy = dys - i - 1;
      lrectwrite (0, iy, dxs-1, iy, imgrgb + i * dxs);
      }

   return (0);
}
