/* glcp_vid.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Reduce images size for video frame (640x480 pixels).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 * 9 October 1995
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/home/stanger/lib/include/cplib.ext"
#include "/home/stanger/lib/include/img_scale.ext"
extern char *malloc () ;
extern unsigned char *magimg () ;

unsigned char *
glcp_vid (imgbuf)

unsigned char *imgbuf ;
{

   unsigned char *imgout ;
   int nbypx ;
   int dxi, dyi ;
   int dxo, dyo ;
   float fx, fy ;
   float cxi, cyi ;
   float cxo, cyo ;

   nbypx = H.nbypix ;
   dxo = 400 ;
   dyo = 400 ;
   cxi = H.xcen ;
   cyi = H.ycen ;
   H.ires = 1 ;			/* set low resolution output. */

   dxi = npix ;
   dyi = npix ;
   fx = (float) dxo / (float) dxi ;
   fy = (float) dxo / (float) dyi ;
   cxi = H.xcen ;
   cyi = H.ycen ;
   cxo = cxi * fx ;
   cyo = cyi * fy ;


/*
   imgout = (unsigned char *) malloc (dxo * dyo * nbypx) ;
 */

   printf ("dxi/dyi: %4d %4d\n", dxi, dyi) ;
   printf ("dxo/dyo: %4d %4d\n", dxo, dyo) ;
   printf ("fx, fy:: %8.4f %8.4f\n", fx,  fy ) ;
   printf ("cxi/cyi: %8.4f %8.4f\n", cxi, cyi) ;
   printf ("cxo/cyo: %8.4f %8.4f\n", cxo, cyo) ;
/*   expcon (imgbuf, dxi, dyi, imgout, dxo, dyo, fx, fy, cxi, cyi, cxo, cyo) ;*/
   imgout = magimg (imgbuf, nbypx, dxi, dyi, dxo, dyo) ;

   npix  = 400 ;
   npixl = 400 ;
   H.ip = 0 ;
   H.lp = 399 ;
   H.ir = 0 ;
   H.lr = 399 ;
   H.xcen = xcen = cxo ;
   H.ycen = ycen = cyo ;
   H.pixrs = pixrs = H.pixrs * fx ;
   rspix = rspix / fx ;
   gMINCOL = 200;
   gMAXCOL = 599;
   gMINROW =  40;
   gMAXROW = 439;

return (imgout) ;
}
