seegif=1    ;;;; Set this to 1 to see the images as you go...
fixscl=0    ;;;;  This is usually 0

dotest=seegif
if(seegif)then begin ;{
    gif=0
    gif=bytarr(512,512)
    window,0,xsize=512,ysize=512
endif;}

mn=0 & mx=0

if(fixscl eq 0) then begin ;{

    mn = -150 & mx = 4000
    mn =    0 & mx = 4200
    mn = -300 & mx = 4000
    mn = -300 & mx = 5000
    mn = -300 & mx = 7000 ;; 99d036
    mn =    0 & mx = 4500
    mn = -300 & mx = 4500
    mn = -300 & mx = 13000

    print,mn,mx,'   min max'
endif ;}

numimg=1

nray=720
nraym1=nray-1

acirc = !PI * 2.0 / float(nray)
dp    = findgen(nray) * acirc  +  acirc * (0.25 * (float(nray)))
dpx   = intarr(nray)
dpy   = intarr(nray)
xcen  = 255.5   & ycen = 255.5   &   mk3rad = 104.4435   &  radius=1.00
rnder = 0.5005
dpx   = fix ( cos(dp) * mk3rad * radius + xcen + rnder )  ; For disk size
dpy   = fix ( sin(dp) * mk3rad * radius + ycen + rnder )  ; For disk size

;;;  r0 = 1.1224
;;;  dr = (255.5/104.44 - 1.1224) / 128.0
;;;  rmx= 2.45

r0 = 1.0018  ;new mk4 value
dr = 0.005035
rmx= 2.00
rpix = fix((rmx-r0)/dr) + 1    &  rpixm1 = rpix-1

rimg = fltarr(rpix,nray)
fpix = float(nray)*float(rpix)


close,1
filenm=' '
rpB=0
rpB=intarr(512,512)
                  
set_plot,'z'
device,set_resolution=[512,512],set_colors=256,z_buffering=0

; Load color table
close,11
_a=bytarr(256)  &  _b=bytarr(256)  &  _c=bytarr(256)
openr,11,'/home/cordyn/color_idl/qual.rgb'
readu,11,_a  &  readu,11,_b  &  readu,11,_c  &  close,11
_c(0)=5
tvlct,_a,_b,_c


if( n_elements(listfile) eq 0) then begin ;{
    listfile=' '
    print,$
    'Enter a filename that contains a list of the images you wish to anotate,'
    print,'     and convert to .gif images.'
    print,'The list should include the entire path to the images.'
    read,listfile
endif $
else begin ;}{
    print,' '
    print,'Your present listfile is: ',listfile
    print,'If you want to change it, enter the idl command: listfile=''newone'''
    print,'Where ''newone'' is an example new list file.'
    print,' '
endelse;}

print,' '
print,'The images listed in file: ',listfile,' will now be converted.'
print,' '
print,' '

daytab=intarr(13,2)
daytab=[[0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ],  $
       [0, 31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ]]

montab=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec']
imontb=['01_','02_','03_','04_','05_','06_','07_','08_','09_','10_','11_','12_']


close,13 & openr,13,listfile
                  
while ( not eof(13) ) do begin ;{
    readf,13,filenm
    close,1 & openr,1,filenm & readu,1,rpB & close,1

    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    if(seegif)then begin ;{
        set_plot,'z'
        device,set_resolution=[512,512],set_colors=256,z_buffering=0
    endif;}
    if(fixscl)then begin ;{
	for ii=0,rpixm1,1 do begin;{
	    RR=r0 + dr*float(ii)
	    Rpx = fix ( cos(dp) * mk3rad * RR + xcen + rnder )
	    Rpy = fix ( sin(dp) * mk3rad * RR + ycen + rnder )
	    rimg(ii,0:nraym1)  = rpB(Rpx,Rpy)
	endfor ;}
	avg  = total(rimg) / fpix
	diff =  rimg - avg 
	sigma=  sqrt ( total(diff*diff)/fpix)
	 
	mn = fix(fix(avg/ 50.)* 50.  - 2.5 *fix(sigma/ 50.)* 50.)
	mx = fix(fix(avg/100.)*100.  + 6 *fix(sigma/100.)*100.)
	print,'Raw avg, sigma:',avg,sigma,mn,mx

	;Cull out the way too big and little values.
	rimg= rimg*((rimg gt mn)  and  (rimg le mx))

	; Recompute the avg and sigma
	avg  = total(rimg) / fpix
	diff =  rimg - avg 
	sigma=  sqrt ( total(diff*diff)/fpix)
	 
	print,'Cleaned avg, sigma:',avg,sigma
	mn = fix(fix(avg/ 50.)* 50.  - 1.4*fix(sigma/ 50.)* 50.)
	mx = fix(fix(avg/100.)*100.  + 4.5*fix(sigma/100.)*100.)
	mn = fix(fix((avg - 1.3 *sigma)/ 50.)*  50.)  
						     ;;; if(mn gt 0)then mn=0
	mx = fix(fix((avg + 4.2 *sigma)/100.)* 100.)
	;Cull out the way too big and little values.
	;rimg= rimg*((rimg gt mn)  and  (rimg le mx))

    endif;}
 
    sclcomm='Scaling: '+strtrim(string(mn),2) +' to '+strtrim(string(mx),2)


    print,'Image presently displayed is: ',filenm
    ctime=strmid(filenm,7,5)
    chr=strmid(ctime,0,2)  
    cmn=strmid(ctime,3,2)
    avgimg=0
    if( chr eq 'ch' ) then begin ;{ --> avg images!
        avgimg=1
	cmnd="set mk3tmp = `grep '^time' "+filenm+$
	     " | sed 's/time //'` ; echo $#mk3tmp > bzbzbz; "+$
             " echo $mk3tmp >> bzbzbz"
	spawn,cmnd
	close,1 & openr,1,'bzbzbz'& readf,1,numimg
	    if(numimg ge 60)then numimg=59
		   times=intarr(numimg)  & hrs=fltarr(numimg)
	    if(numimg eq  1)then begin;{
		   ihrs=' '
		   readf,1,ihrs & close,1
		   times(0) = 100*fix(strmid(ihrs,0,2)) + fix(strmid(ihrs,3,2))
	    endif else begin ;}{
		   readf,1,times & close,1
	    endelse ;}
	hrs  =1.*fix(times/100.) & hrs=hrs+(times-(hrs*100.))/60.

	cmnd="/bin/rm bzbzbz"
	spawn,cmnd
     
	;;; Compute average time.
	    ftime=total(hrs)/(float(numimg))
	    myhr =fix(ftime)              &   mymin=fix((ftime-myhr*1.)*60.)
	    avtime=strcompress(string(myhr)+':'+string(mymin),/remove_all)
	    if(mymin lt 10) then $
		avtime=strcompress(string(myhr)+':0'+string(mymin),/remove_all)
	;;; Compute beginning time.
	    myhr =fix(hrs(0))             &   mymin=fix((hrs(0)-myhr*1.)*60.)
	    btime=strcompress(string(myhr)+':'+string(mymin),/remove_all)
	    if(mymin lt 10) then $
		btime=strcompress(string(myhr)+':0'+string(mymin),/remove_all)
	;;; Compute ending time.
	    myhr =fix(hrs(numimg-1)) &   mymin=fix((hrs(numimg-1)-myhr*1.)*60.)
	    etime=strcompress(string(myhr)+':'+string(mymin),/remove_all)
	    if(mymin lt 10) then $
		etime=strcompress(string(myhr)+':0'+string(mymin),/remove_all)
    
	qualcom=strcompress(    string(numimg)+' images')
	if(numimg lt 10)then qualcom=' '+qualcom
 
	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    endif;}

    yrDdoy=strmid(filenm,0,6)
    year=fix(strmid(filenm,0,2))
    if ( year gt 50 ) then year = year + 1900 else year = year + 2000
    year = strcompress(string(year),/remove_all)
    iyr=fix(year)
    doy=fix(strmid(yrDdoy,3,3))
    leap=long((iyr mod 4 eq 0) and (iyr mod 100 ne 0) or  (iyr mod 400 eq 0))
    


    d=doy & m=0
    while(d gt 0) do begin;{
	m = m+1
	d = d-daytab(m,leap)
    endwhile;}
    resid=d+daytab(m,leap)
    m=m-1  & if(m lt 0) then m=0
    month=strlowcase(montab(m))
    imonth=imontb(m)
    if( resid lt 10) then $
	  date = montab(m) + ' ' + strcompress(string(resid)) +', '+year $
    else  date = montab(m) +       strcompress(string(resid)) +', '+year

    if     ( doy lt 10  ) then doy  = 'DOY  '+ strcompress(string(doy)) $
    else if( doy lt 100 ) then doy  = 'DOY '+ strcompress(string(doy)) $
    else                       doy  = 'DOY'+ strcompress(string(doy))

    qualname=filenm+'.gif' 
    print,qualname
    tmp=bytscl(rpB,min=mn,max=mx,top=254)
    tmp(dpx,dpy)=255

    erase,0

    tv,tmp

    xyouts,2,496,'MLSO-MK4 Coronameter',size=1.3,/dev
    xyouts,2,476,date,size=1.1,/dev
    xyouts,2,456,doy,size=1.1,/dev

    if(avgimg) then begin ;{
	xyouts,2,436,'~~'+avtime+'UT',size=1.1,/dev
	xyouts,428,45,qualcom,size=1.0,/dev
	xyouts,370,25,btime+'UT to '+etime+'UT',size=1.0,/dev
    endif $
    else begin;}{
        xyouts,2,436,chr+':'+cmn+' UT',size=1.1,/dev
    endelse;}

    xyouts,2,  5,'North is straight up',size=1.1,/dev
    xyouts,350, 5,sclcomm,size=1.0,/dev

    zzz = tvrd()

   write_gif,qualname,zzz,_a,_b,_c

    if(seegif)then begin ;{
        device,/close
        set_plot,'x'
	wset,0
	tv,zzz
	tvlct,_a,_b,_c
        ;print,'Click mouse in window 0 when ready to continue.'
        ;wset,0 & cursor,x,y,/NORMAL
    endif;}

    
endwhile ;}
                  
close,13
end
