/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * wglbox : write box centered at cursor position.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
wglbox (xw, yw, size, cval)

int xw, yw;		/* x/y window position (pixel units). */
int size;		/* box size (pixel units). */
int cval;		/* color map index. */

{
   static int vlb [2];
   static int vrb [2];
   static int vrt [2];
   static int vlt [2];
   int xl, xr;
   int yb, yt;

   color (cval);

   xl = xw - size/2;
   xr = xl + size - 1;
   yb = yw - size/2;
   yt = yb + size - 1;

   vlb [0] = xl;
   vlb [1] = yb;
   vrb [0] = xr;
   vrb [1] = yb;
   vrt [0] = xr;
   vrt [1] = yt;
   vlt [0] = xl;
   vlt [1] = yt;

   bgnpolygon ();
      v2i (vlb);
      v2i (vrb);
      v2i (vrt);
      v2i (vlt);
   endpolygon ();

   return (0);
}
