#!/opt/local/bin/perl

use strict;
use Time::JulianDay;

#my $base = "http://hao.ucar.edu/internal/cgi-bin";
my $base = "http://mlso.hao.ucar.edu/cgi-bin";
my $movietxt = "(Not implemented yet.  Need to copy files from /toshi/d5)";
my $images = "http://download.hao.ucar.edu/d5/www/images";
my $styles = "http://download.hao.ucar.edu/d5/www/styles";
my $rootdir = $ENV{DOCUMENT_ROOT};
#my $me = "$rootdir/internal/mlso_data.cgi";
#my $getdata = "http://hao.ucar.edu/internal/cgi-bin/mlso_getdata.cgi";
#my $getdata = "$base/mlso_getdata.cgi";
my $query = $ENV{QUERY_STRING};
my @query = split(/&/,$query);
my $year  = $query[0];
my $month = $query[1];
my $day   = $query[2];
my $inst  = $query[3];
my $logdir = "http://download.hao.ucar.edu/d5/mlso/log/observer/$year";
my $getdata_cmnd="$base/mlso_getdata.cgi";
my @filestats = stat "mlso_datasum.cgi";
my @gm_arr = localtime($filestats[9]);
my $create_str = sprintf("%02d/%02d/%02d %02d:%02d:%02d",
        $gm_arr[4]+1,$gm_arr[3],$gm_arr[5]-100,$gm_arr[2],$gm_arr[1],$gm_arr[0]);


my @months =("January","February","March","April","May","June","July",
		"August","September","October","November","December");
my %months = ("Jan",1,"Feb",2,"Mar",3,"Apr",4,"May",5,"Jun",6,
              "Jul",7,"Aug",8,"Sep",9,"Oct",10,"Nov",11,"Dec",12);
sub dailysum;
sub monthlysum;
sub yearlysum;
sub get_timestr;
sub get_dutycycle;
sub where;

print <<END_OF_PAGE;
Content-type: text/html

<html>
<head>
<title>Data Summary of $inst data</title>

<link rel="stylesheet" type="text/css"
href="$styles/mlsohome.css" />

<script language="JavaScript">
<!--

function MM_swapImgRestore() { //v2.0
  if (document.MM_swapImgData != null)
    for (var i=0; i<(document.MM_swapImgData.length-1); i+=2)
      document.MM_swapImgData[i].src = document.MM_swapImgData[i+1];
}

function MM_preloadImages() { //v2.0
  if (document.images) {
    var imgFiles = MM_preloadImages.arguments;
    if (document.preloadArray==null) document.preloadArray = new Array();
    var i = document.preloadArray.length;
    with (document) for (var j=0; j<imgFiles.length; j++) if (imgFiles[j].charAt(0)!="#"){
      preloadArray[i] = new Image;
      preloadArray[i++].src = imgFiles[j];
  } }
}

function MM_swapImage() { //v2.0
  var i,j=0,objStr,obj,swapArray=new Array,oldArray=document.MM_swapImgData;
  for (i=0; i < (MM_swapImage.arguments.length-2); i+=3) {
    objStr = MM_swapImage.arguments[(navigator.appName == 'Netscape')?i:i+1];
    if ((objStr.indexOf('document.layers[')==0 && document.layers==null) ||
        (objStr.indexOf('document.all[')   ==0 && document.all   ==null))
      objStr = 'document'+objStr.substring(objStr.lastIndexOf('.'),objStr.length);
    obj = eval(objStr);
    if (obj != null) {
      swapArray[j++] = obj;
      swapArray[j++] = (oldArray==null || oldArray[j-1]!=obj)?obj.src:oldArray[j];
      obj.src = MM_swapImage.arguments[i+2];
  } }
  document.MM_swapImgData = swapArray; //used for restore
}
//-->

</script>
</head>

<body onLoad="MM_preloadImages('$images/btnContact2.png','#88238');MM_preloadImages('$images/btnData2.png','#88238');MM_preloadImages('$images/btnDocs2.png','#88238');MM_preloadImages('$images/btnHome2.png','#88238');MM_preloadImages('$images/btnImages2.png','#88238');MM_preloadImages('$images/btnInst2.png','#88238');MM_preloadImages('$images/btnMissions2.png','#88238');MM_preloadImages('$images/btnMovies2.png','#88238');MM_preloadImages('$images/btnSpaceWx2.png','#88238')">

<p align="center">
<img src="$images/mlso_banner3.sml.gif">
</p>
<p align="center">

<a href="mlso_homepage.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.homeBtn','document.homeBtn', '$images/btnHome2.png')">
<img name="homeBtn" border="0" src="$images/btnHome1.png"></a><a 

href="mlso_data.cgi?2001&MLSO" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.dataBtn','document.dataBtn',
'$images/btnData2.png')"><img  border="0" name="dataBtn" src="$images/btnData2.png"></a><!--<a 

href="mlso_instruments.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.instrumentsBtn','document.instrumentsBtn','$images/btnInst2.png')"
><img name="instrumentsBtn" border="0" src="$images/btnInst1.png"></a><a 

href="mlso_documentation.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.docsBtn','document.docsBtn','$images/btnDocs2.png')"
><img name="docsBtn" border="0" src="$images/btnDocs1.png"></a><a 

href="mlso_spacewx.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.spacewxBtn','document.spacewxBtn','$images/btnSpaceWx2.png')"
><img name="spacewxBtn" border="0" src="$images/btnSpaceWx1.png"></a><a 

href="mlso_pastmissions.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.missionsBtn','document.missionsBtn','$images/btnMissions2.png')"
><img name="missionsBtn" border="0" src="$images/btnMissions1.png"></a>--><a 

href="mlso_contact.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.contactusBtn','document.contactusBtn','$images/btnContact2.png')"
><img name="contactusBtn" border="0" src="$images/btnContact1.png"></a> 


END_OF_PAGE

# Monthly summary page output
if ($day =~ /Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec/){
  my $month = $day;
  print "<h1 class=\"datatitle\">Monthly Summary of $inst data for $months[where(\@months,$day)], $year</h1>";
  monthlysum($year,$month,$inst);

  if ($inst eq "MKIV"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[0].value'> Daily best $inst image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[1].value'> Daily average $inst image of the day <br>
    <!--
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&rpB&mpg&all" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[2].value'> Daily MKIV movies  <br>
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "CHIP"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD = "GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[0].value'> Daily best $inst intensity image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="movie"> Daily $inst movies $movietxt <br>
    <!--
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "PICS"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[0].value'> Daily best $inst disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[1].value'> Daily best $inst limb image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="movie"> Daily $inst movies $movietxt  <br>
    <!--
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "MLSO"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[0].value'> Daily best MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[1].value'> Daily average MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&CHIP&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[2].value'> Daily best CHIP intensity image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[3].value'> Daily best PICS disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year&$months{$month}"+document.myform.typ[4].value'> Daily best PICS limb image of the day <br>
    </FORM>
THATSIT
  }

# Yearly summary page output
} elsif ($day > 1000){
  print "<h1 class=\"datatitle\">Yearly Summary of $inst data for $year</h1>";
  yearlysum($year,$inst);

  if ($inst eq "MKIV"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[0].value'> Daily best $inst image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[1].value'> Daily average $inst image of the day <br>
    <!--
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&rpB&mpg&all" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[2].value'> Daily MKIV movies  <br>
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "CHIP"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[0].value'> Daily best $inst intensity image of the day <br>
    <!--
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "PICS"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[0].value'> Daily best $inst disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[1].value'> Daily best $inst limb image of the day <br>
    <!--
    <INPUT TYPE="radio" NAME="typ" VALUE="movie"> Daily $inst movies  $movietxt<br>
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "MLSO"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[0].value'> Daily best MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[1].value'> Daily average MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&CHIP&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[2].value'> Daily best CHIP intensity image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[3].value'> Daily best PICS disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd?$year"+document.myform.typ[4].value'> Daily best PICS limb image of the day <br>
    </FORM>
THATSIT
   }

# Daily summary page output
} else {
  print "<h1 class=\"datatitle\">Daily Summary of $inst data for $months[$month-1] $day, $year</h1>";
  dailysum($year,$month,$day,$inst);
  my $getdata_cmnd = "$getdata_cmnd?$year&$month&$day";

  if ($inst eq "MKIV"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[0].value'> Daily best $inst image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[1].value'> Daily average $inst image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&[cr]p[bB]&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[2].value'> All $inst rpB data for this day <br>
    </FORM>
THATSIT
   } elsif ($inst eq "CHIP"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[0].value'> Daily best $inst intensity image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&hsh&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[1].value'> All $inst intensity data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&bsh&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[2].value'> All $inst velocity data for this day <br>
    <!--
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "PICS"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform">
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[0].value'> Daily best $inst disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[1].value'> Daily best $inst limb image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&asr&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[2].value'> All $inst disk data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&$inst&alr&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[3].value'> All $inst limb data for this day <br>
    <!--
    <INPUT TYPE="button" VALUE="Go Get it">
    -->
    </FORM>
THATSIT
   } elsif ($inst eq "MLSO"){
    print <<THATSIT;
    <p>From this summary, you may view the following data products:</p>
    <FORM name="myform" METHOD="GET">
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&[cr]p[bB]&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[0].value'> Daily best MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&avg&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[1].value'> Daily average MKIV image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&MKIV&[cr]p[bB]&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[2].value'> All MKIV rpB data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&CHIP&hsh&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[3].value'> Daily best CHIP intensity image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&CHIP&hsh&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[4].value'> All CHIP intensity data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&CHIP&bsh&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[5].value'> All CHIP velocity data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&asr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[6].value'> Daily best PICS disk image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&alr&(jpg|fts)&BEST" onClick='location = "$getdata_cmnd"+document.myform.typ[7].value'> Daily best PICS limb image of the day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&asr&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[8].value'> All PICS disk data for this day <br>
    <INPUT TYPE="radio" NAME="typ" VALUE="&PICS&alr&(jpg|fts)&all" onClick='location = "$getdata_cmnd"+document.myform.typ[9].value'> All PICS limb data for this day <br>
    </FORM>
THATSIT
   }
}

print <<END_OF_PAGE;

<div align="center">
<img src='$images/ncartext.gif'>
</div>

<address>
<p>Webpage written and maintained by: <br>
<a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a> <br>
Last modified:  $create_str
</p>
</address>

</body> 
</html>

END_OF_PAGE

sub yearlysum {
  my $f;
  my $logfile;
  my $year = @_[0];
  my $inst = @_[1];
  my $logdir = "/toshi/ftp/d5/mlso/log/observer/$year";
  opendir LOGDIR, $logdir;
    my @logfiles = grep !/^\.\.?$/, readdir(LOGDIR);
  closedir(LOGDIR);
  my $nummlsodays = @logfiles;
  my $elapsed_time = 0;

  $elapsed_time = get_dutycycle(@logfiles);
  my $time_str = get_timestr($elapsed_time);
  print "<pre>$inst Duty cycle for $year:  $time_str</pre>";
}

sub monthlysum{
  my $year = $_[0];
  my $month = $_[1];
  my $inst = $_[2];
  my $logdir = "/toshi/ftp/d5/mlso/log/observer/$year";
  my $mon = $months{$month};
  my @numdaysinmonth = (31,29,31,30,31,30,31,31,30,31,30,31);
  my @logfiles;

  opendir LOGDIR, $logdir;
    my @allfiles = grep !/^\.\.?$/, readdir(LOGDIR);
  closedir(LOGDIR);

  if ($year % 4){  #deal with leap years
    $numdaysinmonth[1] = 28; 
  }

  my $doy = julian_day($year,$mon,1)-julian_day($year-1,12,31);
  my $startdoy = sprintf("%03d",$doy);
  my $enddoy = julian_day($year,$mon,$numdaysinmonth[$mon-1]) -
		julian_day($year-1,12,31);
  $enddoy = sprintf("%03d",$enddoy);
  for (my $i = 1; $i <= $numdaysinmonth[$mon-1]; $i++){
    my $doystr = sprintf("%03d",$doy);
    push @logfiles, grep(/(.*?)$year(.*?)d$doystr(.*?)/, @allfiles); 
    $doy++;
  }

  #@logfiles = grep /(.*?)$year(.*?)d[0-1][2-3](.*?)/, @allfiles;
  my $elapsed_time = get_dutycycle(@logfiles);
  my $time_str = get_timestr($elapsed_time);
  print "<pre>$inst Duty cycle for $months[where(\@months,$day)], $year:  $time_str</pre>";
}

sub dailysum{
  my $year = @_[0];
  my $month = @_[1];
  my $day = @_[2];
  my $inst = @_[3];
  my $logdir = "/toshi/ftp/d5/mlso/log/observer/$year";
  my $doy = julian_day($year,$month,$day)-julian_day($year-1,12,31);
  my $yrddoy = sprintf("%02dd%03d",substr($year,2,2),$doy);
  my $YRddoy = sprintf("%dd%03d",$year,$doy);
  opendir LOGDIR, $logdir;
    my @logfile = grep /$yrddoy/, readdir(LOGDIR);
  closedir(LOGDIR);
  my $elapsed_time = get_dutycycle(@logfile);
  my $time_str = get_timestr($elapsed_time);
  print "<a href=http://download.hao.ucar.edu/d5/mlso/log/observer/$year/mlso.$YRddoy.olog>View observer log for this day </a>";
  print "<pre>$inst Duty cycle for $months[$month-1] $day, $year:  $time_str</pre>";
}

sub get_timestr{
  my $seconds = shift;

  my $secondsinaday = 3600*24;
  my $days     = int $seconds/$secondsinaday;
  my $hours    = int (($seconds - ($days * $secondsinaday))/3600);
  my $minutes  = int (($seconds - ($days * $secondsinaday) - ($hours*3600))/60);
  my $seconds  = $seconds - ($days * $secondsinaday) - ($hours*3600) - ($minutes*60);
  #my $seconds  = $seconds % 60;

  return sprintf("%d Days %d Hours %d Minutes %d Seconds",$days,$hours,$minutes,$seconds);

}

#
#  Modeled after the IDL where function
#
sub where {
  my($arrayRef, $target) = @_;
  my(@array)             = @{$arrayRef};
  my($numElements)       = scalar(@array);
  my(@indexes)           = (0..$numElements);
  my(@elements);

  @elements = grep @{$arrayRef}[$_] =~ /$target/, @indexes;
  return(wantarray ? @elements : $elements[0]);
} 

sub get_dutycycle{

  my @logfiles = @_;
  my $logdir = "/toshi/ftp/d5/mlso/log/observer/$year";
  my $nummlsodays = @logfiles;
  my $numdays   = 0;
  my $elapsed_time = 0;

  foreach my $f (@logfiles){
    open(LOG, "< $logdir/$f");
    my @log = <LOG>;
    close(LOG);

    my @startimes = grep(/Start Patrol|Start 7 Passband Patrol/,@log);
    my @endtimes  = grep(/End Patrol/,@log);
    my (@startlines, @endlines,$numstarttimes,$numendtimes);

    if ($inst eq "MLSO"){
      my @chipstart = grep(/CHIP/,@startimes);
      my $numchiptimes = @chipstart;
      my @picsstart = grep(/PICS/,@startimes);
      my $numpicstimes = @picsstart;
      my @mk4start  = grep(/MKIV/,@startimes);
      my $nummk4times = @mk4start;
      my @chipend   = grep(/CHIP/,@endtimes);
      my @picsend   = grep(/PICS/,@endtimes);
      my @mk4end    = grep(/MKIV/,@endtimes);
      #
      #  In order to calculate the duty cycle for MLSO,
      #	 I'm just going to use the first MK4 time and the
      #  last PICS time.  This seems representative of when
      #  the observatory was open.
      if (@mk4start[0]){
        @startlines = @mk4start[0];
      } elsif (@picsstart[0]){
	@startlines = @picsstart[0];
      } elsif (@chipstart[0]){
	@startlines = @chipstart[0];
      } else {
	next;
      }
      @endlines   = @picsend [$#picsend];
      $numstarttimes = @startlines;
      $numdays = $nummlsodays;
    } else {
      @startlines = grep(/$inst/,@startimes);
      @endlines = grep(/$inst/,@endtimes);
      $numstarttimes = @startlines;
      if ($numstarttimes >= 1){$numdays += 1;}
    }

    $numendtimes = @endlines;
    my ($mon, $starthr, $startmin, $startsec, $endhr, $endmin, $endsec);

    if ($numstarttimes == $numendtimes){
      my (@temp, $startday, $endday);
      my $index=0;
      foreach (@startlines){
	 if ($startlines[$index] =~ /Mon|Tue|Wed|Thu|Fri|Sat|Sun/){
	    @temp = split(/\s{1,}/,$startlines[$index]);
	    $startday = $temp[2];
	    #print "Got start day: $startday ";
	  }
	  if ($endlines[$index] =~ /Mon|Tue|Wed|Thu|Fri|Sat|Sun/){
	    @temp = split(/\s{1,}/,$endlines[$index]);
	    $endday = $temp[2];
	    #print " Got end day: $endday ";
	  }

	  if (/(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)/){
	    $mon = where(\@months,$1);
	    #print " Got mon: $mon ";
	  }
	  if (/(..):(..):(..)/){
	    $starthr = $1; $startmin = $2; $startsec = $3; 
	  }
	  if ($endlines[$index] =~ /(..):(..):(..)/){
	    $endhr = $1; $endmin = $2; $endsec = $3;
	  }

	  #elapsed_time is in seconds.
	  if ($startday && $starthr && $startmin && $startsec && $endday && $endhr && $endmin && $endsec){
	    $elapsed_time += jd_timegm($endsec,$endmin,$endhr,$endday,$mon,$year) - 
	  		jd_timegm($startsec,$startmin,$starthr,$startday,$mon,$year);
	  } else {
	    #print "<pre>Something's missing</pre>";
	    $elapsed_time += 0;
	  }

	  #print "<pre>$_</pre>";
	  #print "<pre>$endlines[$index]</pre>";
	  #print "<pre>$numstarttimes $numendtimes $starthr:$startmin:$startsec $endhr:$endmin:$endsec $elapsed_time</pre>";
	  #print "<pre>$startday $starthr:$startmin:$startsec $endday $endhr:$endmin:$endsec $elapsed_time</pre>";
	  $index++;
      }
     }

  }
  print "<pre>There are $numdays days of $inst data available</pre>";
  return $elapsed_time;
}
