#!/opt/local/bin/perl

use CGI;

#
# --- Parse the incoming form
#
$query = new CGI;

$numfiles = $query->param('numfiles');
$searchpath = $query->param('searchpath');
for ($i = 0; $i <= $numfiles-1;$i++) {
  @filelist[$i] = $query->param("f$i"); 
}
$email = $query->param('email');

#
# ---------- output an HTML document ----------
#
$tmpdir = "/toshi/ftp/d5/tmp/";
$tmpfile = "gzipcmds.$$";
$mesgfile = "mesg.$$";
$tarfile = "mlsodata.$$.tar";

print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<title>Making MLSO data tarfile</title>\n";
print "</head>\n";
print "<body>\n";
print "<br>\n";
print "<center><h1><b>Making MLSO Data Tarfile</b></h1></center>\n";
print "<br>\n";
print "<br>\n";
print "The files you have selected are being tarred on
our server.  If you entered your email address, you will be emailed
when the process is complete and you will receive instructions for
getting your tarfile.  If you did not enter your email address, then
after approximately 20 minutes, click on this link:   <a
href=http:\/\/download.hao.ucar.edu\/d5\/tmp\/$tarfile>$tarfile</a> 
to initiate a download.  On some
browsers, you may need to hold the shift key down while clicking on the
file to start the download. \n";

print "<br>\n"; 
print "<br>\n";
print "This file will reside on our server for one hour, at which time
it will be deleted.\n";
print "<br>\n";
print "If you are having any difficulties getting your data, please
contact Tony Darnell at the address below for assistance.\n"; 
print "<br>\n"; 
print "<a href=mailto:tdarnell\@ucar.edu>tdarnell\@ucar.edu</a>";

open(TMPFILE,"> $tmpdir$tmpfile");
print TMPFILE "#/usr/bin/csh\n";
foreach $f (@filelist) {
  #print "$f";
  @tmp = split("/",$f);
  $file = $tmp[6];
  #print TMPFILE "/opt/local/bin/gzip -c $f > $tmpdir$file.gz\n";
  #print TMPFILE "cp $f $tmpdir\n";
  #$newfile = "$file.gz";
  $newfile = "$file";
  push @files, $newfile;
}
print TMPFILE "cd $searchpath\n\n";
#print TMPFILE "cd $tmpdir\n\n";
#print TMPFILE "/usr/bin/tar -cf $tmpdir$tarfile @files\n\n";
print TMPFILE "/usr/bin/tar -cf $tmpdir$tarfile @filelist\n\n";
open(MSGFILE,"> $tmpdir$mesgfile");
print MSGFILE "Your tarfile of MLSO solar data is ready for download\n";
print MSGFILE "please open your browser to:  \n";
print MSGFILE "http:\/\/download.hao.ucar.edu\/d5\/tmp\/$tarfile\n";
#print MSGFILE "http:\/\/download.hao.ucar.edu\n";
#print MSGFILE "Click on the following links:  d5 -> tmp -> $tarfile ";
#print MSGFILE "to initiate a download.\n";
print MSGFILE "This file will be deleted from our server one hour from now.\n";
print MSGFILE "If you are experiencing any problems downloading this file, \n";
print MSGFILE "please email Tony Darnell at the email address listed below.\n";
print MSGFILE "\n\nTony Darnell\n";
print MSGFILE "HAO Coronal Group\n";
print MSGFILE "tdarnell\@ucar.edu\n";
print TMPFILE "/usr/bin/mailx -s \"Your MLSO data is ready for download\" $email < $tmpdir$mesgfile\n\n";
#print TMPFILE "/bin/rm @files $mesgfile $tmpfile\n";
#print TMPFILE "/bin/rm @files\n\n";
print TMPFILE "sleep 3600\n\n";
print TMPFILE "/bin/rm $tarfile $mesgfile $tmpfile\n";
close MSGFILE;
close TMPFILE;
chmod 0777, "$tmpdir$tmpfile";
chmod 0777, "$tmpdir$mesgfile";
system("rsh toshi at -f $tmpdir$tmpfile now");

print "</body>\n</html>\n";
exit 0;
