#!/opt/local/bin/perl

use strict;
#use lib ("/opt/share/PUBLIC/bin.SunOS/ImageMagick/lib/perl5/site_perl/sun4-solaris");
#use Image::Magick;
use mlso_navbar;

#my $base = "http://hao.ucar.edu/internal/cgi-bin";
#my $base = "http://mlso.hao.ucar.edu/cgi-bin";
my $images = "http://download.hao.ucar.edu/d5/www/images";
my $styles = "http://download.hao.ucar.edu/d5/www/styles";
my $obslogs = "http://download.hao.ucar.edu/d5/mlso/log/observer";
my $evlogs = "http://download.hao.ucar.edu/d5/mlso/log/event";
my $obslogdir = "/toshi/ftp/d5/mlso/log/observer";
my $evlogdir = "/toshi/ftp/d5/mlso/log/event";
my @filestats = stat "mlso_logs.cgi";
my @gm_arr = localtime($filestats[9]);
my $create_str = sprintf("%02d/%02d/%02d %02d:%02d:%02d",
        $gm_arr[4]+1,$gm_arr[3],$gm_arr[5]-100,$gm_arr[2],$gm_arr[1],$gm_arr[0]);

opendir DIR, "$obslogdir";
my @years = sort(grep !/^\.\.?$/, readdir DIR);
closedir DIR;

opendir DIR, "$evlogdir";
my @eventlogs = sort(grep /events/, readdir DIR);
closedir DIR;

print <<END_OF_PAGE;
Content-type: text/html

<html>
<head>

<title>MLSO Logs</title>
<link rel="stylesheet" type="text/css"
href="$styles/mlsohome.css" />

END_OF_PAGE

PrintJavaScript();
PrintACOSbar("mlso_banner3.sml.gif");

print <<END_OF_PAGE;
<br>
<h1 class="datatitle">Available MLSO Logs</h1>
<p class="text">
Observer logs are available for the following years:
</p>
END_OF_PAGE

print "<div align='center'>\n";
foreach (@years){
  print " <a href='$obslogs/$_'>$_</a> \n";
}
print "</div>\n";
print "<p class=\"text\">\n";
print "Event logs are listed below: \n";
print "</p>\n";

my $i = 0;
print "<center>\n";
foreach (@eventlogs){
  if ($i%5 == 0){print "<br>\n";}
  print "<a href='$evlogs/$_'>$_</a>\n";
  $i++;
}
print "</center>\n";

print <<END_OF_PAGE;
<div align="center">
<img src='$images/ncartext.gif'>
</div>

<address>
<p>Webpage written and maintained by: <br>
<a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a> <br>
Last modified:  $create_str
</p>
</address>

</body> 
</html>

END_OF_PAGE
