PRO jd_carr, JD_temp

parts = str_sep (JD_temp,'.')
jd_int = parts (0)
jd_frc = '.' + strtrim (parts (1), 2)

JD = DOUBLE (jd_int) - DOUBLE (2440000.0)
JD = JD + DOUBLE (jd_frc)

JD_CR0 = DOUBLE (-41859.8999310)
num_rot = (DOUBLE (JD) - DOUBLE (JD_CR0)) / DOUBLE (27.2753)

if (num_rot ge 1000.0) then carr_increm = 1000.0 else $
if (num_rot ge  100.0) then carr_increm = 100.0 else $
if (num_rot ge   10.0) then carr_increm = 10.0 else $
if (num_rot ge    1.0) then carr_increm = 1.0 else $
if (num_rot ge    1.0) then carr_increm = 1.0 else  CARR_CM = 0.0

carr_test = carr_increm
JD_test = carr_jd_fn (DOUBLE (carr_test), DOUBLE (0.0))

while (JD_test le JD) do begin

 num_rot = (DOUBLE (JD) - DOUBLE (JD_test)) / DOUBLE (27.2753) 

 if (num_rot ge 1000.0) then carr_increm = 1000.0 else $
 if (num_rot ge  100.0) then carr_increm = 100.0 else $
 if (num_rot ge   10.0) then carr_increm = 10.0 else $
 if (num_rot ge    0.0) then carr_increm = 1.0 

  
 carr_test = carr_test + carr_increm
 JD_test = carr_jd_fn (DOUBLE (carr_test), DOUBLE (0.0))

endwhile

Lo = jd_lo_fn (JD)
Bo = jd_bo_fn (JD)
pred_carr = carr_jd_fn (carr_test, Lo)

del_JD = abs (JD-pred_carr)
if (del_JD gt 20.0) then begin 

  if (JD - pred_carr lt 0.0) then carr_test = carr_test - 1.0 else $
  carr_test = carr_test + 1.0

endif

print, carr_test, Lo, Bo

caldat, (JD + DOUBLE (2440000.0)), mmm, ddd, yyy
dayfr = JD - long (JD) + DOUBLE (0.5)
if (dayfr ge 1.0) then dayfr = dayfr - DOUBLE (1.0)


print, JD + DOUBLE (2440000.0), mmm, ddd, yyy, dayfr, $
       format='(f14.5, 1x, i2, 1x, i2, 1x, i4, 1x, f10.3)'

end
