c#######################################################################
      subroutine interp (x, n, xv, i, alpha)
c
c-----------------------------------------------------------------------
c
c ****** Get interpolation factor ALPHA and table index I.
c
c ****** This routine does not do the actual interpolation.  Use the
c ****** returned values of I and ALPHA to get the interpolated value.
c
c-----------------------------------------------------------------------
c
      real x (n)
c
c-----------------------------------------------------------------------
c
      do 100 i = 1, n-1
        if (xv .ge. x (i) .and. xv .le. x (i+1)) then
          alpha = (xv - x (i)) / (x (i+1) - x (i))
          go to 200
        end if
  100 continue
c
c ****** Value not found --- signal error and stop.
c
      write (*, *)
      write (*, *) '### ERROR in INTERP:'
      write (*, *) 'Abscissa not found in table.'
      write (*, *) 'Abscissa requested = ', xv
      write (*, *)
      call exit (1)
c
  200 continue
c
      return
      end
c#######################################################################
