;
; Remove once per scan component of polarization
;
pro depolscan,numpix,numaz,cali,calq,calu,skyq,skyu

fred=calu/cali
ang = findgen(numaz)*2.*!pi/numaz
sang = sin(ang)
cang = cos(ang)

phi = fltarr(numpix)
amp = fltarr(numpix)

; 
; Find amplitude and phase of sky polarization
;

for ii=0,NUMPIX-1 do begin
	sprod = total(sang*fred(ii,*))/numaz
	cprod = total(cang*fred(ii,*))/numaz
	phi(ii) = atan(sprod,cprod)
	amp(ii) = 2.*sqrt(sprod*sprod+cprod*cprod)
endfor

skyq = fltarr(numpix,numaz)
skyu = fltarr(numpix,numaz)
for ii=0,numpix-1 do begin
	sphiu = cos(ang-phi(ii))
	sphiq = cos(ang-phi(ii)-!pi/2.)
	skyq(ii,*)=sphiq(*)*amp(ii)
	skyu(ii,*)=sphiu(*)*amp(ii)
endfor
skyq = skyq * cali
skyu = skyu * cali

end
