#include <sys/types.h>

expcon (a, dxa, dya, b, dxb, dyb, fx, fy, oax, oay, obx, oby)

u_short *a, *b;
int dxa, dya, dxb, dyb;
float fx, fy, oax, oay, obx, oby;
{
	int bi, bj, Ai, Aj;
	register u_short *rb, *aj0, *aj1;
	float ai, aj, fdxa, fdya, factorx, factory, P1, P2, P3, P4, P5, P6, P7;

	fdxa = (float)dxa; fdya = (float)dya;
	if ( fx<0.0 ) fx = (float)dxb/fdxa;
	if ( fy<0.0 ) fy = (float)dyb/fdya;
	rb=b;
	factorx = oax - obx/fx;  factory = oay - oby/fy;
	for ( bj=0; bj<dyb; bj++ ){
		aj = (float)bj/fy + factory;
		if ( aj<0.0 ) aj = 0.0;
		else if ( aj>fdya ) aj = fdya;
		Aj = (int)aj;
		aj0 = a + dxa * Aj;
		aj1 = aj0 + dxa;
		for ( bi=0; bi<dxb; bi++ ){
			ai = (float)bi/fx + factorx;
			if ( ai<0.0 ) ai = 0.0;
			else if ( ai>fdxa ) ai = fdxa;
			Ai = (int)ai;
			P1 = (float)(*(aj0+Ai));
			P2 = (float)(*(aj0+Ai+1));
			P3 = (float)(*(aj1+Ai));
			P4 = (float)(*(aj1+Ai+1));
			P5 = (ai-(float)Ai) * (P2-P1) + P1;
			P6 = (ai-(float)Ai) * (P4-P3) + P3;
			P7 = (aj-(float)Aj) * (P6-P5) + P5;
			*rb++ = (u_short)(P7 + 0.5);
		} /* end-for  bi=0 to dxb */
	} /* end-for  bj=0 to dyb */
	return(0);
}
