/* mk4hd.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Test mk4hdp.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR    9 October 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

#define START
#include "mk4v2.h"
#include "mk4headv2.h"

main (argc, argv)

int argc ;
char *argv [] ;

{
    extern int rdmk4head () ;
    extern int mk4hdp () ;

    static char namimg [80] ;
    int pmode = 1 ;
    struct mk4_header *hd; 

    if (argc == 2)
        strcpy (namimg, argv [1]) ;
    else
        {
        fprintf (stderr, "usage: %s mk4_filename\n", argv [0]) ;
        exit (0) ;
        }

    /*** Read Mk4 binary header. ***/

    read_mk4_head (namimg, mk4h, pmode) ;

    /*** Print Mk4 binary header. ***/

    mk4hdp (mk4h) ;

    exit (0) ;
}

/* -------------------------------------------------------------------------- */

