/* zminlo.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Set low height pixels in a Mk4 image to a 'minimum' value.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Adapted from 'zeroLO.c' 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   4 April 2000
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>

int
zminlo ( im , xdim , spot )

float *im ;
int xdim ;
int spot ;
{
    int ii ;
    float *pf ;

/*
 *    fprintf (stderr,"Zeroing LOW\n") ;
 */

    pf  = im ;
    for (ii = 0; ii < spot * xdim; ii++)
	{
	*pf = -30000.0 ;
	pf++ ;
        }

    return (0) ;
}

