/* grscale.h
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Scaling parameters for cpvf.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 12 June 1990: add floating point scaling parameters.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

int	lscale;		/* Rescaling flag; =0 No, =1 Yes. */
int	oldmin;		/* Old minimum value. */
int	oldmax;		/* Old maximum value. */
int	newmin;		/* New minimum value. */
int	newmax;		/* New maximum value. */
int	clipmin;	/* Minimum clip value. */
int	clipmax;	/* Maximum clip value. */
int	ldisk;		/* Display flag; =0 full display, =1 minimum. */
int	gMINROW =  63;	/* Grinnell: first row of image. */
int	gMAXROW = 510;	/* Grinnell: last row of image. */
int	gMINCOL =  63;	/* Grinnell: first column of image. */
int	gMAXCOL = 510;	/* Grinnell: last column of image. */

float	foldmin;	/* Old minimum value. */
float	foldmax;	/* Old maximum value. */
float	fnewmin;	/* New minimum value. */
float	fnewmax;	/* New maximum value. */
float	fclipmin;	/* Minimum clip value. */
float	fclipmax;	/* Maximum clip value. */
