/* glv.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * GL image view program.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 23 July 1993
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include <gl/gl.h>

main (argc, argv)

int argc ;
char *argv [] ;
{
   static unsigned char cimg [448][448] ;
   static char namimg [80] = "img.grn" ;

   int cmoff = 512;			/* colormap offset. */
   int dx = 448 ;
   int dy = 448 ;
   int ix, iy;
   int nbypix = 1;
   int npximg = 0;
   int xs =   0 ;
   int ys = 447 ;
   int xll = 256 ;
   int yll =   0 ;
   int xur = 1279 ;
   int yur = 1023 ;

   static unsigned short simg [448][448] ;
   unsigned short *Simg;

   FILE *FD;
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
   npximg = dx * dy ;

   /*** Read image into unsigned char array. ***/

   FD = fopen (namimg, "r") ;
   fread (cimg, sizeof (char), npximg, FD) ;

   /*** Copy to unsigned short array. ***/

   for (iy = 0; iy < dy; iy++)
      for (ix = 0; ix < dx; ix++)
	 simg [iy][ix] = (unsigned short) (cimg [iy][ix] & 0377) + cmoff;

   /*** Open GL window. ***/

   noborder () ;
   prefposition (xll, xur, yll, yur) ;
   winopen (argv [0]) ;

   Simg = (unsigned short *) simg ;
   rectzoom (2.0, 2.0) ;
   rectwrite (0, 0, 447, 447, Simg) ;

   sleep (5) ;
   gexit ();
   exit (0);
}
