/* wglstr.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write character string in current FB using WHIP functions cmov2i & charstr.
 * Assumes fb_open () has been called and a frame buffer is selected.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 26 February 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

wstr (text, xloc, yloc, size, grey)

char *text;		/* Character string to be written. */
int xloc, yloc;		/* Pixel location for start of text. */
int size;		/* Magnification (1=5x7+2 descender). */
int grey;		/* Color level. */

{
   cmov2i (xloc, yloc);	/* Move current plotting point to (xloc, yloc). */
   color (grey);	/* Sets color level to be used. */
   charstr (text);	/* Writes character string. */

   return (0);
}
