/* mk3hk.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Check MLSO Mark-III image tailer (housekeeping).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   4 January 1994
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/home/stanger/lib/include/mk3lib.h"

int pmode = 1 ;

main (argc, argv)

int argc ;
char *argv [] ;

{
   static char namfil [80] ;

   if (argc < 2)
      {
      fprintf (stderr, "usage: %s mk3_filename\n", argv [0]) ;
      exit (0);
      }
   else
      {
      strcpy (namfil, argv [1]) ;
      }

   mk3hskp (namfil, pmode) ;

   exit (0);
}
