;
; Auto Save File For ./fsv1.pro
;
;  Mon Apr 15 14:09:45 MDT 1996
;



; CODE MODIFICATIONS MADE ABOVE THIS COMMENT WILL BE LOST.
; DO NOT REMOVE THIS COMMENT: BEGIN HEADER




; DO NOT REMOVE THIS COMMENT: END HEADER
; CODE MODIFICATIONS MADE BELOW THIS COMMENT WILL BE LOST.


; CODE MODIFICATIONS MADE ABOVE THIS COMMENT WILL BE LOST.
; DO NOT REMOVE THIS COMMENT: BEGIN MAIN1



PRO fsv_refresh
;---------------------------------------------------------------------------
; Refresh the draw widget
;---------------------------------------------------------------------------
@fsv_common
;   COMMON cross_hair, ch_xxx, ch_yyy
;   WSET, root_win
;   WIDGET_CONTROL, /hour
;   fsv_display, image_arr, MAX = cur_max, MIN = cur_min, $
;      relative = exptv_rel, csi = csi
   fsv_display, image_arr, MAX = cur_max, MIN = cur_min
;   IF csi.flag THEN plot_axes, csi = csi, title = ['Solar X', 'Solar Y']
;   IF grid THEN solar_grid, del_lat, del_long, date = disp_utc
;   IF img_lock THEN orient_mark, csi = csi
;   delvarx, ch_xxx, ch_yyy
;   WIDGET_CONTROL, min_id, set_value = num2str(cur_min, FORMAT='(f20.1)')
;   WIDGET_CONTROL, max_id, set_value = num2str(cur_max, FORMAT='(f20.1)')
;   itool_button_refresh
   RETURN
END

PRO fsv_display, image, MAX = cur_max, MIN = cur_min, relative = $
                   relative, _extra=_extra, csi=csi
;---------------------------------------------------------------------------
;  The call to EXPTV
;---------------------------------------------------------------------------
;   noexact = (relative NE 1.0)
   exptv, image, MAX = cur_max, MIN = cur_min, relative = relative, $
      noexact = noexact, xalign = 0.65, yalign = 0.8, _extra = _extra
;   get_tv_scale, sx, sy, mx, my, jx, jy
;   rx = FLOAT(sx)/FLOAT(mx)
;   ry = FLOAT(sy)/FLOAT(my)
;   temp = {xd0:jx, yd0:jy, mx:mx, my:my}
;   copy_struct, temp, csi
;   csi = rep_tag_value(csi, rx, 'RX')
;   csi = rep_tag_value(csi, ry, 'RY')
END

;+
; Annotate image.
;-
PRO fsv_house, hdu

@fsv_common

   img_date_obs = ''
   img_doy      = ''
   img_time_obs = ''
   img_origin   = ''
   img_telescop = ''
   img_object   = ''
   img_type_obs = ''
   img_type_dp  = ''
   img_data_min = ''
   img_data_max = ''

   fx_date_obs = fxpar (hdu, 'DATE-OBS')
   IF (!err NE -1) THEN BEGIN					$

      smonth = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 	$
                'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
      iday   = fix (strmid (fx_date_obs, 0, 2))
      imonth = fix (strmid (fx_date_obs, 3, 2)) - 1
      iyear  = fix (strmid (fx_date_obs, 6, 2))
      nday = intarr (12)
      nday ( [0, 2, 4, 6, 7, 9, 11] ) = 31
      nday ( [3, 5, 8, 10] ) = 30
      ly = float (iyear) / 4.0
      if ((ly - fix (ly)) eq 0.0) then nday (1) = 29 else nday (1) = 28
      idoy = 0

      if (imonth ne 0) then					$
         for i = 0, imonth - 1 do begin
            idoy = idoy + nday (i)
         endfor
      idoy = idoy + iday
      img_doy = string (idoy)

      img_date_obs = string (iday, FORMAT = '(I2)') + '-' +	$
	             smonth (imonth) +	'-' +			$
	             string (iyear, FORMAT = '(i2)')
   ENDIF

   fx_time_obs = fxpar (hdu, 'TIME-OBS')
   IF (!err NE -1) THEN img_time_obs = fx_time_obs
   fx_origin   = fxpar (hdu, 'ORIGIN')
   IF (!err NE -1) THEN img_origin = fx_origin
   fx_telescop = fxpar (hdu, 'TELESCOP')
   IF (!err NE -1) THEN img_telescop = fx_telescop
   fx_object   = fxpar (hdu, 'OBJECT')
   IF (!err NE -1) THEN img_object = fx_object
   fx_type_obs = fxpar (hdu, 'TYPE-OBS')
   IF (!err NE -1) THEN img_type_obs = fx_type_obs
   fx_type_dp  = fxpar (hdu, 'TYPE-DP')
   IF (!err NE -1) THEN img_type_dp = fx_type_dp

   fx_data_min = fxpar (hdu, 'DATAMIN')
   IF (!err NE -1) THEN						$
   BEGIN
      img_data_min = fx_data_min
   ENDIF							$
   ELSE								$
      img_data_min = MIN (img_arr)
   fx_data_max = fxpar (hdu, 'DATAMAX')
   IF (!err NE -1) THEN						$
   BEGIN
      img_data_max = fx_data_max
   ENDIF							$
   ELSE								$
      img_data_max = MAX (img_arr)

   cur_min = img_data_min
   cur_max = img_data_max
   cur_gamma = 1.0

   WIDGET_CONTROL, tw_date_obs, set_value = img_date_obs
   WIDGET_CONTROL, tw_doy,      set_value = img_doy
   WIDGET_CONTROL, tw_time_obs, set_value = img_time_obs
   WIDGET_CONTROL, tw_origin,   set_value = img_origin
   WIDGET_CONTROL, tw_telescop, set_value = img_telescop
   WIDGET_CONTROL, tw_object,   set_value = img_object
   WIDGET_CONTROL, tw_type_obs, set_value = img_type_obs
   WIDGET_CONTROL, tw_type_dp,  set_value = img_type_dp

   IF (cur_min GT 1000.0 OR cur_min LT 0.001 AND cur_min NE 0.0) THEN	$
   WIDGET_CONTROL, tw_data_min, 					$
                   set_value = string (cur_min, FORMAT = '(E10.2)')	$
   ELSE									$
   WIDGET_CONTROL, tw_data_min, 					$
                   set_value = string (cur_min, FORMAT = '(F10.4)')

   IF (cur_max GT 1000.0 OR cur_max LT 0.001 AND cur_max NE 0.0) THEN	$
   WIDGET_CONTROL, tw_data_max, 					$
                   set_value = string (cur_max, FORMAT = '(E10.2)')	$
   ELSE									$
   WIDGET_CONTROL, tw_data_max, 					$
                   set_value = string (cur_max, FORMAT = '(F10.4)')

   WIDGET_CONTROL, tw_gamma, set_value = string (1.0, FORMAT = '(F3.1)')
END


PRO MAIN1_Event, Event

@fsv_common

  WIDGET_CONTROL, Event.Id, GET_UVALUE=Ev

  CASE Ev OF 

  'BUTTON1': BEGIN
      Print, 'Event for Quit'
      WIDGET_CONTROL, event.top, /destroy               ; Kill all widgets
      END
  'BUTTON2': BEGIN
      Print, 'Event for Load Image'
      imgfile = pickfile (/READ, FILTER = '*.fts *.fits')
      img_arr = readfits (imgfile, img_hdu)
;      exptv, img_arr
      fsv_house, img_hdu
      fsv_display, img_arr, MIN=cur_min, MAX=cur_max
      END
  'BUTTON3': BEGIN
      Print, 'Event for Save Image'
      END
  'BUTTON4': BEGIN
      Print, 'Event for Load Color Map'
      xloadct
      END
  'BUTTON5': BEGIN
      Print, 'Event for Apply min/max/gamma'
      gamma_old = cur_gamma
      loop = 1
      WHILE loop DO BEGIN
	 WIDGET_CONTROL, event.id, get_value = str_gamma
	 cur_gamma = FLOAT (str_gamma (0))
	 print, 'cur_gamma: ', cur_gamma
	 loop = 0
      END
      img_arr = bytscl (img_arr, MIN=cur_min, MAX=cur_max)
      img_arr = gamtran (img_arr, cur_gamma)

      cur_min = MIN (img_arr)
      cur_max = MAX (img_arr)
      WIDGET_CONTROL, tw_data_min, set_value = string (cur_min, FORMAT='(I3)')
      WIDGET_CONTROL, tw_data_max, set_value = string (cur_max, FORMAT='(I3)')
      fsv_display, img_arr, MIN=cur_min, MAX=cur_max
      END
  'TEXT1': BEGIN
      Print, 'Event for TEXT1'
      value_old =  cur_min
      loop = 1
      WHILE loop DO BEGIN
         WIDGET_CONTROL, event.id, get_value = str_min
	 print, 'size (str_min): ', size (str_min)
         cur_min = FLOAT(str_min(0))
	 print, 'cur_min: ', cur_min
	 loop = 0
;         IF cur_min GT cur_max THEN BEGIN
;            flash_msg, comment_id, 'Minimum value cannot be set ' + $
;            'greater than the maximum value.', num = 2
;            WAIT, 1.0
;            WIDGET_CONTROL, comment_id, set_value = ''
;	    cur_min = value_old
;         ENDIF ELSE loop = 0
      END
;      IF (cur_min NE value_old) THEN BEGIN
;         WIDGET_CONTROL, max_id, /input_focus
;         fsv_refresh
;      ENDIF
      fsv_display, img_arr, MIN=cur_min, MAX=cur_max
;      exptv, img_arr, MIN=cur_min, MAX=cur_max
      END
  'TEXT2': BEGIN
      Print, 'Event for TEXT2'
      value_old =  cur_max
      loop = 1
      WHILE loop DO BEGIN
         WIDGET_CONTROL,  event.id, get_value = str_max
	 print, 'size (str_max): ', size (str_max)
         cur_max = FLOAT(str_max(0))
	 print, 'cur_max: ', cur_max
	 loop = 0
;         IF cur_max LT cur_min THEN BEGIN
;            flash_msg, comment_id, 'Maximum value cannot be set ' + $
;               'smaller than the minimum value.', num = 2
;            WAIT, 1.0
;            WIDGET_CONTROL, comment_id, set_value = ''
;            cur_max = value_old
;         ENDIF ELSE loop = 0
      END
;      IF (cur_max NE value_old) THEN BEGIN
;         WIDGET_CONTROL, min_id, /input_focus
;         fsv_refresh
;      ENDIF
      fsv_display, img_arr, MIN=cur_min, MAX=cur_max
      END
  'TEXT3': BEGIN
      Print, 'Event for TEXT3'
      gamma_old = cur_gamma
      loop = 1
      WHILE loop DO BEGIN
	 WIDGET_CONTROL, event.id, get_value = str_gamma
	 cur_gamma = FLOAT (str_gamma (0))
	 print, 'cur_gamma: ', cur_gamma
	 loop = 0
      END
      GAMMA_CT, 1.0 / cur_gamma
      END
  'TEXT25': BEGIN
      Print, 'Event for TEXT25'
      END
  'TEXT4': BEGIN
      Print, 'Event for TEXT4'
      END
  'TEXT5': BEGIN
      Print, 'Event for TEXT5'
      END
  'DRAW7': BEGIN
      Print, 'Event for DRAW7'
      END
  ENDCASE
END


; DO NOT REMOVE THIS COMMENT: END MAIN1
; CODE MODIFICATIONS MADE BELOW THIS COMMENT WILL BE LOST.



PRO fsv1, GROUP=Group

@fsv_common

  cur_min = 0
  cur_max = 255

  IF N_ELEMENTS(Group) EQ 0 THEN GROUP=0

  junk   = { CW_PDMENU_S, flags:0, name:'' }

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

  MAIN1 = WIDGET_BASE (GROUP_LEADER=Group, $
      ROW=1, $
      MAP=1, $
      TITLE='FSV', $
      UVALUE='MAIN1')

  BASE2 = WIDGET_BASE (MAIN1, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE2')

  BASE3 = WIDGET_BASE (BASE2, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE3')

  BUTTON1 = WIDGET_BUTTON (BASE3, $
      UVALUE='BUTTON1', $
      VALUE='Quit')

  BUTTON2 = WIDGET_BUTTON (BASE3, $
      UVALUE='BUTTON2', $
      VALUE='Load Image')

  BUTTON3 = WIDGET_BUTTON (BASE3, $
      UVALUE='BUTTON3', $
      VALUE='Save Image')

  BUTTON4 = WIDGET_BUTTON (BASE3, $
      UVALUE='BUTTON4', $
      VALUE='Color Map')

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

  BASE4 = WIDGET_BASE (BASE2, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE4')

  LABEL1 = WIDGET_LABEL (BASE4, $
      UVALUE='LABEL1', $
      VALUE='Data Minimum')

  TextVal1 = [ $
    '0.0' ]
  TEXT1 = WIDGET_TEXT (BASE4, VALUE=TextVal1, $
      EDITABLE=1, $
      UVALUE='TEXT1', $
      YSIZE=1)
  tw_data_min = TEXT1

  LABEL2 = WIDGET_LABEL (BASE4, $
      UVALUE='LABEL2', $
      VALUE='Data Maximum')

  TextVal2 = [ $
    '255.0' ]
  TEXT2 = WIDGET_TEXT (BASE4, VALUE=TextVal2, $
      EDITABLE=1, $
      UVALUE='TEXT2', $
      YSIZE=1)
  tw_data_max = TEXT2

  LABEL3 = WIDGET_LABEL (BASE4, $
      UVALUE='LABEL3', $
      VALUE='Gamma')

  TextVal3 = [ $
    '1.0' ]
  TEXT3 = WIDGET_TEXT (BASE4, VALUE=TextVal3, $
      EDITABLE=1, $
      UVALUE='TEXT3', $
      YSIZE=1)
  tw_gamma = TEXT3

  BUTTON5 = WIDGET_BUTTON (BASE4, $
      UVALUE='BUTTON5', $
      VALUE='Apply min/max/gamma')

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

  BASE5 = WIDGET_BASE (MAIN1, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE5')

  BUTTON6 = WIDGET_BUTTON (BASE5, $
      UVALUE='BUTTON6', $
      VALUE='FITS Header')

  LABEL4 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL4', $
      VALUE='Date')

  TextVal4 = [ $
    'YY/MM/DD' ]
  TEXT4 = WIDGET_TEXT (BASE5, VALUE=TextVal4, $
      EDITABLE=1, $
      UVALUE='TEXT4', $
      YSIZE=1)
  tw_date_obs = TEXT4

  LABEL5 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL5', $
      VALUE='Time (UT)')

  TextVal5 = [ $
    'HH:MM:SS' ]
  TEXT5 = WIDGET_TEXT (BASE5, VALUE=TextVal5, $
      EDITABLE=1, $
      UVALUE='TEXT5', $
      YSIZE=1)
  tw_time_obs = TEXT5

  LABEL6 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL6', $
      VALUE='Day Of Year')

  TextVal6 = [ $
    '001-366' ]
  TEXT6 = WIDGET_TEXT (BASE5, VALUE=TextVal6, $
      EDITABLE=1, $
      UVALUE='TEXT6', $
      YSIZE=1)
  tw_doy = TEXT6

  LABEL7 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL7', $
      VALUE='Origin')

  TextVal7 = [ $
    'HAO' ]
  TEXT7 = WIDGET_TEXT (BASE5, VALUE=TextVal7, $
      EDITABLE=1, $
      UVALUE='TEXT7', $
      YSIZE=1)
  tw_origin = TEXT7

  LABEL8 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL8', $
      VALUE='Telescope')

  TextVal8 = [ $
    'ACOS/CHIP' ]
  TEXT8 = WIDGET_TEXT (BASE5, VALUE=TextVal8, $
      EDITABLE=1, $
      UVALUE='TEXT8', $
      YSIZE=1)
  tw_telescop = TEXT8

  LABEL9 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL9', $
      VALUE='Object')

  TextVal9 = [ $
    'Sun' ]
  TEXT9 = WIDGET_TEXT (BASE5, VALUE=TextVal9, $
      EDITABLE=1, $
      UVALUE='TEXT9', $
      YSIZE=1)
  tw_object = TEXT9

  LABEL10 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL10', $
      VALUE='Type-Obs')

  TextVal10 = [ $
    'Helium-I' ]
  TEXT10 = WIDGET_TEXT (BASE5, VALUE=TextVal10, $
      EDITABLE=1, $
      UVALUE='TEXT10', $
      YSIZE=1)
  tw_type_obs = TEXT10

  LABEL11 = WIDGET_LABEL (BASE5, $
      UVALUE='LABEL11', $
      VALUE='Type-DP')

  TextVal11 = [ $
    'Raw' ]
  TEXT11 = WIDGET_TEXT (BASE5, VALUE=TextVal11, $
      EDITABLE=1, $
      UVALUE='TEXT11', $
      YSIZE=1)
  tw_type_dp =TEXT11

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

  BASE6 = WIDGET_BASE (MAIN1, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE6')

  BASE7 = WIDGET_BASE (BASE6, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE7')

  ximg = 512
  yimg = 512
  DRAW7 = WIDGET_DRAW (BASE7, $
      RETAIN=2, $
      UVALUE='DRAW7', $
      XSIZE=ximg, $
      YSIZE=yimg)

  BASE8 = WIDGET_BASE (BASE6, $
      COLUMN=1, $
      MAP=1, $
      UVALUE='BASE8')

  xct = 512
  yct = 20
  DRAW8 = WIDGET_DRAW (BASE7, $
      RETAIN=2, $
      UVALUE='DRAW8', $
      XSIZE=xct, $
      YSIZE=yct)

; - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

  WIDGET_CONTROL, MAIN1, /REALIZE

  ;--- Get drawable window index.

  COMMON DRAW7_Comm, DRAW7_Id
  WIDGET_CONTROL, DRAW7, GET_VALUE=DRAW7_Id

   WIDGET_CONTROL, DRAW8, get_value=tmp1
   WSET, tmp1
      TVSCL, BYTSCL(INDGEN(xct) # REPLICATE(1, yct), top = !d.n_colors-1)

  WSET, DRAW7_Id

;  imgfile = '/usr/people/stanger/idl/lib/acos/801050544.c4q.fts'
;  img_arr = readfits (imgfile, img_hdu)
;  fsv_house, hdu
;  fsv_display, img_arr, MIN=cur_min, MAX=cur_max

  XMANAGER, 'MAIN1', MAIN1
END

