;+
;       NAME: cube_depth
;
;       PURPOSE: To screen image data to make sure its either 2D or 3D and 
;		 return the result
;
;       METHOD:  Check the result os SIZE		 
;
;       CALLING SEQUENCE: depth=cube_depth(size(data))
;
;       PARAMETERS:	size	the result of SIZE run on the data in question
;			depth	this will be the number of images in the cube,
;				or -1 if the data is not 2D or 3D	
;
;       HISTORY: Drafted AMcA, Nov. 1994.
;-
FUNCTION cube_depth,sz

case sz(0) of

	2: 	begin
			cube=0
			depth=1
		end

	3:	begin
			cube=1
			depth=sz(3)
		end

	else:	begin

			print,'Input data not an image or cube.'
			return,-1
			stop
		end
endcase

return,depth

end
