;+
;       NAME: dsat_drv
;
;
;       PURPOSE: A wrap to use composite to make desat images
;
;
;       METHOD: 
;
;
;       CALLING SEQUENCE: dsat_drv,sxtstr,drkstr,data
;
;
;       NOTES:
;
;
;       PARAMETERS:
;
;
;       KEYWORDS:
;
;
;       HISTORY: Drafted by A.McAllister feb-20-1993.
;
;
;-
PRO dsat_drv,sxtstr,drkstr,data

rt_sxtdt,sxtstr,sxt_i,infil=sxtfil,ss=ssx,/nodata,/info	;get sxt info
rt_sxtdt,drkstr,drk_i,infil=drkfil,ss=ssd,/nodata,/info	;get dark info

print, 'Please input the image indices delimited by "," s.'
input=' '							;set as string
read, 'SXT indices in order of ascending exposure: ', input
sxt_ss=fix(str2arr(input, delim = ','))				;convert to int
read, 'The corresponding darkframe indices: ', input
drk_ss=fix(str2arr(input, delim = ','))

rd_xda,sxtfil,ssx(sxt_ss),sxt_i,sxt				;get sxt data
rd_xda,drkfil,ssd(drk_ss),drk_i,drk				;get dark data

wdef,10,1024

sx=indgen(n_elements(sxt_ss))
sd=sx
composite,data,sxt,sxt_i,drk,sx=sx,sd=sd

end
