      SUBROUTINE PRINTS(W, U, V, IERR, B, NAU, NV, NB, MATU, MATV, M,
     * N, NOUT, IRHS)
C
C       PRINTS OUT THE SINGULAR VALUES AND THE MATRICES U, V, B.
C
      INTEGER NAU, NV, IERR, M, N, NOUT, IRHS
      REAL U(NAU,1), V(NV,1), W(1), B(NB,1)
      LOGICAL MATU, MATV
      MINMN = MIN0(M,N)
C
      WRITE (NOUT,99999) MATU, MATV
99999 FORMAT (7H MATU =, L3, 7H MATV =, L3/)
      WRITE (NOUT,99998) IERR
99998 FORMAT (7H IERR =, I5/)
C
      WRITE (NOUT,99997)
99997 FORMAT (17H SINGULAR VALUES./)
      DO 10 I=1,MINMN
        WRITE (NOUT,99995) W(I)
   10 CONTINUE
C
      IF (.NOT.MATU) GO TO 30
      WRITE (NOUT,99996)
99996 FORMAT (/4H U ./)
99995 FORMAT (E15.8)
      DO 20 I=1,M
        WRITE (NOUT,99993) (U(I,J),J=1,MINMN)
   20 CONTINUE
C
   30 IF (.NOT.MATV) GO TO 50
      WRITE (NOUT,99994)
99994 FORMAT (/4H V ./)
99993 FORMAT (5E15.7)
      DO 40 I=1,N
        WRITE (NOUT,99993) (V(I,J),J=1,MINMN)
   40 CONTINUE
C
   50 IF (M.LT.N .OR. IRHS.LT.1) GO TO 70
      WRITE (NOUT,99992)
99992 FORMAT (/4H B ./)
      DO 60 I=1,MINMN
        WRITE (NOUT,99993) (B(I,J),J=1,IRHS)
   60 CONTINUE
C
   70 CONTINUE
      RETURN
      END
