pro sp3i
; looksee at data for sp201-03, Image Frame Data
; Working directory: puck:/local/pcnfs/Spartan/programs
; Data Directory: puck:/local/pcnfs/tmp/Spartan/sp201-3/dbase
; Date: 25-Apr-97

m=getspartan('I95_MET')
m=m/3600.

set_plot,'ps'

!fancy=2
!p.title='SP201-03 WLC, September 8-10, 1995'
!x.title='MET, hours'

!y.title='ORBIT NUMBER'
a=getspartan('I95_ORB')
device,filename='iorbno.ps'
plot,m,a,yrange=[0,30],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='IMAGE NUMBER'
a=getspartan('I95_IMG')
device,filename='img.ps'
plot,m,a,yrange=[0,50],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES YAW MEAN, Volts'
a=getspartan('I95_PYMEAN')
device,filename='pymean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES PITCH MEAN, Volts'
a=getspartan('I95_PPMEAN')
device,filename='ppmean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Folding Mirror Position (PIA1A)'
a=getspartan('I95_PIA1AR10')
b=((a or 'fe'xb) - 'fe'xb)
device,filename='fmbit.ps'
plot,m,b,yrange=[-1,2],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Heat Dump Shutter Position (PIA1A)'
c=((a or 'fd'xb) - 'fd'xb) * 0.5
device,filename='hdsbit.ps'
plot,m,c,yrange=[-1,2],ysty=1,xrange=[0,45],xsty=1
device,/close

set_plot,'x'
end
