pro sp4t
; looksee at data for sp201-03
; Working directory: riker:/home/riker/stanger/idl/lib/card
; Date: 09-OCT-96

m=getspartan('T95_MET')
m=m/3600.

set_plot,'ps'

!fancy=2
!p.title='SP201-03 WLC, September 8-10, 1995'
!x.title='MET, hours'

!y.title='ORBIT NUMBER'
a=getspartan('T95_ORB')
device,filename='orbno.ps'
plot,m,a,yrange=[0,30],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='LISS COMMON SUN PRESENCE, ADU'
a=getspartan('T95_CSP')
device,filename='csp.ps'
plot,m,a,yrange=[0,2500],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PITCH TRIG RATE, arcmin/sec'
a=getspartan('T95_TRG')
device,filename='trg1.ps'
plot,m,a,yrange=[-30,30],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PITCH TRIG RATE, arcmin/sec'
device,filename='trg2.ps'
plot,m,a,yrange=[-2,2],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='FINE MODE II, ADU'
a=getspartan('T95_FMII')
device,filename='fm2.ps'
plot,m,a,yrange=[0,2500],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='LISS 2 (WLC) FLAG'
a=getspartan('T95_LWLC')
device,filename='lwlc.ps'
plot,m,a,yrange=[0,300],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='WLC CALIBRATION FLAG'
a=getspartan('T95_WLCCAL')
device,filename='wlccal.ps'
plot,m,a,yrange=[0,300],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='UVCS RASTER FLAG'
a=getspartan('T95_UVRAST')
device,filename='uvrast.ps'
plot,m,a,yrange=[0,300],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Yaw Fine Position, arcsec'
a=getspartan('T95_YFP')
device,filename='yaw_plot.ps'
plot,m,a,yrange=[-100,100],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Roll Fine Position, arcsec'
a=getspartan('T95_RFP')
device,filename='roll_plot.ps'
plot,m,a,yrange=[-100,100],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES YAW, Volts'
a=getspartan('T95_PESY')
device,filename='pes_yaw.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES PITCH, Volts'
a=getspartan('T95_PESP')
device,filename='pes_pitch.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='6V BATTERY FOR CCD COOLING & TED FET VOLTAGE'
b=getspartan('T95_CCD_BAT')
c=getspartan('T95_TED_V')
device,filename='ccd-ted_volt.ps'
plot,m,b,yrange=[1,9],ysty=1,xrange=[0,45],xsty=1
oplot,m,c
device,/close

!y.title='Voltage across TED'
a=b-c
device,filename='ted_volt.ps'
plot,m,a,yrange=[-1,6],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='28V BATTERY'
a=getspartan('T95_V28')
device,filename='v28.ps'
plot,m,a,yrange=[25,30],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='CCD ELECTRONICS VOLTAGES, +/-15 & +5'
a=getspartan('T95_CCD_5')
b=getspartan('T95_CCD_M15')
b=-1.*b
c=getspartan('T95_CCD_P15')
device,filename='voltages_ccd.ps'
plot,m,a,yrange=[-20,20],ysty=1,xrange=[0,45],xsty=1
oplot,m,b
oplot,m,c
device,/close

!y.title='COMPUTER +5V'
a=getspartan('T95_V5')
device,filename='voltages_comp.ps'
plot,m,a,yrange=[4,6],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='TED TEMPERATURES, C'
a=getspartan('T95_TED')
b=getspartan('T95_DET')
device,filename='ted_temp.ps'
plot,m,a,yrange=[-45,25],ysty=1,xrange=[0,45],xsty=1
oplot,m,b
device,/close

!y.title='CORRECTED SPAR FRONT BULKHEAD TEMP, C'
a=getspartan('T95_FBLK')
a=a + 2.
device,filename='corrected_fblk.ps'
plot,m,a,yrange=[0,20],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='CORRECTED SPAR FILTER WHEEL TEMP, C'
a=getspartan('T95_FIL')
a=a - 9.
device,filename='corrected_fil.ps'
plot,m,a,yrange=[0,40],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='CORRECTED SPAR O1 TEMP, C'
a=getspartan('T95_O1')
a=a - 6.
device,filename='corrected_o1.ps'
plot,m,a,yrange=[0,40],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='CCD ELECTRONICS PKG TEMP, C'
a=getspartan('T95_ELC')
device,filename='elc.ps'
plot,m,a,yrange=[0,40],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='ELECTRONICS PKG 2 TEMP, C'
a=getspartan('T95_EP2')
device,filename='ep2.ps'
plot,m,a,yrange=[0,40],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='68000 TEMP, C'
a=getspartan('T95_K68')
device,filename='k68.ps'
plot,m,a,yrange=[0,40],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='5 VOLT POWER SUPPLY TEMP, C'
a=getspartan('T95_P5V')
device,filename='p5v.ps'
plot,m,a,yrange=[0,50],ysty=1,xrange=[0,45],xsty=1
device,/close

set_plot,'x'
end
