;
;
; Routine to look at a list of .sk files
;
!x.title=0
!p.title=0
!x.ticklen=1
!y.ticklen=1
!y.range=[200,370]
!p.font=1
!p.charsize=1.6
!y.title='Sky Transmission (ADU)'

listname = 'sklist'
filename = 'ferd'

sky = intarr(1080)

close,2 & openr,2,listname & readf,2,filename
ii = 0
while ( not eof(2) ) do begin
	ii = ii+1
	readf,2,filename
endwhile
numsk = ii
maxsky = intarr(numsk)
airmass = fltarr(numsk)
headib=0 & headib=lonarr(16)
headf =0 & headf =fltarr(24)
headie=0 & headie=lonarr(16)
pad = bytarr(800)

oldsky=350
close,2 & openr,2,listname & readf,2,filename
ii = 0
while ( not eof(2) ) do begin
	close,1 & openr,1,filename,/NOSTDIO & readu,1,headib & 
					readu,1,headf & 
					readu,1,headie & 
					readu,1,pad &
					readu,1,sky
	airmass(ii) = headf(8)
	h = histogram(sky)
	dim = size(h)
	maxsky(ii) = dim(1)
	if ( ii eq 0 ) then begin
		plot,sky
	endif else begin
		oplot,sky
	endelse
	outfile = string(filename+'y')
	close,3 & openw,3,outfile & writeu,3,maxsky(ii) & close,3
	ii = ii+1
	readf,2,filename
endwhile
stop
close,1
close,2
!p.title = "Sky Transmission vs. Airmass"
!x.title = "Airmass"
plot,airmass,maxsky
oplot,airmass,maxsky,psym=5
coef = poly_fit(airmass,maxsky,1,skyfit)
coef = reform(coef)
str = 'fred'
str = 'Trans = '+string(coef(0)) + ' + airmass * ' + string(coef(1))
xyouts,1.5,320,str
str = strtrim(string(headib(0)))+'/'+strtrim(string(headib(1)))+ $
	'/'+strtrim(string(headib(2)))
xyouts,1.5,225,str
stop
end



