;
;
;
;  Smooth MkIV X matrix and bias elements
;

NUMPIX = 384
NUMAZ = 720

MINFIT = 50
MAXFIT = 320

x21 = fltarr(NUMPIX)
x22 = fltarr(NUMPIX)
x23 = fltarr(NUMPIX)
x31 = fltarr(NUMPIX)
x32 = fltarr(NUMPIX)
x33 = fltarr(NUMPIX)
bias= fltarr(NUMPIX)
gain= fltarr(NUMPIX,NUMAZ)
x21fit = fltarr(NUMPIX)
x22fit = fltarr(NUMPIX)
x23fit = fltarr(NUMPIX)
x31fit = fltarr(NUMPIX)
x32fit = fltarr(NUMPIX)
x33fit = fltarr(NUMPIX)
biasfit= fltarr(NUMPIX)
gainfit= fltarr(NUMPIX,NUMAZ)

close,1 & openr,1,'x21' & readu,1,x21
close,1 & openr,1,'x22' & readu,1,x22
close,1 & openr,1,'x23' & readu,1,x23
close,1 & openr,1,'x31' & readu,1,x31
close,1 & openr,1,'x32' & readu,1,x32
close,1 & openr,1,'x33' & readu,1,x33
close,1 & openr,1,'bias'& readu,1,bias
close,1 & openr,1,'gain'& readu,1,gain

pix = findgen(numpix)

coefx21 = poly_fit (pix(MINFIT:MAXFIT),x21(MINFIT:MAXFIT),5)
coefx22 = poly_fit (pix(MINFIT:MAXFIT),x22(MINFIT:MAXFIT),5)
coefx23 = poly_fit (pix(MINFIT:MAXFIT),x23(MINFIT:MAXFIT),5)
coefx31 = poly_fit (pix(MINFIT:MAXFIT),x31(MINFIT:MAXFIT),5)
coefx32 = poly_fit (pix(MINFIT:MAXFIT),x32(MINFIT:MAXFIT),5)
coefx33 = poly_fit (pix(MINFIT:MAXFIT),x33(MINFIT:MAXFIT),5)
coefbias = poly_fit (pix(MINFIT:MAXFIT),bias(MINFIT:MAXFIT),5)

for ii=0,numpix-1 do begin
	x21fit(ii) = coefx21(0) + ii*(coefx21(1) + ii*(coefx21(2) + $
ii*(coefx21(3) + ii*(coefx21(4) + ii*(coefx21(5))))))
	x22fit(ii) = coefx22(0) + ii*(coefx22(1) + ii*(coefx22(2) + $
ii*(coefx22(3) + ii*(coefx22(4) + ii*(coefx22(5))))))
	x23fit(ii) = coefx23(0) + ii*(coefx23(1) + ii*(coefx23(2) + $
ii*(coefx23(3) + ii*(coefx23(4) + ii*(coefx23(5))))))
	x31fit(ii) = coefx31(0) + ii*(coefx31(1) + ii*(coefx31(2) + $
ii*(coefx31(3) + ii*(coefx31(4) + ii*(coefx31(5))))))
	x32fit(ii) = coefx32(0) + ii*(coefx32(1) + ii*(coefx32(2) + $
ii*(coefx32(3) + ii*(coefx32(4) + ii*(coefx32(5))))))
	x33fit(ii) = coefx33(0) + ii*(coefx33(1) + ii*(coefx33(2) + $
ii*(coefx33(3) + ii*(coefx33(4) + ii*(coefx33(5))))))
	biasfit(ii) = coefbias(0) + ii*(coefbias(1) + ii*(coefbias(2) + $
ii*(coefbias(3) + ii*(coefbias(4) + ii*(coefbias(5))))))


endfor

x21fit(30:37)=x21(30:37)

close,1 & openw,1,'x21.fit' & writeu,1,x21fit
close,1 & openw,1,'x22.fit' & writeu,1,x22fit
close,1 & openw,1,'x23.fit' & writeu,1,x23fit
close,1 & openw,1,'x31.fit' & writeu,1,x31fit
close,1 & openw,1,'x32.fit' & writeu,1,x32fit
close,1 & openw,1,'x33.fit' & writeu,1,x33fit
close,1 & openw,1,'bias.fit'& writeu,1,biasfit
close,1 & openw,1,'gain.fit'& writeu,1,gain

print,'done'

end

