; dofit1

PRO dofit1

nrad = 416
nang = 362

;--- Read radial scan (2D: radius, angle).

scanrad = fltarr (nrad, nang)

openr,1,'scanrad.tab'
readu,1,scanrad
close,1

r90  = scanrad [*, 91]
r330 = scanrad [*,331]

;--- Fit radial scan to limb darkening equation.

rsun = 417.87
r_dist = findgen (nrad)
f_bright = fltarr (N_ELEMENTS (r_dist))

print, 'size (r_dist)   : ', size (r_dist)
print, 'size (r90)      : ', size (r90)

f_bright = ld_fit1 (r_dist, r90, rsun)

END
