; Load a fancy color table
    _a=intarr(256)  &  _b=intarr(256)  &  _c=intarr(256)
    openr,11,'/home/cordyn/color_idl/syn_col.rgb'
    readu,11,_a  &  readu,11,_b  &  readu,11,_c  &  close,11  &  tvlct,_a,_b,_c

; Compensation for sky polarization...
	phase=fltarr(181,360) 
	ss=findgen(181)*!pi/90. -50.*!pi/180. & sss=sin(ss)
	for ii=0,359,1 do phase(*,ii)= 100.*sss -30.
	rph=rotate(phase,4)

sun = strpos(getenv('IDL_DEVICE'),'X') +1       ; == 1 if sun
if (sun) then begin ;{
    device,window_state=winst
    if ( winst(0) eq 0 ) then window,xsize=360+140,ysize=190*3+100
endif ;}

a67=intarr(360,181)

erase,255
openr,1,'../ch0/1867e1.30' & readu,1,a67 & close,1  & pBmn=-100 & pBmx=2300

    s67=smooth(a67,5)
    s67=s67+fix(rph)
    tv,bytscl(s67,min=pBmn,max=pBmx),30,0+30


openr,1,'../ch0/1867e1.70' & readu,1,a67 & close,1  & pBmn=-100 & pBmx=800

    s67=smooth(a67,5)
    s67=s67+fix(rph)
    tv,bytscl(s67,min=pBmn,max=pBmx),30,190+30



openr,1,'1867e2.70' & readu,1,a67 & close,1  & pBmn=-120 & pBmx=50

    ; Compensate for the huge smoothing that must be done for channel 1 data.
	smsz=12   &    len=360+2*smsz    &    b67=intarr(len,181)
	for ii=0,smsz-1,1       do b67(ii,0:180)=a67(0,0:180)
	for ii=359+smsz,len-1,1 do b67(ii,0:180)=a67(359,0:180)
	for ii=0,359,1          do b67(ii+smsz,0:180)=a67(ii,0:180)

	bs67=smooth(b67,smsz)
	s67(0:359,0:180) = bs67(smsz:359+smsz,0:180)

    s67 = s67 + fix(rph)
    tv,bytscl(s67,min=pBmn,max=pBmx),30,190*2+30

    xyouts,0.15,0.95,$
	'Mark III K-Coronameter',charsize=2.0,/nor,color=0
    xyouts,0.15,0.90,$
	'Carrington rotation 1867, east limb',charsize=1.5,/nor,color=0
    xyouts,0.80,0.25, 'Channel 0',charsize=1.5,/nor,color=0
    xyouts,0.80,0.22, '1.3 Rsun',charsize=1.5,/nor,color=0

    xyouts,0.80,0.53, 'Channel 0',charsize=1.5,/nor,color=0
    xyouts,0.80,0.50, '1.7 Rsun',charsize=1.5,/nor,color=0

    xyouts,0.80,0.81, 'Channel 1',charsize=1.5,/nor,color=0
    xyouts,0.80,0.78, '2.7 Rsun',charsize=1.5,/nor,color=0


    xyouts,0.4,0.02, 'LONGITUDE',charsize=1.2,/nor,color=0,alignment=0.5
    spa=0.018   &   Xs=0.028
    Ys=0.28
    for ii= -1.,1.,1. do begin ;{
	xyouts,Xs,ii*Ys+0.53-spa*0, 'L',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*1, 'A',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*2, 'T',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*3, 'I',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*4, 'T',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*5, 'U',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*6, 'D',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*7, 'E',charsize=1.2,/nor,color=0,alignment=0.5
    endfor ;}
    
end
