rtd=180./!pi
rtd=1.
buff=intarr(204)
sol=fltarr(24,128)
err=fltarr(24,128)
filenm=' '
psplot='n'
mysz=1.8
wait=3  ; Cursor transition down wait...

print,'Do you want to make a postscript plot? (y or n) '
read,psplot


print,'Enter the name of the .tscp file '
read,filenm
openr,1,filenm & readu,1,buff 
readu,1,sol
readu,1,err
close,1

if (psplot eq 'y') then begin ;{
    spawn,'mv tscp.ps tscpold.ps'
    print,'The name of the ps file is: tscp.ps'
    print,'It will be printed automatically on haoip when you are finished.'
    print,' '
    set_plot,'ps'
    device,/portrait,/inches,xsize=7.5,ysize=10.0,$
	   xoffset=0.5,yoffset=0.5,filename='tscp.ps'
    mysz=1.4
endif else begin;}{
    device,window_state=winst
    if(winst(5) eq 0)then window,5,xsize=700,ysize=800,xpos=440,ypos=100
    mysz=1.8
    wset,5
endelse ;}

!P.MULTI = [ 0, 2 , 4 ]

;;;plot,[0,130],[-100,100],title='ang1 (deg)',/ynoz,xstyle=1,ystyle=1,/nodata
plot,[0,130],[-2,2],title='ang1 (rad)      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
   oplot,sol(1,*)*rtd

plot,[0,130],[-0.5,0.5],title='fp1',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(2,*)

plot,[0,130],[-2,2],title='ang0 (rad)',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(3,*)*rtd


plot,[0,130],[-0.5,0.5],title='fp0      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(4,*)

plot,[0,130],[0,1],title='trt',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(5,*)

plot,[0,130],[-0.5,0.5],title='fpt',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(6,*)

if(psplot ne 'y') then cursor,_x,_y,wait,/nor
!P.MULTI = [ 0, 3 , 3 ]

plot,[0,130],[0.95,2],title='x11      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(7,*)

plot,[0,130],[-0.05,0.05],title='x21',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(8,*)

plot,[0,130],[-0.05,0.05],title='x31',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(9,*)



plot,[0,130],[-2,2],title='x12      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(10,*)

plot,[0,130],[-40,40],title='x22',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(11,*)

plot,[0,130],[-40,40],title='x23',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(14,*)



plot,[0,130],[-2,2],title='x13      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(13,*)


plot,[0,130],[-40,40],title='x32',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(12,*)


plot,[0,130],[40,-40],title='x33',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(15,*)

if(psplot ne 'y') then cursor,_x,_y,wait,/nor

if(psplot ne 'y') then mysz=1.2 else mysz=0.8

!P.MULTI = [ 0, 3 , 3 ]

plot,[0,130],[-1,1],title='phase (rad)      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(16,*)*rtd

plot,[0,130],[0,2000],title='gain',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(17,*)


plot,[0,130],[-1,1],title='biasu      '+filenm,/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(18,*)
plot,[0,130],[-1,1],title='biasq',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(19,*)
ibimni=min(sol(20,10:100))
ibimxi=max(sol(20,10:100))
if( ibimni eq ibimxi ) then ibimxi = ibimxi + 1.
plot,[0,130],[ibimni,ibimxi],title='biasi',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(20,*)

plot,[0,130],[-1,1],title='U',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(21,*)

plot,[0,130],[-1,1],title='Q',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(22,*)

plot,[0,130],[9,12],title='I',/ynoz,xstyle=1,ystyle=1,/nodata,$
   charsize=mysz
    oplot,sol(23,*)

!P.MULTI = [ 0, 1 , 1 ]

if(psplot eq 'y')then begin;{
    device,/close
    set_plot,'x'
    spawn,'/usr/ucb/lpr -Phaoip -h tscp.ps'
    psplot='n'
endif;}


end
