pro sts95-srnss
; Program for extracting Spartan 201-05 Sunrise and Sunset times.
; Date: 6-NOV-98
 
sr=getspartan('T98_LSR')
ss=getspartan('T98_LSS')
csp=getspartan('T98_CSP')
m=getspartan('T98_MET')

openw,1,'msgs_srnss.txt'

ssr = shift(sr,-1)
jsr = where(ssr-sr ne 0.0d)
jsr=jsr(0:n_elements(jsr)-2L) ;snooze the last element because of shift

sss = shift(ss,-1)
jss = where(sss-ss ne 0.0d)
jss=jss(0:n_elements(jss)-2L) ;snooze the last element because of shift

for i=0,n_elements(jsr)-2 do begin
	printf,1,strtrim(jsr(i),2),' LSR: ',metf2s(sr(jsr(i))),$
		' TM MET: ',metf2s(m(jsr(i)))
	printf,1,strtrim(jsr(i)+1,2),' LSR: ',metf2s(sr(jsr(i)+1)),$
		' TM MET: ',metf2s(m(jsr(i)+1))
endfor

for i=0,n_elements(jss)-2 do begin
	printf,1,strtrim(jss(i),2),' LSS: ',metf2s(ss(jss(i))),$
		' TM MET: ',metf2s(m(jss(i)))
	printf,1,strtrim(jss(i)+1,2),' LSS: ',metf2s(ss(jss(i)+1)),$
		' TM MET: ',metf2s(m(jss(i)+1))
endfor
close,1

openw,1,'csp_srnss.txt'

jcsp=where(csp gt 2000)    ;sr=csp > 2000, ss=csp < 100 
jcsp=jcsp(0:n_elements(jcsp)-2) ;snooze the last element because of shift

;sss=shift(ss,-1)
;jss=where(sss-ss ne 0.0d)
;jss=jss(0:n_elements(jss)-2L) ;snooze the last element because of shift

for i=0,n_elements(jcsp)-2 do begin
	printf,1,strtrim(jcsp(i),2),' TM MET: ',metf2s(m(jcsp(i)))
	printf,1,strtrim(jcsp(i)+1,2),' TM MET: ',metf2s(m(jcsp(i)+1))
endfor

;for i=0,n_elements(jss)-2 do begin
;	printf,1,strtrim(jss(i),2),' LSS: ',metf2s(ss(jss(i))),$
;		' TM MET: ',metf2s(m(jss(i)))
;	printf,1,strtrim(jss(i)+1,2),' LSS: ',metf2s(ss(jss(i)+1)),$
;		' TM MET: ',metf2s(m(jss(i)+1))
;endfor
close,1

end