pro yfp_rfp

; looksee at data for sp201-03, Telemetry Frame Data, Pointing Info
; Working directory: puck:/local/pcnfs/Spartan/programs
; Data Directory: puck:/local/pcnfs/tmp/Spartan/sp201-3/dbase
; Date: 25-Apr-97

m1=getspartan('T95_MET')
m1=m/3600.
y1=getspartan('T95_YFP')
r1=getspartan('T95_RFP')
c1=getspartan('T95_CSP')
c1=c1/200. - 100.
w1=getspartan('T95_LWLC')
w1=w1/10. - 100.

!fancy=2
!p.title='SP201-03 WLC, September 8-10, 1995'
!x.title='MET, hours'

!y.title='YFP, arcsec'
set_plot,'ps'
device,filename='yfp.ps'
plot,m,y,xrange=[0,40],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

!y.title='YFP, arcsec'
set_plot,'ps'
device,filename='yfp_1.ps'
plot,m,y,xrange=[0,3],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_2.ps'
plot,m,y,xrange=[3,6],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_3.ps'
plot,m,y,xrange=[6,9],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_4.ps'
plot,m,y,xrange=[9,12],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_5.ps'
plot,m,y,xrange=[12,15],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_6.ps'
plot,m,y,xrange=[15,18],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_7.ps'
plot,m,y,xrange=[18,21],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_8.ps'
plot,m,y,xrange=[21,24],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_9.ps'
plot,m,y,xrange=[24,27],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_10.ps'
plot,m,y,xrange=[27,30],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_11.ps'
plot,m,y,xrange=[30,33],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_12.ps'
plot,m,y,xrange=[33,36],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_13.ps'
plot,m,y,xrange=[36,39],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_14.ps'
plot,m,y,xrange=[39,42],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_15.ps'
plot,m,y,xrange=[42,45],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

!y.title='RFP, arcsec'
device,filename='rfp_1.ps'
plot,m,r,xrange=[0,3],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_2.ps'
plot,m,r,xrange=[3,6],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_3.ps'
plot,m,r,xrange=[6,9],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_4.ps'
plot,m,r,xrange=[9,12],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_5.ps'
plot,m,r,xrange=[12,15],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_6.ps'
plot,m,r,xrange=[15,18],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_7.ps'
plot,m,r,xrange=[18,21],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_8.ps'
plot,m,r,xrange=[21,24],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_9.ps'
plot,m,r,xrange=[24,27],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_10.ps'
plot,m,r,xrange=[27,30],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_11.ps'
plot,m,r,xrange=[30,33],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_12.ps'
plot,m,r,xrange=[33,36],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_13.ps'
plot,m,r,xrange=[36,39],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_14.ps'
plot,m,r,xrange=[39,42],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_15.ps'
plot,m,r,xrange=[42,45],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

set_plot,'x'
end
