; zero_offdisk
; Sets values outside disk edge to bkg
;
; LM - passing in value to set outside disk values to
;    - april 9, 2003
;====================================================

PRO zero_offdisk_v2,	disk_edge, xx, yy, bkg,		$  ;inputs
			image				   ; input/outputs

     ;--------------------
     ; Array of distances.
     ;--------------------

     r_2D = sqrt ( xx^2.0 + yy^2.0 )

     ;---------------------------------------------
     ; There are bad values around edge of the Sun.
     ;---------------------------------------------

     off_disk = where (r_2D gt disk_edge)

     ;print,'zero_offdisk : off_disk = ',off_disk

     ;------------------------------------------------------
     ; For now, set image values outside disk to a constant.
     ; This needs to be revised to not lose limb data.
     ;------------------------------------------------------

     image [off_disk] = bkg
 
end
