;=======================================================================
;NAME       : chghead (main)
; PURPOSE :
;	change contents of header of flare-tel. data for img_no>1
; CATEGORY :
;	idl/lib/flare
; CALLING SEQUENCE :
;	.run chghead
; INPUTS : 		none
; OPTIONAL INPUT PARAMETERS : 
;	none
; KEYWORD PARAMETERS :
; OUTPUTS :
;	none
; COMMON BLOCKS : 	none
; SIDE EFFECTS : 	none
; RESTRICTIONS :	none
; PROCEDURE :
; MODIFICATION HISTORY :
;	K.I. '93/01/06	
;----------------------------------------------------------------------

dir='/solar/flare/'
dir=''
kind='time'
dispimg=1
pause=0
files=''
;read,'enter file name : ',files
spawn,'ls /scr1/sakurai/920814/a*.g0',files
;files='/solar/flare/fb921130.0122'
nfile=n_elements(files)
Unit=5

ans=''

for n=0,nfile-1 do begin
    if dispimg eq 1 then begin
	nkrget,files(n),h,img
	tvscl,img,order=1
    endif else begin
	nkrgeth,files(n),h
    endelse
    print,''
    print,files(n)
    case kind of
	'guide':    print,'guide pos. = ',str_gpos(h.g_x,h.g_y)
	'time':    print,'date = ',h.date1,'   time=',h.time1
    endcase
    if pause eq 1 then read,'            Will you change (y<RET>/n) ? : ',ans
    if ans ne 'n' then begin
	case kind of
	    'guide': begin
		;read,'enter new g_x & g_y (arc.sec.) : ',gx,gy
		read,'enter new g_x & g_y (in cm) : ',fgx,fgy
		gx=fix(fgx*81.333)	&	gy=fix(fgy*81.333)
		end
	    'time': begin
		date='92/08/14'
		;read,'enter new date : ',date
		time=''
		ll1: read,'enter new time (hhmmss) : ',time
		if strlen(time) ne 6  then goto,ll1
		time=strmid(time,0,2)+':'+strmid(time,2,2)+':'	$
			+strmid(time,4,2)
		end
	endcase
	nkrget,files(n),h,img,nset=nset,img_no=-1
	print,nset,'  headers are modified...'
	openu,Unit,files(n)
	for i=0,nset-1 do begin
	    h = nkrhead()
	    readu,Unit,h
	    one=h.one
	    if one eq 256 then  hswab,h
	    case kind of
		'guide': begin
		    h.g_x=gx
		    h.g_y=gy
		    end
		'time': begin
		    h.date1=date
		    h.date2=date
		    h.time1=time+'.'
		    h.time2=time+'.'
		    h.time_sys='UT '
		    end
	    endcase
	    point_lun,-Unit,pos
	    point_lun,Unit,pos-512
	    imgsize=long(h.nx)*long(h.ny)*long(h.nbyt)*long(h.nf)
	    if one eq 256 then  hswab,h
	    writenh,Unit,h
	    point_lun,-Unit,pos
	    point_lun,Unit,pos+imgsize
	endfor
	close,Unit
    endif
    outfile='h'+strmid(time,0,2)+strmid(time,3,2)+strmid(time,6,2)
    print,'outfile = ',outfile
    spawn,'mv '+files(n)+' '+outfile
endfor


end
