;**************************************************************************
;NAME       : scatter (procedure)
;FUNCTION   : make scattered light correction to pol. degree
;DATE	    : '92/09/22
;PROGRAMER  : k.i.
;==========================================================================
pro scatter,scatter,img,r1,r2,r3,h=h

;   scatter   -- scattered light intensity, assumed to be uniform
;   h(*)      -- header, if h(i).correct=4, re-calculate r's
;

if scatter eq 0 then return

nn=n_params()	; shoul be >=2
print,'scattered light correction.  scatter=',scatter

imgc=fix(img-scatter)

if nn eq 2 then goto,ret
	r1=float(r1)*float(img)
	r1=fix(r1/(imgc>1))
if nn eq 3 then goto,ret
	r2=float(r2)*float(img)
	r2=fix(r2/(imgc>1))
if nn eq 4 then goto,ret
	r3=float(r3)*float(img)
	r3=fix(r3/(imgc>1))

ret:
img=imgc

end
