;********************************************************************
;NAME       : str_gpos (function)
;FUNCTION   : return position string in  E10'23" W09'54"  format
;		from g_x, g_y which are arc.sec. from D.C. N+S- E-W+
;					K.I. '92/04/06
;					K.I. '92/12/06
;====================================================================
function str_gpos,gx,gy

gxm=abs(fix(gx/60))	& gxs=abs(gx)-gxm*60
gym=abs(fix(gy/60))	& gys=abs(gy)-gym*60
nn=n_elements(gx)
strgp=strarr(nn)
for i=0,nn-1 do begin
    if gx(i) ge 0 then  ew='W'+string(gxm(i),format='(I2)')+"'"	$
			+string(gxs(i),format='(I2)')+'"'	$
    else		ew='E'+string(gxm(i),format='(I2)')+"'"	$
			+string(gxs(i),format='(I2)')+'"'
    if gy(i) ge 0 then  sn='N'+string(gym(i),format='(I2)')+"'"	$
			+string(gys(i),format='(I2)')+'"'	$
    else		sn='S'+string(gym(i),format='(I2)')+"'"	$
			+string(gys(i),format='(I2)')+'"'
    strgp(i)=ew+'  '+sn
endfor
if nn eq 1 then strgp=strgp(0)
return,strgp
end
