;********************************************************************
;NAME       : nkrgeth (procedure)
;FUNCTION   : get header from norikura formatted file
;						K.I. '91/11/25
;====================================================================
pro nkrgeth,file,h,nkr=nkr
; file   : filename
; h	 : header structure
; nkr	 : if file is nkr formatted return 1, else return 0

nkr=1
on_ioerror,notnkr
;print,format='("nkrgeth  ",A," : ",$)',file
; ----------  file check  ----------
ff=findfile(file)
!error=0
if ff(0) eq '' then begin
	!error=1
	print,file,'   not found !'
	return
endif

Unit=5
close,Unit
openr,Unit,file
h = nkrhead()
readu,Unit,h
if (strmid(h.hdr_id,0,3) ne 'HDR') then goto,notnkr
close,Unit
if h.one eq 256 then hswab,h
return

notnkr:
close,Unit
nkr=0

end
