;+
; NAME :	magtv2 (procedure)
; PURPOSE :
;	remove trend from image
; CATEGORY :
;	idl/lib/nkr
; CALLING SEQUENCE :
;	img = rmtrend(img)
; INPUTS :
;	img     : image (*,*) or i,q,u,v as (*,*,4)
; OPTIONAL INPUT PARAMETERS : 
;	none
; KEYWORD PARAMETERS :
;	degree	: degree of fitting polinomial, default=2
; OUTPUTS :
;	none
; COMMON BLOCKS : 	none
; SIDE EFFECTS : 	none
; RESTRICTIONS :	none
; PROCEDURE :
; MODIFICATION HISTORY :
;	K.I. '93/11/19
;-
function rmtrend,img,degree=degree

if keyword_set(degree) then degree=degree else degree=2
s=size(img)	&	nx=s(1)	&	ny=s(2)
return,img-rebin(surface_fit(rebin(img,nx/4,ny/4),degree),nx,ny)
end
