;+ -----------------------------------------------------------------------------
;  cp_date.common : IDL procedure
;+ -----------------------------------------------------------------------------
;  SMM C/P date & time.
;+ -----------------------------------------------------------------------------
;  Andrew L. Stanger   HAO/NCAR
;  24 March 1993
;- -----------------------------------------------------------------------------
; COMMON cpdate, iyear, idoy, imonth, iday, ihour, iminute, isecond
;- -----------------------------------------------------------------------------

COMMON cp_date, $

		; 1st image (normal or base)

		iyear,		$		; image year.
		idoy,		$		; image day-of-year
		imonth,		$		; image month
		iday,		$		; image day of month
		ihour,		$		; image hour
		iminute,	$		; image minute
		isecond,	$		; image second

		; 2nd image (subtraction)

		iyear2,		$		; image year.
		idoy2,		$		; image day-of-year
		imonth2,	$		; image month
		iday2,		$		; image day of month
		ihour2,		$		; image hour
		iminute2,	$		; image minute
		isecond2			; image second

