PRO pBT, filenm

rorig=intarr(128,720)
dispi=bytarr(128,720)
rclut=bytarr(256)
gclut=bytarr(256)
bclut=bytarr(256)
ans='n'  & dolog='n' & psplot='n'
ch1=STRPOS(filenm,'ch1')
IF (ch1 NE -1) THEN r0=1.4 ELSE r0 = 1.1224
dr = 0.01042
forever = 1
theta = findgen(720)*0.5
!Y.MARGIN=[3,3]

sun = strpos (getenv ('IDL_DEVICE'), 'X') + 1
if ( sun and psplot eq 'n') then begin ;{
    device,window_state=winst
    if(winst(0) eq 0)then window,0,xsize=128,ysize=720,xpos=512+110,ypos=200
    if(winst(1) eq 0)then window,1,xsize=1000,ysize=600; ,xpos=0,ypos=500
endif ;}

if (psplot eq 'y') then begin ;{
    spawn,'mv Theplt.ps Thepltold.ps'
    set_plot,'ps'
    device,/landscape,/inches,xsize=10.0,ysize=7.0,filename='Theplt.ps'
    !P.MULTI = [ 0, 2 , 3 ]
endif else begin;}{
    !P.MULTI = [ 0, 3 , 2 ]
endelse ;}

    close,1 & openr,1,filenm & readu,1,rorig & close,1

    ii=strpos(filenm,'pB')
    if(ii ne -1)  then begin ;{
	pltmn=-100 & pltmx=10000 
	dspmn=-700 & dspmx=4000
	dolog='y'
	if ( dolog eq 'y' ) then pltmn=1
    endif ;}

    dispi=bytscl(rorig,min=dspmn,max=dspmx,top=200)

  if(sun) then begin ;{
    tvlct,rclut,gclut,bclut,/get
    rclut(201)=255 & gclut(201)=5 & bclut(201)=5 & tvlct,rclut,gclut,bclut
  endif;}

  IF (ch1 NE -1) THEN radius = [1.6,1.8,2.0,2.2,2.4,2.6] ELSE $
  	radius=[1.2,1.4,1.6,1.8,2.0,2.2]
  pltrad=radius
  dpx = fix ( 0.5 +  (radius-r0)/dr  )
  dpy = indgen(720)

   if (sun AND psplot EQ 'n') then begin ;{
     wset,0
     tv,dispi 
     xyouts,.05,.95,filenm,charsize=1.5,/nor
     wset,1
   endif;}

   FOR i=0,5 DO BEGIN
     pltarr=rorig(dpx(i),dpy)
     plot_io,[0.,360.],[pltmn,pltmx],title=filenm,$
     	xtitle="Polar angle",ytitle="pB*e^10 B/Bsun",/nodata,yst=1,xst=1
     ;plot,[0.,360.],[0,5000],title=filenm,$
     ; 	xtitle="Polar angle",ytitle="pB*e^10 B/Bsun",/nodata,yst=1,xst=1
     oplot,theta,pltarr,linestyle=0.0,thick=2
     xyouts,5.0,pltmx+pltmx*.05, $
	 string(format='(f4.2)',pltrad(i)) + ' Rsun',charsize=1.5
   ENDFOR

if(psplot eq 'y')then begin;{
    device,/close
    set_plot,'x'
    spawn,'/usr/ucb/lpr -Phaoip -h Theplt.ps'
endif;}

end
