
#include "astro.h"

main(argc, argv)
int argc;
char **argv;
{
int jday, gmt;
double ang, last(), fmod();

	argc--;argv++;
	if(argc < 2)
	{
		printf("usage: last jday gmt\n");
		printf("       jday is julian day, gmt is time in seconds\n");
		printf("       prints local siderial time\n");
		exit(0);
	}
	sscanf(*argv++,"%d",&jday);
	sscanf(*argv,"%d",&gmt);
	ang = last(jday,gmt);
	printf("jday = %d, gmt = %d, last = %lg radians\n",jday,gmt,ang);
	ang = fr2d(ang) * 24./ 360.;	/* degrees -> hours */
	ang = fmod(fmod(ang,24.)+24.,24.);	/* positive angle */

	printf("jday = %d, gmt = %d, last = %lg hours\n",jday,gmt,ang);
 }
