/* acos_time.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Print acos time (from binary header).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   26 March 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
/* #include "acoslib.h" */
/* #include "acos_dev.h" */

#include "acos.h"
#define ACOS
#include "acoslib.h"

main (argc, argv)

int argc ;
char *argv [] ;

{
   static char namimg [80] ;
   int pmode = 0 ;

   if (argc == 2)
      strcpy (namimg, argv [1]) ;
   else
      {
      fprintf (stderr, "usage: %s acos_filename\n", argv [0]) ;
      exit (0) ;
      }

   acoshskp (namimg, pmode) ;

   fprintf (stdout, "%s   %4d-%02d-%02d %02d:%02d:%02d\n",
	    namimg,
	    ACOSH->Year, ACOSH->Month, ACOSH->Day,
	    ACOSH->Hour, ACOSH->Minute, ACOSH->Sec);

   exit (0) ;
}

