/*** Provide user entries to AUTOGRAPH for C programs ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
extern void
   ezmxy_(),  ezmy_(),   ezxy_(),   ezy_(),    anotat_(), displa_(),
   agstup_(), agsetc_(), agsetf_(), agseti_(), agsetp_(),
   agback_(), agcurv_(), aggetc_(), aggetf_(), aggeti_(),
   aggetp_(), clsgks_ ();
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezmxy (x, y, i, m, n, lab)
   float *x, *y;
   int i, m, n;
   char *lab; 
{
   ezmxy_ (x, y, &i, &m, &n, lab, strlen (lab));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezmy (y, i, m, n, lab)
   float *y;
   int i, m, n;
   char *lab;
{
   ezmy_ (y, &i, &m, &n, lab, strlen (lab));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezxy (x, y, n, lab)
   float *x, *y;
   int n;
   char *lab;
{
   ezxy_ (x, y, &n, lab, strlen (lab));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezy (y, n, lab)
   float *y;
   int n;
   char *lab;
{
   ezy_ (y, &n, lab, strlen (lab));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
anotat (xl, yl, lbac, lset, ndash, dashl)
   char *xl, *yl;
   int lbac, lset, ndash, *dashl;
{
   anotat_ (xl, yl, &lbac, &lset, &ndash, dashl, strlen (xl), strlen (yl));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
displa (frame, row, typ)
   int frame, row, typ;
{
   displa_ (&frame, &row, &typ);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezend_ ()
{
   int mcsig = 1;
   printf ("ezend_> error: %d\n", mcsig);
   clsgks_ ();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
ezend ()
{
   int mcsig = 1;
   printf ("ezend> error: %d\n", mcsig);
   clsgks_ ();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agstup (x, nvix, iivx, nevx, iiex, y, nviy, iivy, nevy, iiey) 
   float *x, *y;
   int nvix, iivx, nevx, iiex, nviy, iivy, nevy, iiey;
{
   agstup_ (x, &nvix, &iivx, &nevx, &iiex, y, &nviy, &iivy, &nevy, &iiey);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agsetf (param, value)
   char *param;
   double value;
{
   float lvalue;
   lvalue = (float) value;
   agsetf_ (param, &lvalue, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agseti (param, value)
   char *param;
   int value;
{
   agseti_ (param, &value, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agsetc (param, value)
   char *param, *value;
{
   agsetc_ (param, value, strlen (param), strlen (value));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agsets_ (param, value, ip, iv)
   char *param, *value;
{
   agsetc_ (param, value, ip, iv);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agsets (param, value)
   char *param, *value;
{
   agsetc_ (param, value, strlen (param), strlen (value));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agsetp (param, val, count)
   char *param;
   float *val;
   int count;
{
   agsetp_ (param, val, &count, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agback ()
{
   agback_ ();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
agcurv (x, ix, y, iy, nexy, kdash) 
   float *x, *y;
   int ix, iy, nexy, kdash;
{
   agcurv_ (x, &ix, y, &iy, &nexy, &kdash);
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
aggetf (param, value)
   char *param;
   float *value;
{
   aggetf_ (param, value, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
aggeti (param, value)
   char *param;
   int *value;
{
   aggeti_ (param, value, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
void 
aggetp (param, value, count)
   char *param;
   float *value;
   int count;
{
   aggetp_ (param, value, &count, strlen (param));
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
