/* C entry points for CONREC package */
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** EZCNTR ***/
void
ezcntr (z, xdim, ydim)
   float *z;
   int xdim, ydim;
{
void ezcntr_();
   ezcntr_(z, &xdim, &ydim);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** CONREC ***/
void
conrec (z, dim1, xdim, ydim, low, high, inc, set, hi, dot)
   float *z;
   double low, high, inc;
   int dim1, xdim, ydim, set, hi, dot;
{
void conrec_();
   float llow;
   float lhigh;
   float linc;

   llow  = (float) low;
   lhigh = (float) high;
   linc  = (float) inc;
   conrec_(z, &dim1, &xdim, &ydim, &llow, &lhigh, &linc, &set, &hi, &dot);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
