/*** C entry points for PLOTTING routines ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** FRSTPT ***/
void
frstpt (x, y)
   double x, y;
{
void frstpt_();
   float lx;
   float ly;

   lx = (float) x;
   ly = (float) y;
   frstpt_(&lx, &ly);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** VECTOR ***/
void
vector (x, y)
   double x, y;
{
void vector_();
   float lx;
   float ly;

   lx = (float) x;
   ly = (float) y;
   vector_(&lx, &ly);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** PLOTIT ***/
void
plotit (nx, ny, ipen)
   int nx, ny, ipen;
{
void plotit_();
   plotit_(&nx, &ny, &ipen);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** LINE ***/
void
line (xa, ya, xb, yb)
   double xa, ya, xb, yb;
{
void vector_(); void frstpt_();
   float lxa;
   float lya;
   float lxb;
   float lyb;

   lxa = (float) xa;
   lya = (float) ya;
   lxb = (float) xb;
   lyb = (float) yb;
   frstpt_(&lxa, &lya);
   vector_(&lxb, &lyb);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** POINT***/
void
point (x, y)
   double x, y;
{
void point_();
   float lx;
   float ly;

   lx = (float) x;
   ly = (float) y;
   point_(&lx, &ly);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** POINTS ***/
void
points (x, y, n, ichar, ipen)
   float *x, *y;
   int n, ichar, ipen;
{
void points_();
   points_(x, y, &n, &ichar, &ipen);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** POINTA ***/
void
pointa (mx, my)
   int mx, my;
{
void pointa_();
   pointa_(&mx, &my);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** PNTSA ***/
void
pntsa (mx, my, n, ichar, ipen)
   int *mx, *my;
   int n, ichar, ipen;
{
void pntsa_();
   pntsa_(mx, my, &n, &ichar, &ipen);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** CURVE ***/
void
curve (x, y, n)
   float *x, *y;
   int n;
{
void curve_();
   curve_(x, y, &n);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
