/*** C entry points for SCALING routines ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** SET ***/
void
set (xa, xb, ya, yb, xc, xd, yc, yd, ltype)
   double xa, xb, ya, yb, xc, xd, yc, yd;
   int ltype;
{
void set_();
   float lxa;
   float lxb;
   float lya;
   float lyb;
   float lxc;
   float lxd;
   float lyc;
   float lyd;

   lxa = (float) xa;
   lxb = (float) xb;
   lya = (float) ya;
   lyb = (float) yb;
   lxc = (float) xc;
   lxd = (float) xd;
   lyc = (float) yc;
   lyd = (float) yd;
   set_(&lxa, &lxb, &lya, &lyb, &lxc, &lxd, &lyc, &lyd, &ltype);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** SETA ***/
void
seta (mxa, mxb, mya, myb, mxc, mxd, myc, myd, ltype)
   int mxa, mxb, mya, myb, mxc, mxd, myc, myd;
   int ltype;
{
void seta_();
   seta_(&mxa, &mxb, &mya, &myb, &mxc, &mxd, &myc, &myd, &ltype);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** SETI ***/
void
seti (lx, ly)
   int lx, ly;
{
void seti_();
   seti_(&lx, &ly);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** FL2INT ***/
void
fl2int (x, y, mx, my)
   int mx, my;
   double x, y;
{
void fl2int_();
   float lx;
   float ly;

   lx = (float) x;
   ly = (float) y;
   fl2int_(&lx, &ly, &mx, &my);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** NICEXR: local ***/
void
nicexr (xmin, xmax, mjrx, mnrx, dxx, dxn) 
   float *xmin, *xmax, *dxx, *dxn;
   int *mjrx, *mnrx;
{
void nicexr_();
   nicexr_(xmin, xmax, mjrx, mnrx, dxx, dxn);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
