/*** C entry points for VELVCT routines ***/
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** EZVEC ***/
void
ezvec (u, v, xdim, ydim)
   float *u, *v;
   int xdim, ydim;
{
void ezvec_();
   ezvec_(u, v, &xdim, &ydim);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
/*** VELVCT ***/
void
velvct (u, dimu, v, dimv, xdim, ydim, low, high, set, length, ispflag, spval)
   float *u, *v;
   double low, high, spval;
   int dimu, dimv, xdim, ydim, set, length, ispflag;
{
void velvct_();
   float llow ;
   float lhigh ;
   float lspval;

   llow   = (float) low;
   lhigh  = (float) high;
   lspval = (float) spval;
   velvct_(u, &dimu, v, &dimv, &xdim, &ydim, &llow, &lhigh, &set, &length,
	   &ispflag, &lspval);
   return;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
