/* fithk.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Check FITS image header.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   24 May 1994
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/home/stanger/lib/include/fitslib.h"

int pmode = 1 ;

main (argc, argv)

int argc ;
char *argv [] ;

{
   static char namfil [80] ;
   int fitoff ;

   if (argc < 2)
      {
      fprintf (stderr, "usage: %s fits_filename\n", argv [0]) ;
      exit (0);
      }
   else
      {
      strcpy (namfil, argv [1]) ;
      }

   fitoff = rdhdu (namfil) ;
   print_fits () ;

   exit (0);
}
