
/* $Header
 *
 * second()	returns cpu time
 * timef()	returns clock time
 *
 */

#include <sys/time.h>
#include <sys/resource.h>

double
timef () {
    struct timeval t[1];
    struct timezone tz[1];

    if (gettimeofday(t, tz) < 0) return (-1);
    return ((double) t->tv_sec + t->tv_usec * 1.e-6);
}

double
timef_ () {
    return (timef ());
}

double
second () {
    struct rusage ru[1];
    register struct timeval *t;

    getrusage (RUSAGE_SELF,ru);
    t = &ru->ru_utime;
    return ((double) t->tv_sec + t->tv_usec * 1.e-6);
}

double
second_ () {
    return (second ());
}
