
/* This routine overwrites the character string buf,
 * with multiple blanks replaced by tabs
 */

tabify (buf) char *buf; {
    register char *cp, *dp;
    register int dcol, ocol;
    extern char *alloca();

    ocol = 0;
    dcol = 0;
    dp = buf;
    cp = alloca (strlen (dp) + 2);
    strcpy (cp, dp);
    for (;;) {
	switch (*cp) {
	case ' ': dcol++; break;

	case '\t': dcol += 8; dcol &= ~07; break;

	default:
		while (((ocol + 8) & ~ 07) <= dcol) {
		    if (ocol + 1 == dcol) break;
		    *dp++ = '\t';
		    ocol += 8;
		    ocol &= ~07;
		}
		while (ocol < dcol) {
		    *dp++ = ' ';
		    ocol++;
		}
		if (*cp == 0) { *dp = '\0'; return (dp - buf); }
		*dp++ = *cp;
		ocol++, dcol++;
	}
	cp++;
    }
}
tabify_ (buf, cnt) register char *buf; register int cnt; {
    register char *p;

    for (p = buf + cnt ; --p >= buf && *p == ' ' || *p == '\t' ;);
    if (p++ < buf) return;
    bzero (p, buf + cnt - p);
    tabify (buf);
}
