/* pvflip.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Read polygon vertex file.
 * Invert Y-coordinate by flipping it top to bottom (assume 448x448 size image).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   19 April 1999
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
   static char filename [80] ;
   static char fileout  [80] ;
   FILE *FD ;
   FILE *FDOUT ;
   int ierr ;
   int ix ;
   int iy ;
   int nx = 448 ;
   int ny = 448 ;
   int xp, yp ;

   strcpy (filename, argv [1]) ;
   sprintf (fileout, "%s.inv", filename) ;

   FD    = fopen (filename, "r") ;
   FDOUT = fopen (fileout,  "w") ;

   while (fscanf (FD, "%d %d", &xp, &yp) != EOF)
      {
      yp = 447 - yp ;
      fprintf (FDOUT, "%3d %3d\n", xp, yp) ;
      }

   fclose (FD) ;
   fclose (FDOUT) ;

   exit (0) ;
}
