;
;
;Table of values for lowest height pixels
; These are for an opal observation
;
!p.charsize = 1.3
!x.ticklen = 1
!y.ticklen = 1

opalt = intarr(8,32)
opalt(*,0)=   ['2b'X,'2f'X,'31'X,'2b'X,'29'X,'37'X,'37'X,'2f'X]
opalt(*,1) =  ['33'X,'35X','37'X,'39'X,'3b'X,'47'X,'3d'X,'55'X]
opalt(*,2) =  ['57'X,'53'X,'5b'X,'47'X,'45'X,'55'X,'53'X,'4f'X]
opalt(*,3) =  ['5b'X,'61'X,'55'X,'53'X,'51'X,'65'X,'61'X,'51'X]
opalt(*,4) =  ['69'X,'73'X,'79'X,'6f'X,'59'X,'6f'X,'77'X,'6b'X]
opalt(*,5) =  ['89'X,'7d'X,'73'X,'85'X,'77'X,'83'X,'79'X,'71'X]
opalt(*,6) =  ['6b'X,'83'X,'77'X,'81'X,'8b'X,'93'X,'87'X,'95'X]
opalt(*,7) =  ['ab'X,'ad'X,'ab'X,'b7'X,'bd'X,'c3'X,'b7'X,'a9'X]
opalt(*,8) =  ['bd'X,'ab'X,'b7'X,'b9'X,'99'X,'a5'X,'b7'X,'af'X]
opalt(*,9) =  ['c5'X,'c3'X,'c9'X,'b7'X,'d3'X,'cb'X,'dd'X,'f1'X]
opalt(*,10) =  ['cb'X,'e7'X,'f9'X,'eb'X,'e7'X,'f1'X,'e7'X,'e1'X]
opalt(*,11) =  ['ef'X,'e9'X,'113'X,'10b'X,'f3'X,'127'X,'10d'X,'ed'X]
opalt(*,12) =  ['117'X,'11f'X,'13b'X,'127'X,'121'X,'12d'X,'1f9'X,'133'X]
opalt(*,13) =  ['13b'X,'137'X,'12d'X,'141'X,'135'X,'163'X,'131'X,'131'X]
opalt(*,14) =  ['137'X,'14d'X,'13d'X,'12f'X,'12d'X,'169'X,'175'X,'159'X]
opalt(*,15) =  ['163'X,'123'X,'14b'X,'14f'X,'17b'X,'137'X,'12f'X,'145'X]
opalt(*,16) =  ['141'X,'165'X,'147'X,'16f'X,'14b'X,'159'X,'159'X,'15d'X]
opalt(*,17) =  ['153'X,'157'X,'159'X,'15f'X,'177'X,'13d'X,'143'X,'157'X]
opalt(*,18) =  ['17d'X,'179'X,'157'X,'151'X,'193'X,'177'X,'171'X,'183'X]
opalt(*,19) =  ['191'X,'1ad'X,'18f'X,'187'X,'195'X,'173'X,'149'X,'19b'X]
opalt(*,20) =  ['189'X,'19b'X,'1ab'X,'199'X,'18f'X,'1ad'X,'1bf'X,'18b'X]
opalt(*,21) =  ['197'X,'1cb'X,'18f'X,'1a3'X,'199'X,'1cb'X,'1b3'X,'1cb'X]
opalt(*,22) =  ['1d7'X,'199'X,'1c5'X,'1fd'X,'1b7'X,'1b5'X,'1bd'X,'1c7'X]
opalt(*,23) =  ['1b3'X,'1e5'X,'1d3'X,'1c5'X,'1fb'X,'1dd'X,'1e5'X,'1c7'X]
opalt(*,24) =  ['1df'X,'1e7'X,'1f1'X,'1b3'X,'1e1'X,'1f1'X,'1df'X,'1db'X]
opalt(*,25) =  ['1eb'X,'1d5'X,'1d1'X,'1db'X,'1e9'X,'1cb'X,'1c3'X,'1d3'X]
opalt(*,26) =  ['1c9'X,'1dd'X,'1fb'X,'1e3'X,'1b5'X,'1ef'X,'1e3'X,'1f7'X]
opalt(*,27) =  ['1d1'X,'1d3'X,'1cd'X,'1c9'X,'1ad'X,'1a3'X,'1bf'X,'1cf'X]
opalt(*,28) =  ['1fb'X,'1d1'X,'1e3'X,'1e5'X,'1e3'X,'1f7'X,'1b9'X,'1e9'X]
opalt(*,29) =  ['1df'X,'1d9'X,'1e5'X,'1dd'X,'1f9'X,'1c1'X,'1cb'X,'1e7'X]
opalt(*,30) =  ['1bd'X,'1b5'X,'1c9'X,'1d1'X,'1dd'X,'1d7'X,'1db'X,'1e7'X]
opalt(*,31) =  ['1f1'X,'1d5'X,'1f5'X,'1c1'X,'21b'X,'1ed'X,'1dd'X,'1c9'X]

opal = reform(opalt,256)

;
; sky observations vs height sampled 1/16 as often but
; with 16x gain (accumulated data )
;
sky = $
['01'X,'07'X,'08'X,'09'X,'08'X,'09'X,'0a'X,'0b'X,'0d'X,'0e'X,'0e'X,'10'X,$
 '0f'X,'14'X,'13'X,'14'X,'12'X,'13'X,'14'X,'13'X,'14'X,'12'X,'12'X,$
 '10'X,'10'X,'10'X,'0e'X,'0d'X,'0d'X,'0c'X,'0c'X,'05'X]

sky = rebin(sky,384)
sky = 16. * sky

height = findgen(384)
height = 1.00 + 0.005*height

streamer = [10^4.27,10^3.95,10^3.39,10^2.98,10^2.61,10^2.28,10^2.04,$
	10^1.71,10^1.31]
streamer = streamer * 1.e-10

polesig = [10^3.72,10^3.15,10^2.39,10^1.89,10^1.48,10^1.15,10^0.91,$
	10^0.60,10^0.20]
polesig = polesig * 1.e-10

; correct for polarization
polfrac = [.24, .29, .26, .23, .15, .10,.09,.07,.04]
polesig = polesig * polfrac

streamerfrac = [.28, .35, .37, .38, .34, .30,.28,.25,.20]
streamer = streamer * streamerfrac

kheight = [1.10,1.20,1.40,1.60,1.80,2.0,2.2,2.5,3.0]

rn = 200.
efficiency = 0.7

; Maximum possible sky for opal = 1e-5B0
;
maxsky = fltarr(384)
maxsky(*) = 1024
	
temp = intarr(768)
tempbin = temp
opal_p = fltarr(384)
opal_s = fltarr(384)
filename = '    '
close,13 & openr,13,"dumpname"
readf,13,filename & close,13
close,1 & openr,1,filename
	for ii=0,7 do begin
		readu,1,temp
		tempbin = rebin(temp,384)
		opal_s(*) = opal_s(*) + 1.*tempbin 
	endfor
	for ii=0,7 do begin
		readu,1,temp
		tempbin = rebin(temp,384)
		opal_p(*) = opal_p(*) + 1.*tempbin 
	endfor
close,1
opal_s = reverse(opal_s)
!y.range=0
!x.range=0
!p.title = 'Raw Mk4 Counts vs. Height'
!x.title = 'Height R-Sun'
!y.title = 'A/D Units'
!y.range = [0,1.e5]
plot,height,opal_s
oplot,height,opal_p,psym=3
xyouts,2.2, max(opal_s),'S-Beam'
xyouts,2.2 ,max(opal_p),'P-Beam'
xyouts,1.6,9.e4,filename

stop

opal = 170. * (opal_s + opal_p)
noise = sqrt(opal + (256.*rn*rn))

sky = fltarr(384)
sky(*) = 2./(height*height)
; For 1024 counts/pixel at 1.e-5
skysig = 170. * 1024. * 256. * sky 
skynoise = sqrt(skysig + (256 * rn * rn) )
skysn = skynoise*1.e-5/(256.*1024.*170.)

; Correct signal levels for offset value
;
opalsig = opal - total(opal(0:31)/32.)
opalsig = opalsig * efficiency
sn = opalsig/noise
noiselevel = 1.e-5/sn

!p.title = 'MkIV Noise vs. Height'
!y.title = 'Noise pB0'
!x.title = 'Height R0'
!x.style = 1
!x.range = [1.1,3.0]
; Scale to opal intnesity
!y.range=[1.e-10,1.e-6]
plot_io,height,noiselevel
oplot,kheight,polesig,line=3
oplot,kheight,streamer,line=4
oplot,height,skysn,psym=3

xyouts,1.9,3.e-10,'Polar Hole'
xyouts,1.8,2.e-8,'Bright Streamer'
xyouts,1.8,1.e-9,'Model Noise Level'
stop
end

