/*
 *  acos.h
 *
 *  General defs CHIP, dPMon, and LowK
 *
 *  David Elmore
 *
 *  Thu Nov  2 08:08:37 MST 1995
 *
 */

#include	"/local/usr/local/include/ACOS/logic.h"

/**** Items used for acos_header.Type *****/

#define		IS_DPMON		0
#define		IS_LOWK			1
#define		IS_CHIP			2

/* dPMon < 16 */

#define		OTHER			0
#define		DISK			1
#define		LIMB			2
#define		DISC_DIFFUSER	3
#define		LIMB_DIFFUSER	4
#define		DISK_DARK		5
#define		LIMB_DARK		6
#define		PMON_LAST		15

/* LowK >=16, < 32 */

#define		LOWK_I		16
#define		LOWK_Q		17
#define		LOWK_U		18
#define		LOWK_I_GAIN	19
#define		LOWK_Q_GAIN	20
#define		LOWK_U_GAIN	21
#define		LOWK_I_DARK	22
#define		LOWK_Q_DARK	23
#define		LOWK_U_DARK	24
#define		LOWK_I_POL	25
#define		LOWK_Q_POL	26
#define		LOWK_U_POL	27
#define		LOWK_OTHER	28
#define		LOWK_LAST	31

/* CHIP >= 32 */

#define		CHIP_MAJOR		32
#define		CHIP_MINOR		33
#define		CHIP_CONTINUUM		34
#define		CHIP_WATER		35
#define		CHIP_MAJOR_DARK		36
#define		CHIP_MINOR_DARK		37
#define		CHIP_CONTINUUM_DARK	38
#define		CHIP_WATER_DARK		39
#define		CHIP_MAJOR_DIFFUSER	40
#define		CHIP_MINOR_DIFFUSER	41
#define		CHIP_CONTINUUM_DIFFUSER	42
#define		CHIP_WATER_DIFFUSER	43
#define		CHIP_OTHER		43
#define		CHIP_LAST		47

