/* flipTB.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Author: Alice Lecinski
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

int
flipTB (img, xxdim, yydim)

short *img;
int xxdim, yydim;
{
   extern char *malloc () ;
   short *rimg, *qq, *rq;
   int ii, jj, imsz;

   imsz = xxdim * yydim;

   rimg = (short *) malloc (imsz * sizeof (short));

   /* Flip top to bottom */

   qq = img;
   rq = rimg + imsz - xxdim; 
   for (jj = 0 ; jj < yydim ; jj++)
       {
       for(ii=0;ii<xxdim;ii++) *rq++ = *qq++ ;
       rq -= 2*xxdim;
       }

   /* Copy it back. */

   qq = img;
   rq = rimg;
   for (jj = 0 ; jj < imsz ; jj++)  *qq++ = *rq++ ;

   free ((char *) rimg);
}
