/* esyndoy.c
 *------------------------------------------------------------------------------
 * Find synoptic start date.
 *------------------------------------------------------------------------------
 * Andrew L. Stanger   HAO/NCAR   13 Mar 2002
 *------------------------------------------------------------------------------
 */

#include "ephemeris.h"

esyndoy (crot, fdoy, iyear)

int   crot ;			/* Carrington Rotation. */
float *fdoy ;			/* Day-Of-Year */
int   *iyear ;			/* Year */

{
    int i ;

    i = 0  ;
    while ( crot > (int) CRtable [i][0] ) i++ ;

    *fdoy  =       CRtable [i][1] ;
    *iyear = (int) CRtable [i][2] ;

    return (0) ;
}
