/* mk3syn.h
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Mark-III synoptic map display.
 * Uses SGI's GL & fontmanger.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 13 December 1993   Andrew L. Stanger   HAO/NCAR
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

   /* font sizes:
    *
    * size   Screen   Screen-Bold Helvetica-Bold Times-Bold Fixed-Bold
    *
    *  6      6 x  8      7 x  8     11 x 11      9 x 10      4 x  8 
    *  8      7 x 11      8 x 11     12 x 13     11 x 13      6 x 11
    * 10      7 x 13      8 x 13     14 x 16     14 x 16      7 x 13
    * 12      8 x 16      9 x 16     17 x 19     17 x 19     10 x 16
    * 14      9 x 19     10 x 19     19 x 21     19 x 19     11 x 19
    * 16     11 x 21     12 x 21     26 x 28     22 x 22     13 x 21
    * 18     12 x 24     13 x 24     26 x 28     27 x 28     14 x 24
    * 24     16 x 32     18 x 32     36 x 36     35 x 37     19 x 32
    */

#define asize    8
#define bsize   10
#define csize   12
#define afx     11
#define afy      8
#define bfx     11
#define bfy     16
#define cfx     17
#define cfy     19

static char afont [32] = "Screen-Bold";			/* Small font. */
static char bfont [32] = "Times-Bold";			/* Medium font. */
static char cfont [32] = "Times-Bold";			/* Large font. */

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -*/
