#include <stdio.h>
#include <ctype.h>
#include <sys/types.h>
#include "/home/cordyn/mk3S/EWmap.h"




char filenm[100], splitnm[80] ;
extern char *malloc() ;

short *pB , *spB ;
long file_size , file_pos ;
int diode ;


float      r0 =  1.1224     ;        /* 12/12/90 test value */
float      dr =  0.0104244  ;        /* 12/12/90 test value */
 

main (an, av) char *av[]; {
    register long ii, jj ;
    register char *w;
    register FILE *ofid , *ifid;
    int kk ;

    file_pos = 0 ;
    if ( an <= 1 ) { prsum() ; exit(3) ; }
    while (--an) {
	if (*(w = *++av) == '-')	/* Check for flag arguments */
	    switch (w[1]) {
	    default:   fprintf (stderr," unknown flag %s\n",*av);
		       prsum(); exit(1);
	    }

	else {			/* Get the synoptic filename. */

	    if (*w == '?') { prsum(); exit(2); }

	    strcpy( filenm , w ) ; 


	}
    }
    fprintf (stderr,"Opening --> %s\n",filenm);
    /* Check to see if this is channel 1 data... */
    w=filenm+strlen(filenm)-9;
    if ( strncmp(w,"ch1",3) == 0 )     r0=1.592;

    if ( (ifid=fopen (filenm,"r")) == NULL) {
	fprintf (stderr,"\n\007 %s can\'t be opened.  ? \n",filenm);
	exit (1);
    }


    fseek ( ifid, 0 , 2 ) ;
    file_size = ftell(ifid) ;  
    rewind(ifid) ;
    if ( file_size != sizeof(short) * SYITEMS*DIODES ) {
	fprintf (stderr,"\n\007 %s is not the right size...  ? \n",filenm);
	fprintf (stderr,"Expecting 2*128*360=92160 ,   got %ld \n",file_size) ;
	exit (1);
    }

    /* Get some storage for the input image. */
    pB = (short *)malloc (SYSIZE*DIODES);

    fread (pB,2,SYITEMS*DIODES,ifid);
    fclose (ifid) ;


    for (diode=0;diode<DIODES;diode++) {

	dofnm(diode) ;
	spB = pB + diode*SYITEMS ;
	if( (ofid = fopen(splitnm,"w"))==NULL ) {
	    fprintf(stderr,
	    "\tCan\'t open %s. Exitting\n",splitnm); exit(-4); }
	fwrite(spB,2,SYITEMS,ofid); 
	if ( fclose(ofid) )
	    fprintf(stderr,"\t\tHaving trouble closing %s\n",splitnm);
	fclose(ofid) ;
    }


    exit (0);


}



dofnm (which) int which; {

     sprintf(splitnm,"%s%.3f",filenm,(float)which*dr+r0) ;

}


prsum() {
    static char help[] = "\
\n\
splitpBsyn [file]\n\
\n\
Example:              splitpBsyn \n\
\n\
This program takes a \".pBsyn\" file produced with program \"sy_get\" \n\
and splits it up into individual files coded by height.  The output \n\
files are named the same as the input file, except the height is  \n\
appended on to the end.   So, the output file is 360 short ints, \n\
going from north to south back to north (in increasing position angle). \n\
";

       fputs (help,stderr);
}
