/* Obtains the inverse of a 3x3 matrix.
   This is meant for any matrix, it is generic at present...
   The matrix elements are computed across, and then down. */

int
Invmatrix( pm , pinvm )
    float *pm , *pinvm;
{
    float *mel , Ma,Mb,Mc,Md,Me,Mf,Mg,Mh,Mi,  det , ovdet ;

    mel = pm;
    Ma= *mel++;
    Mb= *mel++;
    Mc= *mel++;

    Md= *mel++;
    Me= *mel++;
    Mf= *mel++;

    Mg= *mel++;
    Mh= *mel++;
    Mi= *mel  ;

    det= Ma*Me*Mi + Mb*Mf*Mg + Mc*Md*Mh - ( Mc*Me*Mg + Ma*Mf*Mh + Mb*Md*Mi );
    if(det == 0.) return(-1);
    ovdet= 1.0/det ;

    mel = pinvm;
    *mel++ = (Me*Mi-Mf*Mh) * ovdet;
    *mel++ = (Mc*Mh-Mb*Mi) * ovdet;
    *mel++ = (Mb*Mf-Mc*Me) * ovdet;

    *mel++ = (Mf*Mg-Md*Mi) * ovdet;
    *mel++ = (Ma*Mi-Mc*Mg) * ovdet;
    *mel++ = (Mc*Md-Ma*Mf) * ovdet;

    *mel++ = (Md*Mh-Me*Mg) * ovdet;
    *mel++ = (Mb*Mg-Ma*Mh) * ovdet;
    *mel   = (Ma*Me-Mb*Md) * ovdet;

    return(0);
}
