/* pics_rename.c
 *------------------------------------------------------------------------------
 * Rename PICS files.
 *------------------------------------------------------------------------------
 * Andrew L. Stanger   HAO/NCAR   13 Dec 2002
 *------------------------------------------------------------------------------
 */

#include <stdio.h>

main (argc, argv)

int argc ;
char *argv [] ;

{
    static char file [80] ;
    static char obs  [24] ;
    static char tel  [24] ;
    static char wsr  [24] ;
    static char ext  [24] ;

    int year ;
    int doy  ;
    int month ;
    int day ;
    int time ;

    FILE *FD ;

    sscanf (argv [1], "%s", file) ;

    FD = fopen (file, "r") ;

    while (fscanf (FD, "%4s_%4s_%3s_%2dd%3d_%6d.%3s",
		     obs, tel, wsr, &year, &doy, &time, ext) != EOF)
        {
	printf ("%s %s %s %04d %03d %06d %s\n",
		obs, tel, wsr, year, doy, time, ext) ;
	}

    exit (0) ;
}

