# picsldc_als.linux.m

SHELL=/bin/csh

prefix = /home/cordyn/linux

CC         = pgCC
bindir     = ${prefix}/bin
includedir = /home/cordyn/include
libdir     = ${prefix}/lib
srcdir     = .
CFLAGS     = -Mconcur
LIBS       = -lacos -lldc -lSciCPP -lcfitsio
TEST_LIBS  = -lacos -lldctest -lSciCPP -lcfitsio
CPPFLAGS   = -I${includedir} -I/home/cordyn/include/cfitsio
LDFLAGS    = -L${libdir} -R${libdir} -L/home/cordyn/linux/lib
#MFLAGS     = `$(bindir)/Magick-config --cppflags --ldflags --libs`
MFLAGS     =
OBJECTS    = picsldc3.o crop_img.o blint.o

picsldc3:  $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS) $(CPPFLAGS) $(LDFLAGS) $(LIBS)
	-mv $@ ${bindir}

picsldc3.o:  picsldc3.cpp
	$(CC) $(CFLAGS) -c picsldc3.cpp $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)

crop_img.o: crop_img.c
	$(CC) $(CFLAGS) -c crop_img.c $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)

blint.o: blint.c
	$(CC) $(CFLAGS) -c blint.c $(CPPFLAGS) \
	$(LDFLAGS) $(LIBS) $(MFLAGS)
