/* pmon.h							14 Feb 1992   */

/* These are the new (post p_redo)  lengths and dimensions. */

#define XDIM     680    /* Raw    pmon images. */
#define YDIM     900 

#define EXDIM    340    /* .eik   pmon images. */
#define EYDIM    450 

#define PXDIM    452    /* .eikp  pmon images. */
#define PYDIM    452 
#define PHDR     452

/* This is the pixel center of the .eikp image. */

#define XCEN 225
#define YCEN 225
#define FXCEN 224.5  /* As floats */
#define FYCEN 224.5  /* 0+ (449-0)/2  */ /* Use 449=450-1 since I added
					2 blank lines at the end to make 
					the dimension 452.  But the image 
					still goes from 0 to 449... */

/* This is the offang center of the .eikp image in Grinnell coordinates.   
 * Note that: gy    = (PYDIM-1) - Pcoordinate + GY  
 * So,        OYCEN = (PYDIM-1) - YCEN + GY
 *            285   = (452-1)   - 225  + 59
 *
 * Note that: gx = Pcoordinate + GX  
 * So,        OXCEN = XCEN     + GX
 *            284   = 225      + 59
 */

#define OFXCEN 283.5  /* As floats */
#define OFYCEN 285.5  /* As floats */
#define OXCEN 284
#define OYCEN 285

#define GX 59
#define GY 59
#define GXCEN  (284)   /* See explanation above for OXCEN and OYCEN */
#define GYCEN  (285)

/* As of 1/30/92 the pmon image is displayed with:
 *	 wbox (image, GX, PYDIM-1+GY, PXDIM, PYDIM, "rd")
 */

/* As of 1/30/92 the srq image, once shrunk down is dsiplayed with:
 *	wbox (sMKimg, GX, GY, PXDIM-2, PYDIM-2, "ru")
 */


/* #define MK3RAD (109.87) */
/* #define MK3RAD (511.0/(2.0*(1.125+127*0.010239))) */
/* #define MK3RAD (511.0/(2.0*(1.13+1.3))) */

#define MK3RAD ( 511.0 / (2.0 * (1.1224 + 127 * 0.0104244) ) )   /* 104.4435 */
