#!/opt/local/bin/perl

use CGI;
use Cwd;

#
# ---Parse the input from the HTML form
#
$query = new CGI;

# Get input variables.

$start_month = $query->param('start_month');
$start_day   = $query->param('start_day');
$start_year  = $query->param('start_year');
#$end_month   = $query->param('end_month');
#$end_day     = $query->param('end_day');
#$end_year    = $query->param('end_year');
$inst_type   = $query->param('inst_type');
$file_type   = $query->param('file_type');
$image_type  = $query->param('image_type');
$image_size  = $query->param('image_size');

#
# ---------- Sort everything and construct the search path ----------  
#

#@days = (31,28,31,30,31,30,31,31,30,31,30,31);
#@leap_days = (31,29,31,30,31,30,31,31,30,31,30,31);
@months=("01_jan","02_feb","03_mar","04_apr","05_may","06_jun","07_jul","08_aug","09_sep","10_oct","11_nov","12_dec");

@instruments=("mk3","mk4","chp.hsh","chp.bsh","dpm.asr","dpm.alr","mlso","avg.vig");

if ($start_month eq "January")   {$start_month = $months[0]; $mn1 = 1; }
if ($start_month eq "February")  {$start_month = $months[1]; $mn1 = 2; }
if ($start_month eq "March")     {$start_month = $months[2]; $mn1 = 3; }
if ($start_month eq "April")     {$start_month = $months[3]; $mn1 = 4; }
if ($start_month eq "May")       {$start_month = $months[4]; $mn1 = 5; }
if ($start_month eq "June")      {$start_month = $months[5]; $mn1 = 6; }
if ($start_month eq "July")      {$start_month = $months[6]; $mn1 = 7; }
if ($start_month eq "August")    {$start_month = $months[7]; $mn1 = 8; }
if ($start_month eq "September") {$start_month = $months[8]; $mn1 = 9; }
if ($start_month eq "October")   {$start_month = $months[9]; $mn1 = 10; }
if ($start_month eq "November")  {$start_month = $months[10]; $mn1 = 11; }
if ($start_month eq "December")  {$start_month = $months[11]; $mn1 = 12; }

#if ($end_month eq "January")   {$end_month = $months[0]; $mn2 = 1;}
#if ($end_month eq "February")  {$end_month = $months[1]; $mn2 = 2;}
#if ($end_month eq "March")     {$end_month = $months[2]; $mn2 = 3;}
#if ($end_month eq "April")     {$end_month = $months[3]; $mn2 = 4;}
#if ($end_month eq "May")       {$end_month = $months[4]; $mn2 = 5;}
#if ($end_month eq "June")      {$end_month = $months[5]; $mn2 = 6;}
#if ($end_month eq "July")      {$end_month = $months[6]; $mn2 = 7;}
#if ($end_month eq "August")    {$end_month = $months[7]; $mn2 = 8;}
#if ($end_month eq "September") {$end_month = $months[8]; $mn2 = 9;}
#if ($end_month eq "October")   {$end_month = $months[9]; $mn2 = 10;}
#if ($end_month eq "November")  {$end_month = $months[10]; $mn2 = 11;}
#if ($end_month eq "December")  {$end_month = $months[11]; $mn2 = 12;}

if ($inst_type eq "MKIII K-Coronameter") {$inst_type = $instruments[0];}
if ($inst_type eq "MKIV K-Coronameter") {$inst_type = $instruments[1];}
if ($inst_type eq "CHIP Helium 10830 Intensity") {$inst_type = $instruments[2];}
if ($inst_type eq "CHIP Helium 10830 Velocity") {$inst_type = $instruments[3];}
if ($inst_type eq "PICS H-Alpha Disk")        {$inst_type = $instruments[4];}
if ($inst_type eq "PICS H-Alpha Limb")        {$inst_type = $instruments[5];}
if ($inst_type eq "MKIV Avg image")        {$inst_type = $instruments[7];}

#$img_type = "daily_images";
if ($image_type eq "Mk4") {$img_type = "mk4"}
if ($image_type eq "CH1") {$img_type = "chp.hsh"}
if ($image_type eq "CH2") {$img_type = "chp.bsh"}
if ($image_type eq "HALPHA") {$img_type = "dpm.asr"}
if ($image_type eq "HALPH2") {$img_type = "dpm.alr"}

if ($file_type eq "MPEG") {$file_type = "mpg"}

#$num_years  = $end_year-$start_year;
#$num_months=(12-$mn1)+(($num_years * 12)+($mn2-12));

#$base_path = "/toshi/ftp/d1/";
$base_path = "/toshi/ftp/";

#$index=$mn1-1; 
#if ($mn1 < 10) {$mnstr1 = "0$mn1"};
#if ($mn2 < 10) {$mnstr2 = "0$mn2"};

#for ($ii=0; $ii<=$num_months; $ii++) { 
#  if ($index == 12) {$index = 0; $start_year++;}  
#$search_path="$base_path$start_year/$months[$index]/";

$here = cwd();
$search_path="$base_path$start_year/$months[$mn1-1]/";
chdir $search_path;
$search_path = cwd();
$filestr = "$start_year$mnstr1*$inst_type*$file_type*";
@tmp= `find "$search_path" -name "$filestr" -print`;
push @filelist,@tmp;   

#  $index++; 
#  $mnstr1++;
#} 

@filelist = sort(@filelist);

$day = $start_day;
#$num_months = $num_months + 1;
#if ($num_months == 1) {
#$num_days = ($end_day - $start_day)
#}

if ($start_day != "Entire Month") {
  if ($day < 10) {$day = "0$day"};
  if ($mn1 < 10) {$mn1 = "0$mn1"};
  #if ($mn2 < 10) {$mn2 = "0$mn2"};
} else {
  $day = "*";
  if ($mn1 < 10) {$mn1 = "0$mn1"};
}

$searchstr = "$start_year$mn1$day";
@dayfiles = grep(/$searchstr/, @filelist);
$numfiles = @dayfiles;

#
# ---------- output an HTML document ---------- 
#

print "Content-type: text/html\n\n";
print "<html>\n";
print "<head>\n";
print "<title>MLSO Search Results</title>\n";
print "</head>\n";
print "<body>\n";

print "<br>\n";
print "<center><h1><b>MLSO search results</b></h1></center>\n";
print "<br>\n";

print "The following is a list of files corresponding to your search
request.  Please note that we are in the process of placing past MLSO
data on our online data archive, because of this, not all available
MLSO data has been placed on our online data archive.  If no files
appear, then either no data was available for that day or it hasn't
been placed on our on line data archive yet.  Check the MLSO activity
logs to verify that there was data available for that day.  If data
exists, then email <a href=mailto:mlso_data_requests.ucar.edu>Data
Requests </a> and we will place it on our online data archive as soon
as possible.  Clicking on the filename will initiate a download.  On
some browsers, you may have to hold down the SHIFT key while clicking
on the filename.";
print "<br>\n";
print "<br>\n";
print "Press the Back button on your browser to return to the search page.";

print "<br>\n";
print "<br>\n";

print "<FORM METHOD=\"POST\" ACTION=\"http://mlso.hao.ucar.edu/cgi-bin/mlso_maketar.cgi\"> ";
#print "<FORM METHOD=\"POST\" ACTION=\"http://hao.ucar.edu/internal/cgi-bin/mlso_maketar.cgi\"> ";
print "<INPUT NAME=\"numfiles\" value=$numfiles TYPE=HIDDEN>";
print "<INPUT NAME=\"searchpath\" value=$search_path TYPE=HIDDEN>";
for ($i = 0; $i <= $numfiles-1;$i++) {
  @tmp=split("/",$dayfiles[$i]);
  $filenm=$tmp[6];
  #print "<INPUT NAME=\"f$i\" value=$dayfiles[$i] TYPE=HIDDEN>";
  print "<INPUT NAME=\"f$i\" value=$filenm TYPE=HIDDEN>";
}
print "If you would like all of the images listed below, press the \"Make
Tarfile\" button below and all of the files will be compressed, tarred and
held on our machine for download.  This tarfile will remain on our system
for only a short time so please download this file by the time indicated
on the email you'll receive.";
print "<br>\n";
print "<INPUT TYPE=\"submit\" VALUE=\"Make Tarfile\">";
print "<br>\n";
print "If you would like to be notified by email when your tarfile is ready
to be downloaded, please enter your full email address below.  This information
will NOT be saved in any way on our server.\n";
print "<br>\n";
print "Your email address (optional):  <INPUT TYPE=text name=\"email\" >";
print "</FORM>";

print "<br>\n";
print "<b>There are $numfiles files returned in this search</b>";
print "<br>\n";
print "<br>\n";
print "<TABLE>";
print "<TR> <TH>Filename</TH><TH>Filesize</TH></TR>";
foreach $file (@dayfiles) {
  open(MYFILE,"$file");
  @filestats=stat(MYFILE);
  close MYFILE;
  $filesize=$filestats[7];
  @tmp=split("/",$file);
  $file=join("/",@tmp[3..6]);
  $filenm=$tmp[6];
  print "<TR>";
  print "<TD align=LEFT>";
  print "<a href=http://download.hao.ucar.edu/$file><tt>$filenm</tt></a>";
  print "</TD>";

  print "<TD align = RIGHT>";
  print "<TT>$filesize bytes</TT>";
  print "</TD>";
  print "</TR>";
  #print "<br>\n";
}
print "</TABLE>";

print "</body>\n</html>\n";
exit 0;


