package mlso_navbar;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(PrintJavaScript PrintMLSObar PrintACOSbar);

my $images = "http://download.hao.ucar.edu/d5/www/images";

sub PrintJavaScript{

print <<DONE;
<script language="JavaScript">
<!--

function MM_swapImgRestore() { //v2.0
  if (document.MM_swapImgData != null)
    for (var i=0; i<(document.MM_swapImgData.length-1); i+=2)
      document.MM_swapImgData[i].src = document.MM_swapImgData[i+1];
}

function MM_preloadImages() { //v2.0
  if (document.images) {
    var imgFiles = MM_preloadImages.arguments;
    if (document.preloadArray==null) document.preloadArray = new Array();
    var i = document.preloadArray.length;
    with (document) for (var j=0; j<imgFiles.length; j++) if (imgFiles[j].charAt(0)!="#"){
      preloadArray[i] = new Image;
      preloadArray[i++].src = imgFiles[j];
  } }
}

function MM_swapImage() { //v2.0
  var i,j=0,objStr,obj,swapArray=new Array,oldArray=document.MM_swapImgData;
  for (i=0; i < (MM_swapImage.arguments.length-2); i+=3) {
    objStr = MM_swapImage.arguments[(navigator.appName == 'Netscape')?i:i+1];
    if ((objStr.indexOf('document.layers[')==0 && document.layers==null) ||
        (objStr.indexOf('document.all[')   ==0 && document.all   ==null))
      objStr = 'document'+objStr.substring(objStr.lastIndexOf('.'),objStr.length);
    obj = eval(objStr);
    if (obj != null) {
      swapArray[j++] = obj;
      swapArray[j++] = (oldArray==null || oldArray[j-1]!=obj)?obj.src:oldArray[j];
      obj.src = MM_swapImage.arguments[i+2];
  } }
  document.MM_swapImgData = swapArray; //used for restore
}
//-->

</script>
</head>

DONE
}

sub PrintMLSObar {

print <<DONE;
<body>
<div align="center">
<img src='$images/mlso_mainbanner.jpg'><br>
</div>

<div id="navcontainer">
<ul id="navlist">
  <li id="active">
    <SPAN CLASS=ie5sep>&nbsp;</SPAN>    <!-- IE 5 kludge -->
    <a href="mlso_homepage.cgi" title="Back To MLSO Home">MLSO Home</a>
  </li>
  <li>
    <a href="mlso_acoshome.cgi" title="ACOS is a suite of instruments that includes H-Alpha, Helium I and white light corona">ACOS Home</a>
  </li>
  <li>
    <a href="mlso_data.cgi?2006&ACOS" title="Get H-Alpha, He I, white light corona data">ACOS Data</a>
  </li>
  <li>
    <a href="http://web.hao.ucar.edu/public/research/mlso/LowL/lowl.html" 
	title="Get ECHO data">ECHO Data</a>
  </li>
  <li>
    <a href="http://rise.hao.ucar.edu" 
	title="Get PSPT Data">PSPT Data</a>
  </li>
  <li>
    <a href="http://www.mlo.noaa.gov/LiveCam/Fcam.htm" 
	title="Look at live MLSO Pictures">Mauna Loa Webcams</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/related_sites.html" 
	title="Related Sites">Related Sites</a>
  </li>
  <li><a href="mlso_contact.cgi" 
	title="Related Sites">Contact Us</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/mlso_ecl.html" 
	title="Related Sites">Eclipses</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/mlso_pubs.html" 
	title="Related Sites">Publications</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/MLSO_2000.html" 
	title="Related Sites">About MLSO</a>
  </li>
</ul>
</div>
<br><br><br>

DONE

}

sub PrintACOSbar{

my $image = $_[0];

print <<DONE;
<body onLoad="launch()"> 

<div align="center">
<img src='$images/$image'>
<br>
</div>
<div id="navcontainer">
<ul id="navlist">
  <li id="active">
    <SPAN CLASS=ie5sep>&nbsp;</SPAN>    <!-- IE 5 kludge -->
    <a href="mlso_homepage.cgi" title="Back To MLSO Home">MLSO Home</a>
  </li>
  <li>
    <a href="mlso_acoshome.cgi" title="Get H-Alpha, He I, white light corona data">ACOS Home</a>
  </li>
  <li>
    <a href="mlso_data.cgi?2006&ACOS" 
	title="MLSO Data Archive">Data</a>
  </li>
  <li>
    <a href="mlso_data.cgi?2006&ACOS" 
	title="View MLSO Movies">Movies</a>
  </li>
  <li>
    <a href="http://mlso.hao.ucar.edu/mlso_ecl.html" 
	title="Eclipse Data from HAO">Eclipses</a>
  </li>
  <li><a href="mlso_events.cgi" 
	title="Some Studied Events">Special Events</a>
  </li>
  <li><a href="mlso_logs.cgi" 
	title="Observer and event logs">Logs</a>
  </li>
  <li><a href="http://www.mlo.noaa.gov/LiveCam/Fcam.htm" 
	title="Live Pictures from MLSO">MLSO Webcams</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/related_sites.html" 
	title="Related Sites">Related Sites</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/mlso_pubs.html" 
	title="List of Publications">Publications</a>
  </li>
  <li><a href="http://mlso.hao.ucar.edu/MLSO_2000.htm" 
	title="About MLSO">About MLSO</a>
  </li>
</ul>
</div>

DONE
}

1;
