;
;

NUMPIX = 384
NUMANG = 720
CORONA = 1000
CAL0 = 0
CAL15 = 150
DARK = 9999

filename='fred'
!y.range=[-100,20000]
!x.range=[38,375]
!x.style=1
!y.style=1
!x.ticklen=1
!y.ticklen=1

loadct,16
hdr=fltarr(256)
imgi=fltarr(NUMPIX,NUMANG)
imgq=fltarr(NUMPIX,NUMANG)
imgu=fltarr(NUMPIX,NUMANG)

window,0,xsize=NUMANG,ysize=384
window,1,xsize=NUMANG,ysize=384
window,2,xsize=NUMANG,ysize=384
;
; while there are still filenames to read from pblist
; read and process them
;
close,2
openr,2,'pblist'
ifiles = 0
while ( not eof(2) ) do begin
	readf,2,filename
	print,filename

	filei = string(filename+'.Cali')

head =0 & head =bytarr(1024) ;;
headib=0 & headib=lonarr(16)  
headf =0 & headf =fltarr(24)
headie=0 & headie=lonarr(16)  
pad = bytarr(800)

top =long(0)

close,1 & openr,1,filei & point_lun,-1,top & readu,1,headib
                                                  readu,1,headf
                                                  readu,1,headie
                               point_lun, 1,top & readu,1,head
;headib=swap_endian(headib)
;headf=swap_endian(headf)
;headie=swap_endian(headie)
;head=swap_endian(head)

print,headib(0:4)
type = headie(0)
if ( type eq CORONA )  then print,"corona" & ifiles = ifiles+1
if ( type eq CAL0 )  then print,"cal0"
if ( type eq CAL15 )  then print,"cal15"
if ( type eq DARK )  then print,"dark"

endwhile
print,ifiles," Coronal Files"

cali = fltarr(numpix,5)
meani = fltarr(numpix,ifiles)
meanq = fltarr(numpix,ifiles)
meanu = fltarr(numpix,ifiles)

close,2 & openr,2,'pblist'
ifile = 0
cfile = 0
while ( not eof(2) ) do begin
	readf,2,filename
	print,filename

	filei = string(filename+'.Cali')

	head =0 & head =bytarr(1024) ;;
	headib=0 & headib=lonarr(16)  
	headf =0 & headf =fltarr(24)
	headie=0 & headie=lonarr(16)  
	pad = bytarr(800)

	top =long(0)

	close,1 & openr,1,filei & point_lun,-1,top & readu,1,headib
                                                  readu,1,headf
                                                  readu,1,headie
                               point_lun, 1,top & readu,1,head

	;headib=swap_endian(headib)
	;headf=swap_endian(headf)
	;headie=swap_endian(headie)
	;head=swap_endian(head)

	;print,headib(0:4)
	type = headie(0)
	if ( type eq CORONA )  then print,"corona"
	if ( type eq CAL0 )  then print,"cal0"
	if ( type eq CAL15 )  then print,"cal15"
	if ( type eq DARK )  then print,"dark"


		readu,1,imgi

		fileq = string(filename+'.CalpB')
		close,1
		openr,1,fileq
		readu,1,head
		readu,1,imgq

;		fileu = string(filename+'.Calu')
;		close,1
;		openr,1,fileu
;		readu,1,head
;		readu,1,imgu

		wset,0
;		tv,bytscl(transpose(imgi),-32768,32767)
		tv,bytscl(transpose(imgq),-100,5000)

	if ( type eq CORONA ) then begin
		for ii = 0,numpix-1 do begin
			meani(ii,ifile) = total(imgi(ii,*))/numang
			meanq(ii,ifile) = total(imgq(ii,*))/numang
;			meanu(ii,ifile) = total(imgu(ii,*))/numang
		endfor

		wset,1
		if ( ifile eq 0 ) then plot,meanq(*,0)
		oplot,meanq(*,ifile)
		ifile = ifile+1
	endif
	if ( type eq CAL0 ) then begin
		for ii=0,numpix-1 do begin
			cali(ii,cfile) = total(imgi(ii,*))/numang
		endfor
		cfile = cfile+1
	endif
		
endwhile

fred = fltarr(numpix,cfile)
drift = fltarr(numpix)
meani = meani(*,0:ifile-1)
meanq = meanq(*,0:ifile-1)
;meanu = meanu(*,0:ifile-1)

scalepix = 150

;
normq=meanq
normi=meani
for jj=0,cfile-1 do begin
	fred(*,jj) = (cali(*,jj) - 10000.)/(cali(scalepix,jj) - 10000.)
	fred(*,jj) = leefilt(median(fred(*,jj),7))
endfor

drift = (fred(*,0)+fred(*,1)+fred(*,2))/3.

;!y.range=[0,2]
;plot,fred(*,0)
;for jj=1,cfile-1 do oplot,fred(*,jj),psym=3
;stop



for ii = 0,25 do begin
normq(*,ii) = meanq(*,ii) * ( 1. - fred(*,0) * $
				(meanq(scalepix,ii)/meanq(scalepix,24) -1.) )
endfor

for ii = 26,ifile-1 do begin
normq(*,ii) = meanq(*,ii) * ( 1. - fred(*,2) * $
				(meanq(scalepix,ii)/meanq(scalepix,30) -1.) )
endfor

wset,2
!x.range=[38,375]
!y.range=[-100,20000]
plot,normq(*,0),color=2
for ii=1,25 do oplot,normq(*,ii),color=2
for ii=26,ifile-1 do oplot,normq(*,ii),color=255


stop

end
