#!/opt/local/bin/perl
#-------------------------------------------------------------------------------
# Remove old log files
#-------------------------------------------------------------------------------
# assumes a file name convention:
#   yyyymmdd_logtype.log
#
# Two arguements should be passed:
# a log file type identifier (e.g. sohonasa)
# the number of days the logfiles are to be retained
#-------------------------------------------------------------------------------

  $logtype = shift (@ARGV);
  $ndays   = 1 * shift (@ARGV);

# --- Determine the date that makes a log file too old.

  $commandstr = "days.pl b $ndays 8";
  $olddate    = `$commandstr`;
  chomp $olddate;

# --- Get a list of log file of this type.

  @havelogs = <*_$logtype.log>;
  foreach $logfile (@havelogs)
    {
    chomp $logfile;
    $logdate = substr ($logfile, 0, 8)*1;
    if ($logdate < $olddate)
      {
      `del $logfile`;
      }
    }
