/* scrms.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Scratch mark interpolation.
 * C-language function.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 24 October 1988
 * 31 July 1992: SGI GL version.
 *  7 June 1993: UNIX version; no screen display.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#define NBOX 3 

scrms (imgbuf, nbypx, xdim, ydim)

unsigned char *imgbuf;			/* Image buffer. */
int nbypx;				/* # bytes per pixel. */
int xdim, ydim;				/* Image dimension.s */
{
   int i;
   int level = -1;
   static int nbox = NBOX;
   static int dxx [NBOX] = { 30,  72, 120};
   static int dyy [NBOX] = { 24,  33,  17};
   static int xx  [NBOX] = {300, 308, 380};
   static int yy  [NBOX] = {166, 187, 203};
   static int x [NBOX];
   static int y [NBOX];
   static char dir2 [] = "ru";

   for (i = 0; i < NBOX; i++)
      {
      x [i] = xx [i] -  63;
      y [i] = 510 - yy [i];
      }

   /*** Vertical interpolation. ***/

   vints (imgbuf, nbypx, xdim, ydim, level, nbox, x, y, dxx, dyy, dir2);

   return (0);
}
