; Load a fancy color table
    _a=intarr(256)  &  _b=intarr(256)  &  _c=intarr(256)
    openr,11,'/home/puu/cordyn/color_idl/syn_col.rgb'
    readu,11,_a  &  readu,11,_b  &  readu,11,_c  &  close,11  &  tvlct,_a,_b,_c

; Compensation for sky polarization...
	phase=fltarr(181,360) 
	ss=findgen(181)*!pi/90. -50.*!pi/180. & sss=sin(ss)
	for ii=0,359,1 do phase(*,ii)= 100.*sss -30.
	rph=rotate(phase,4)
	nophase=1
	if(nophase) then rph(*,*)=0

sun = strpos(getenv('IDL_DEVICE'),'X') +1       ; == 1 if sun
if (sun) then begin ;{
    device,window_state=winst
    if ( winst(0) eq 0 ) then window,xsize=360+140,ysize=190*3+100
endif ;}

a71=intarr(360,181)
s71=intarr(360,181)
fbdoy=0. 
fedoy=0.
bdoy=0 & byr=0
edoy=0 & eyr=0


erase,255
openr,1,'1871e1.30' & readu,1,a71  & readu,1,bdoy
                                     readu,1,byr
                                     readu,1,edoy
                                     readu,1,eyr
close,1  & pBmn=-100 & pBmx=2300
fbdoy=float(bdoy)/100.
fedoy=float(edoy)/100.
print,'Beginning doy and yr',fbdoy,byr
print,'Ending doy and yr   ',fedoy,eyr


    waysm=1
    if(waysm) then begin;{
	    smsz=12   &    len=360+2*smsz    &    b71=intarr(len,181)
	    for ii=0,smsz-1,1       do b71(ii,0:180)=a71(0,0:180)
	    for ii=359+smsz,len-1,1 do b71(ii,0:180)=a71(359,0:180)
	    for ii=0,359,1          do b71(ii+smsz,0:180)=a71(ii,0:180)
     
	    bs71=smooth(b71,smsz)
	    s71(0:359,0:180) = bs71(smsz:359+smsz,0:180)

    endif else begin;}{
	    s71=smooth(a71,5)
    endelse ;}
    s71L=rotate((s71+fix(rph)),7)
    tv,bytscl(s71L,min=pBmn,max=pBmx),30,0+30


openr,1,'1871e1.70' & readu,1,a71 & close,1  & pBmn=-100 & pBmx=800

    waysm=1
    if(waysm) then begin;{
	    smsz=12   &    len=360+2*smsz    &    b71=intarr(len,181)
	    for ii=0,smsz-1,1       do b71(ii,0:180)=a71(0,0:180)
	    for ii=359+smsz,len-1,1 do b71(ii,0:180)=a71(359,0:180)
	    for ii=0,359,1          do b71(ii+smsz,0:180)=a71(ii,0:180)
     
	    bs71=smooth(b71,smsz)
	    s71(0:359,0:180) = bs71(smsz:359+smsz,0:180)
    endif else begin;}{
	    s71=smooth(a71,5)
    endelse ;}
    s71M=rotate((s71+fix(rph)),7)
    tv,bytscl(s71M,min=pBmn,max=pBmx),30,190+30

openr,1,'1871e2.00' & readu,1,a71 & close,1  & pBmn=-100 & pBmx=800

    waysm=1
    if(waysm) then begin;{
	    smsz=12   &    len=360+2*smsz    &    b71=intarr(len,181)
	    for ii=0,smsz-1,1       do b71(ii,0:180)=a71(0,0:180)
	    for ii=359+smsz,len-1,1 do b71(ii,0:180)=a71(359,0:180)
	    for ii=0,359,1          do b71(ii+smsz,0:180)=a71(ii,0:180)
     
	    bs71=smooth(b71,smsz)
	    s71(0:359,0:180) = bs71(smsz:359+smsz,0:180)

    endif else begin;}{
	    s71=smooth(a71,5)
    endelse ;}
    s71H=rotate((s71+fix(rph)),7)
    tv,bytscl(s71H,min=pBmn,max=pBmx),30,190*2+30


    xyouts,0.15,0.95,$
	'Mark III K-Coronameter',charsize=2.0,/nor,color=0
    xyouts,0.15,0.90,$
	'Carrington rotation 1871, east limb',charsize=1.5,/nor,color=0
    xyouts,0.80,0.25, 'Channel 0',charsize=1.5,/nor,color=0
    xyouts,0.80,0.22, '1.3 Rsun',charsize=1.5,/nor,color=0

    xyouts,0.80,0.53, 'Channel 0',charsize=1.5,/nor,color=0
    xyouts,0.80,0.50, '1.7 Rsun',charsize=1.5,/nor,color=0

    xyouts,0.80,0.81, 'Channel 0',charsize=1.5,/nor,color=0
    xyouts,0.80,0.78, '2.0 Rsun',charsize=1.5,/nor,color=0


    xyouts,0.4,0.02, 'LONGITUDE',charsize=1.2,/nor,color=0,alignment=0.5
    spa=0.018   &   Xs=0.028
    Ys=0.28
    for ii= -1.,1.,1. do begin ;{
	xyouts,Xs,ii*Ys+0.53-spa*0, 'L',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*1, 'A',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*2, 'T',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*3, 'I',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*4, 'T',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*5, 'U',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*6, 'D',charsize=1.2,/nor,color=0,alignment=0.5
	xyouts,Xs,ii*Ys+0.53-spa*7, 'E',charsize=1.2,/nor,color=0,alignment=0.5
    endfor ;}
    
end
