PRO fixhdu, fitsname
;+
; NAME: fixhdu
;
; PURPOSE: Remove extra comment lines in Skylab WLCE FITS image headers.
;
; HISTORY:
;	created 30 july 1998: Andrew L. Stanger, HAO/NCAR
;-

;--- Read FITS file header and pixel data.

img = rfits (fitsname, header=hdu)

hdu [186] = 'END                                                                             '
FOR i = 187, 215 DO $
hdu [i] = '                                                                                '
writefits, fitsname, img, hdu

END
