/* smm_avg.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Average the SMM C/P image.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include "/local/home/stanger/lib/include/cplib.ext"

smm_avg (image)
char *image;
{
   register char *bl, *bl1, *rbim;
   register unsigned short *il, *il1, *rim;
   int i, j, size;
   int temp;

   size = npixl * npixl / 4;
   if ( nbypix == 1 )
      {
      bl = image;
      rbim = image;
      for (i=0; i<npixl; i+=2)
         {
         bl1 = bl + npixl;
         for (j=0; j<npixl; j+=2)
            {
            temp = ((*bl++)&0377) + ((*bl1++)&0377) +
                   ((*bl++)&0377) + ((*bl1++)&0377);
            *rbim++ =  temp/4 ;
            }
         bl = bl1;
         }
      return ( 0 );
      }
   else
      {
      il = (unsigned short *) image;
      rim = (unsigned short *) image;
      for (i=0; i<npixl; i+=2)
         {
         il1 = il + npixl;
         for (j=0; j<npixl; j+=2)
            {
            *rim++ = (*il++ + *il++ + *il1++ + *il1++)/4;
            }
         il = il1;
         }
      return( 0 );
      }
}
