/* cdate.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Test cdatim.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   17 August 2001
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>

main (argc, argv)

int argc  ;
char *argv []  ;

{
   static int ic [7] ; /* Array containing year,doy,day,month,hour,minute,sec. */
   int icyear ;		/* Year image was created. */
   int icdoy ;		/* Day-of-Year when image was created. */
   int icday ;		/* Day-of-Month. */
   int icmonth ;		/* Month. */
   int ichour ;		/* Hour. */
   int icmin ;		/* Minute. */
   int icsec ;		/* Second. */

    /*** Get current date and time. ***/

   cdatim (ic) ;
   icyear = ic [0] + 1900 ;
   icdoy  = ic [1] ;
   icday  = ic [2] ;
   icmonth= ic [3] ;
   ichour = ic [4] ;
   icmin  = ic [5] ;
   icsec  = ic [6] ;
   printf ("current date: %04d:%03d:%02d:%02d:%02d\n",
	   icyear, icdoy, ichour, icmin, icsec) ;

   printf ("ic [0]: %d\n", ic [0]) ;
   printf ("ic [1]: %d\n", ic [1]) ;
   printf ("ic [2]: %d\n", ic [2]) ;
   printf ("ic [3]: %d\n", ic [3]) ;
   printf ("ic [4]: %d\n", ic [4]) ;
   printf ("ic [5]: %d\n", ic [5]) ;
   printf ("ic [6]: %d\n", ic [6]) ;

   printf ("icyear  : %d\n", icyear) ;
   printf ("icdoy   : %d\n", icdoy) ;
   printf ("icday   : %d\n", icday) ;
   printf ("icmonth : %d\n", icmonth) ;
   printf ("ichour  : %d\n", ichour) ;
   printf ("icmin   : %d\n", icmin) ;
   printf ("icsec   : %d\n", icsec) ;

   exit (0) ;
}
