/* vigplt.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * SMM C/P Vignetting
 * Compensate for the actual Earth-Sun distance
 * due to Earth's elliptical orbit about the sun.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR   1 November 1996
 * 2 March 1999: adapted from distadj.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

main (argc, argv)

int argc ;
char *argv [] ;

{
   extern float vigadj () ;
   float rinc = 0.01 ;
   static float radius [600] ;
   static float vignet [600] ;
   int i ;
   int iyear = 1980 ;
   int idoy  =  3 ;
   int ihour = 15 ;

   for (i = 0; i < 500; i++)
      {
      radius [i] = 1.0 + rinc * i ;
      vignet [i] = vigadj (radius, iyear, idoy, ihour) ;
      }

   exit (0) ;
}
