/* fit5.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Test pf routine.
 * Use 3rd order polynomial.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 6 September 1988
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
int pcount = 0;

main()
{
static float d[10];
static float dn[10];
static float exp[10];
static float expfit[10];
static float sigmay[10];
static float a[10];
float chisqr;
float z, z2, z3, z4, z5;
static char ltitle[40];
static char labx[40];
static char laby[40];
static char namemc[] = "fit5.mc";
int ixscale = 0;
int iyscale = 0;
int ibkg = 0;
int i;
int npts = 9;
int nterms = 6;
int mode = 0;
FILE *fd;

   i = creat ("fit5.dat", 0644);
   close (i);
   fd = fopen ("fit5.dat", "w");
   sprintf (ltitle, "Linear 5th order Polynomial Fit$");
   sprintf (labx, "X$");
   sprintf (laby, "Y$");

   exp[0] = 1.;
   exp[1] = 2.;
   exp[2] = 3.;
   exp[3] = 4.;
   exp[4] = 5.;
   exp[5] = 6.;
   exp[6] = 7.;
   exp[7] = 8.;
   exp[8] = 10.;

   dn[0] = 20.7;
   dn[1] = 59.6;
   dn[2] = 110.1;
   dn[3] = 143.3;
   dn[4] = 168.9;
   dn[5] = 189.2;
   dn[6] = 203.6;
   dn[7] = 216.6;
   dn[8] = 235.2;

   for (i=0; i<npts; i++)  d[i] = dn[i] * 0.01;

   pfit_ (d, exp, sigmay, &npts, &nterms, &mode, a, &chisqr);

   printf ("a0:%f  a1:%f  a2:%f  a3:%f  a4:%f  a5:%f\n",
           a[0], a[1], a[2], a[3], a[4], a[5]);
   fprintf (fd, "a0:%f  a1:%f  a2:%f  a3:%f  a4:%f  a5:%f\n",
           a[0], a[1], a[2], a[3], a[4], a[5]);
   for (i=0; i<npts; i++)
      {
      z = d[i];
      z2 = z*z;
      z3 = z2*z;
      z4 = z2*z2;
      z5 = z4*z;
      expfit[i] = a[0] + a[1]*z + a[2]*z2 + a[3]*z3 + a[4]*z4 + a[5]*z5;
      printf ("dn[%2d]: %8.2f   exp[%2d]: %8.2f   expfit[%d]: %8.2f\n",
              i, dn[i], i, exp[i], i, expfit[i]);
      fprintf (fd, "dn[%2d]: %8.2f   exp[%2d]: %8.2f   expfit[%d]: %8.2f\n",
              i, dn[i], i, exp[i], i, expfit[i]);
      }
   pfplot5 (dn, exp, npts, namemc, ltitle, labx, laby,
           ixscale, iyscale, ibkg, a, nterms);
/*
 *   xyplot (expfit, dn, npts, namemc, ltitle, labx, laby, ixscale, iyscale, ibkg);
 */
}
