c poly.f : Polynomial function & partial derivatives for nllst2 subroutine.
c**************************************************************
c
      function func (x,c,na)
c
      real x
      real c(na)
      integer na
c
      a0   = c(1)
      a1   = c(2)
      a2   = c(3)
      a3   = c(4)
      func  = a0 + a1 * x + a2 * x**2 + a3 * x**3
c
      return
      end
c
c*******************************************************
c
      subroutine deriv (x,c,na,f,df)
c
      real x
      real c(na)
      integer na
      real f
      real df(na)
c
      a0     = c(1)
      a1     = c(2)
      a2     = c(3)
      a3     = c(4)

      f = a0 + a1 * x + a2 * x**2 + a3 * x**3
      df(1) = 1
      df(2) = x
      df(3) = x**2
      df(4) = x**3

      return
      end
