#include <stdio.h>
#include <math.h>
#include "center.h"
#include "/usr/people/smm/lib/include/cplib.ext"

diamscan(image, dxscan, dyscan, quad)
short *image;
int dxscan[][RADELTA];
int dyscan[][RADELTA];
char quad;
{
   int x, y, z;
   int dx, dy;
   int xc, yc;
   int lowrad, highrad;

   switch (quad) {
      case 'n': dx = -1; dy =  1; break;
      case 'w': dx =  1; dy =  1; break;
      case 's': dx = -1; dy =  1; break;
      case 'e': dx =  1; dy =  1; break;
      default: 
	 fprintf(stderr, "diamscan: Unknown quadrant given\n");
	 exit (1);
   }

   xc = (int)xcen;
   yc = (int)ycen;
   printf("xcen is %f, xc is %d\n",xcen,xc);
   printf("ycen is %f, yc is %d\n",ycen,yc);


   lowrad = (int)sqrt((double)((minrad*minrad)/2));
   highrad = lowrad + (RADELTA);

   for (z = -SCANS; z <= SCANS; z++) {
      y = yc + (dy*lowrad) + z;
      for (x = xc + (dx*lowrad); x != xc + (dx*(highrad+1)); x += dx) {
	 dxscan [z+SCANS][abs(xc+(dx*lowrad)-x)] = (*(image + x + y*npixl));
	 y += dy;
      }
   }
	 
   dx = -dx;
   dy = -dy;

   for (z = -SCANS; z <= SCANS; z++) {
      y = yc + (dy*lowrad) + z;
      for (x = xc + (dx*lowrad); x != xc + (dx*(highrad+1)); x += dx) {
	 dyscan [z+SCANS][abs(xc+(dx*lowrad)-x)] = (*(image + x + y*npixl));
	 y += dy;
      }
   }
	 
   
   return (0);
}
