#include <stdio.h>
#include "center.h"
#include "/usr/people/smm/lib/include/cplib.ext"

xyscan(image, xscan, yscan, quad)
short          *image;
int             xscan[][HIGH - LOW], yscan[][HIGH - LOW];
char            quad;

{
    int             x, y;
    int             dx, dy;
    int             xc, yc;

    switch (quad)
    {
	case 'n':
	    dx = -1;
	    dy = -1;
	    break;
	case 'w':
	    dx = 1;
	    dy = -1;
	    break;
	case 's':
	    dx = 1;
	    dy = 1;
	    break;
	case 'e':
	    dx = -1;
	    dy = 1;
	    break;
	default:
	    fprintf(stderr, "xyscan: Unknown quadrant given\n");
	    exit(1);
    }
    xc = (int) xcen;
    yc = (int) ycen;
    printf("xcen is %f, xc is %d\n", xcen, xc);
    printf("ycen is %f, yc is %d\n", ycen, yc);

    for (x = xc - SCANS; x <= xc + SCANS; x++)
    {
	for (y = yc + (dy * LOW); y != yc + (dy * (HIGH + 1)); y += dy)
	{
	    yscan[x - xc + SCANS][abs(yc + (dy * LOW) - y)] = (*(image + x + y * npixl));
	}
    }
    printf("next scan\n");
    for (y = yc - SCANS; y <= yc + SCANS; y++)
    {
	for (x = xc + (dx * LOW); x != xc + (dx * (HIGH + 1)); x += dx)
	{
	    xscan[y - yc + SCANS][abs(xc + (dx * LOW) - x)] = (*(image + x + y * npixl));
	}
    }

    return (0);
}
