/* fhkline.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write Housekeeping on terminal screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Solar Maximum Mission   Coronagraph/Polarimeter   HAO/NCAR
 * Andrew L. Stanger
 * 18 April 1985: Include image file name.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "/usr/people/smm/lib/include/cplib.ext"
extern char pei;

fhkline ()

{
   fprintf (stdout,"%14s 19%2d %03d: %02d:%02d:%02d %3d %4d %2d-%2d %1s %4d%c %2s %3s %5s  %2s %1s %4d\n",
   H.filename, H.year, H.doy, H.hour, H.minute, H.second, H.quan, H.frame,
   H.ih, H.iv, H.res, H.exp, pei, H.fil, H.pol, H.glc, H.sec, H.cal,
   H.roll);

   return (0);
}
