
/* hkline 
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write Housekeeping on terminal screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Solar Maximum Mission   Coronagraph/Polarimeter   HAO/NCAR
 * Andrew L. Stanger
 * 25 October 1984
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

#include <stdio.h>
#include "hskp.h"

hkline()

{
extern	struct	hskp	H;

	fprintf (stdout,"19%2d %3d: %02d:%02d:%02d  %3d  %4d  %2d-%2d %1s %4d %7s %3s %5s %6s %4s %4d\n",
	 H.year, H.doy, H.hour, H.minute, H.second, H.qual, H.frame, H.ih, H.iv, H.res,
	 H.exp, H.fil, H.pol, H.glc, H.sec, H.cal, H.roll);

	return;
}
