/* scrms.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Scratch mark interpolation.
 * C-language function.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * 24 October 1988
 * 31 July 1992: SGI GL version.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#define NBOX 3 

scrms (imgbuf, xdim, ydim)

unsigned short *imgbuf;				/* Image buffer. */
int xdim, ydim;					/* Image dimension.s */
{
   int level = -1;
   static int nbox = NBOX;
   static int dxx [NBOX] = { 30,  72, 120};
   static int dyy [NBOX] = { 24,  33,  17};
   static int xx  [NBOX] = {300, 308, 380};
   static int yy  [NBOX] = {166, 187, 203};
   static char dir2 [] = "ru";

   /*** Vertical interpolation. ***/

   vints (imgbuf, xdim, ydim, level, nbox, xx, yy, dxx, dyy, dir2);

   return (0);
}
