/* cpgltois.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copy GL image into image array `imgbuf'.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   SMM C/P
 * 23 July 1992: SGI GL version.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

cpgltois (cbuf, dx, dy)

unsigned char *cbuf;		/* Pointer to image array. */
int dx, dy;			/* Image dimensions. */

{
   unsigned short *sbuf;
   int ix, iy;
   int ny;

   int xll = 63;
   int yll = 63;
   int xur = 510;
   int yur = 510;

   if (dx == 896)
      {
      xll = 1021;
      yll = 1021;
      xur =  125;
      yur =  125;
      }

   sbuf = (unsigned short *)  malloc (dx * dy * sizeof (short));

   /*** Read image from GL window into array `sbuf'. ***/

   rectread (xll, yll, xur, yur, sbuf);

   /*** Copy image from `sbuf' to `cbuf'. ***/

   for (iy = 0; iy < dy;  iy++)
      {
      ny = dy - iy - 1;
      for (ix = 0; ix < dx; ix++)
         {
         *(cbuf + ix + iy * dx) =
            (unsigned char) *(sbuf + ix + ny * dx);
         }
      }

   free (sbuf);
   return (0);
}
