/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * ov_init : Overlay set up.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <gl/gl.h>
#include "/usr/people/smm/lib/include/ov_color.h"

ov_init ()

{
   /*** Overlay set-up. ***/

   overlay (2);		/* Establish two bitplanes for overlay. */
   gconfig ();

   drawmode (OVERDRAW);		     /* Set overlay mode for drawing. */
   mapcolor (ov_black,   0,   0,   0);	/* color 0 -> black. */
   mapcolor (ov_red,   255,   0,   0);	/* color 0 -> red.   */
   mapcolor (ov_green,   0, 255,   0);	/* color 0 -> green. */
   mapcolor (ov_blue,    0,   0, 255);	/* color 0 -> blue.  */
   gl_wclear (ov_black);

   return (0);
}
