/* gl_wvec.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write vector in current GL window.
 * Assumes winopen () has been called.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 *  3 April 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

gl_wvec (xbeg, ybeg, xend, yend, mapindex)

int xbeg, ybeg;		/* Pixel location for start of vector. */
int xend, yend;		/* Pixel location for start of vector. */
int mapindex;		/* Color map index. */

{
   static int vbeg [2];
   static int vend [2];

   color (mapindex);

   vbeg [0] = xbeg;
   vbeg [1] = ybeg;
   vend [0] = xend;
   vend [1] = yend;

   bgnline ();
      v2i (vbeg);
      v2i (vend);
   endline ();

   return (0);
}
