/* imgwgl.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write image into GL window.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   SMM C/P   HAO/NCAR
 * 29 March 1991
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include <gl/gl.h>

imgwgl (imgbuf, nbypx, xs, ys, xdim, ydim, dir2)

unsigned short *imgbuf;		/* Image memory array. */
int nbypx;			/* # bytes per pixel. */
int xs, ys;			/* Location of image origin in window. */
int xdim, ydim;			/* Size of image (pixels). */
char *dir2;			/* Orientation to write image. */

{
   int xl, yl;			/* Lower left corner. */
   int xu, yu;			/* Upper right corner. */

   xl = xs;
   yl = ys;
   xu = xs + xdim - 1;
   yu = ys + ydim - 1;

   rectwrite (xl, yl, xu, yu, imgbuf);
         
   return (0);
}
