/* display.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * D I S P _ D E L ()	-
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include "scan.ext"

unsigned short int getbits ();

disp_del (row, col, drow, dcol)
int row, col, drow, dcol;
{
   int i;

   for (i = 0; i < drow; i++)
      {
      mvwaddstr (stdscr, i+row+2, col, "\n");
      }
   wrefresh (stdscr);
   return (0);
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * D I S P _ C T R L ()	- Display control options at bottom of screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

disp_ctrl ()
{
   disp_status (
"---Ctrl-F moves forward   |  Ctrl-B moves backward   |   Esc to exit menu    |\n");
   return (0);
}

disp_status (s)
char *s;
{
   extern WINDOW *Comm;

   wclear (Comm);
   wrefresh (Comm);
   mvwaddstr (Comm, 1, 0, s);
   wrefresh (Comm);
   overwrite (stdscr, Comm);
   return (0);
}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * D I S P _ H E A D ()	- Display "line" at top of screen.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
disp_head (line)
char *line;
{
   revon ();
   mvwaddstr (stdscr, 0, 0, line);
   wrefresh (stdscr);
   revoff ();
   return (0);
}
