/* lint(x, xtable, ytable, ntab)
 *
 * Linear interpolation: lint will interpolate on tables.
 *
 * Kevin Cole
 * converted to C by Andrew L. Stanger
 * SMM C/P   HAO/NCAR
 * 1 March 1984
 */

/* ------------------------------------------------------------------------- */

float
lint(x,xtable,ytable,ntab)

float x;
float xtable[], ytable[];
int ntab;

{
int i, k;
float y;


   for (i=1; i<ntab; i++)
     {
      k = i - 1;

      if(x < xtable[i])
        {
        y = ytable[k] + (ytable[k+1] - ytable[k])*((x - xtable[k])
              / (xtable[k+1] - xtable[k]));
        return(y);
        }

      if(x == xtable[i])  return(ytable[i]);
     }
   return(-1.);

}
