/* wcol.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write a column of pixel data into image array.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

wcol (imgbuf, nx, ny, cbuf, sx, sy, nbuf, dir1)

char *imgbuf;
int nx, ny;
char cbuf [];
int sx, sy;
int nbuf;
char dir1 [];

{
   int i;
   int iy;
   int maxy;

   if (sx > nx -1)
      {
      fprintf (stderr, "sx: %d  > nx-1: %d\n", sx, nx-1);
      return (-1);
      }

   i = 0;
   maxy = sy + nbuf;

   /*** Write imgbuf array in inverted vertical order. ***/

   for (iy = sy; iy < maxy; iy++)
      {
      if (iy < 0)
         {
         fprintf (stderr, "iy: %d  > 0\n", iy);
         return (-2);
         }
      if (iy > ny -1)
         {
         fprintf (stderr, "iy: %d  > ny-1: %d\n", iy, ny-1);
         return (-3);
         }
      *(imgbuf + sx + iy*nx) = cbuf [i++];
      }

   return (0);
}
