pro sp2i
; looksee at data for sp201-02
; Working directory: caliban:/local/d/projects/spartan/programs
; Date: 06-DEC-94

m=getspartan('I94_MET')
m=m/3600.

set_plot,'ps'

!fancy=2
!p.title='SP201-02 WLC, September 13-15, 1994'
!x.title='MET, hours'

!y.title='ORBIT NUMBER'
a=getspartan('I94_ORB')
device,filename='iorbno.ps'
plot,m,a,yrange=[0,30],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='IMAGE NUMBER'
a=getspartan('I94_IMG')
device,filename='img.ps'
plot,m,a,yrange=[0,50],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES YAW MEAN, Volts'
a=getspartan('I94_PYMEAN')
device,filename='pymean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='PES PITCH MEAN, Volts'
a=getspartan('I94_PPMEAN')
device,filename='ppmean.ps'
plot,m,a,yrange=[0,5],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Folding Mirror Position (PIA1A)'
a=getspartan('I94_PIA1AR10')
b=((a or 'fe'xb) - 'fe'xb)
device,filename='fmbit.ps'
plot,m,b,yrange=[-1,2],ysty=1,xrange=[0,45],xsty=1
device,/close

!y.title='Heat Dump Shutter Position (PIA1A)'
c=((a or 'fd'xb) - 'fd'xb) * 0.5
device,filename='hdsbit.ps'
plot,m,c,yrange=[-1,2],ysty=1,xrange=[0,45],xsty=1
device,/close

set_plot,'x'
end
