/* msgfmt.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Spartan 201-03 Message Data Formatter.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   17 Sep 1996
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

msgfmt (pmode)

int pmode ;					/* Print mode. */
{
   extern int msgmet_prev ;
   extern int ir, ib ;
   extern unsigned char  blkbuf [8200] ;
   extern unsigned char  *blkhdr ;
   extern unsigned char  *dbuf ;
   extern int dblknum  ;
   extern int derrcnt ;
   extern FILE *FD_MLOG ;

   /*** Sync Pattern (bytes 0-5) : 063 052 146 125 000 010 (octal) ***/

   int msg1 ;			/* bytes  6 -  7. */
   int msg1_met ;		/* bytes  8 - 11. */
   int msg2 ;			/* bytes 12 - 13. */
   int msg2_met ;		/* bytes 14 - 17. */
   int msg3 ;			/* bytes 18 - 19. */
   int msg3_met ;		/* bytes 20 - 23. */
   int msg4 ;			/* bytes 24 - 25. */
   int msg4_met ;		/* bytes 26 - 29. */
   int msg5 ;			/* bytes 30 - 31. */
   int msg5_met ;		/* bytes 32 - 35. */
   int msg_ptr ;		/* bytes 36 - 37. */

   return (0) ;
}
