/* neweng.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Write Spartan 201-3 Engineering Telemetry to a disk file.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   4 October 1996
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>
#include "sp201lib.h"

neweng (ebuf, pmode)

unsigned char ebuf [128] ;		/* Engineering telemetry buffer. */

{
   extern int ir ;			/* ir: current block (record) index. */
   extern int ib ;			/* ib: current byte index. */
   extern FILE *FD_ETLM ;
   int size_SPEH ;

   size_SPEH = sizeof (SPEH) ;

   /*** Write Engineering Telemetry to a disk file. ***/

/*
   if (fwrite (SPEH, size_SPEH, 1, FD_ETLM) == 0)
      {
      fprintf (stderr, "neweng> write error... ir: %d  ib: %d\n", ir, ib) ;
      exit (-1) ;
      }
 */

   if (fwrite (ebuf, 128, 1, FD_ETLM) == 0)
      {
      fprintf (stderr, "neweng> write error... ir: %d  ib: %d\n", ir, ib) ;
      exit (-1) ;
      }

   return (0) ;
}
