/* newblk.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Read new data block (8200 bytes).
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR   18 Sep 1996
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
#include <stdio.h>

newblk ()

{
   extern int met_prev ;
   extern int ir ;			/* ir: current block (record) index. */
   extern int ib ;			/* ib: current byte index. */
   extern unsigned char blkbuf [8200] ;
   extern unsigned char *blkhdr ;
   extern unsigned char *dbuf ;
   extern int dblknum  ;
   extern int derrcnt ;
   extern FILE *FD_RAW, *FD_IMG, *FD_LOG ;

   fread (blkbuf, 1, 8200, FD_RAW) ;
   ir++ ;
   ib = 0 ;
   blkhdr = blkbuf ;
   dbuf   = blkbuf + 8 ;

   dblknum = int4rev (&blkhdr [0]) ;
   derrcnt = int4rev (&blkhdr [4]) ;
   if (derrcnt != 0)
      fprintf (FD_LOG, "  dblknum : %4d  derrcnt: %4d\n", dblknum, derrcnt) ;
   fflush (FD_LOG) ;

   return (0) ;
}
