/* chkmet.c
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Check metgmt.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Andrew L. Stanger   HAO/NCAR
 * 4 Dec 1998
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 */

main (argc, argv)

int argc ;
char *argv [] ;

{
   int iyear0, idoy0, ihour0, imin0;		/* Initial GMT. */
   float fsec0;					/* Initial seconds. */
   int sct0;					/* Initial MET. */
   int met;					/* Image MET. */
   int kyear, kdoy, khour, kmin;		/* Image GMT. */
   float ksec ;
   int isec ;

   iyear0 = 1998 ;
   idoy0  =   0 ;
   ihour0 =   0 ;
   imin0  =   0 ;
   fsec0  =   0.0 ;

   sscanf (argv [1], "%d", &met) ;
   printf ("MET: %d\n", met) ;

   metgmt (iyear0, idoy0, ihour0, imin0, fsec0, sct0, met,
            &kyear,  &kdoy,  &khour,  &kmin,  &ksec) ;

   isec = (int) ksec ;

   printf ("ET : %4d   %03d - %02d:%02d:%02d [%5.2f]\n",
	    kyear, kdoy, khour, kmin, isec, ksec) ;

   iyear0 = 1998 ;
   idoy0  = 305 ;
   ihour0 = 19 ;
   imin0  =  4 ;
   fsec0  = 44.0 ;

   metgmt (iyear0, idoy0, ihour0, imin0, fsec0, sct0, met,
            &kyear,  &kdoy,  &khour,  &kmin,  &ksec) ;

   isec = (int) ksec ;

   printf ("GMT: %4d   %03d - %02d:%02d:%02d [%5.2f]\n",
	    kyear, kdoy, khour, kmin, isec, ksec) ;

   exit (0) ;
}
