pro yfp_rfp
; Journal File for card@puck
; Working directory: /local/d/spartan/SP201_data/tape_images
; Date: Mon Jan 10 07:31:33 1994

m=getspartan('T93_MET')
m=m/3600.
y=getspartan('T93_YFP')
r=getspartan('T93_RFP')
c=getspartan('T93_CSP')
c=c/200. - 100.
w=getspartan('T93_LWLC')
w=w/10. - 100.
!fancy=2
!p.title='SP201-01 WLC, APRIL 11-13, 1993'
!x.title='MET, hours'

!y.title='YFP, arcsec'
set_plot,'ps'
device,filename='yfp_1.ps'
plot,m,y,xrange=[0,3],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_2.ps'
plot,m,y,xrange=[3,6],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_3.ps'
plot,m,y,xrange=[6,9],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_4.ps'
plot,m,y,xrange=[9,12],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_5.ps'
plot,m,y,xrange=[12,15],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_6.ps'
plot,m,y,xrange=[15,18],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_7.ps'
plot,m,y,xrange=[18,21],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_8.ps'
plot,m,y,xrange=[21,24],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_9.ps'
plot,m,y,xrange=[24,27],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_10.ps'
plot,m,y,xrange=[27,30],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_11.ps'
plot,m,y,xrange=[30,33],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_12.ps'
plot,m,y,xrange=[33,36],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_13.ps'
plot,m,y,xrange=[36,39],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_14.ps'
plot,m,y,xrange=[39,42],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='yfp_15.ps'
plot,m,y,xrange=[42,45],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

!y.title='RFP, arcsec'
device,filename='rfp_1.ps'
plot,m,r,xrange=[0,3],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_2.ps'
plot,m,r,xrange=[3,6],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_3.ps'
plot,m,r,xrange=[6,9],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_4.ps'
plot,m,r,xrange=[9,12],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_5.ps'
plot,m,r,xrange=[12,15],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_6.ps'
plot,m,r,xrange=[15,18],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_7.ps'
plot,m,r,xrange=[18,21],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_8.ps'
plot,m,r,xrange=[21,24],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_9.ps'
plot,m,r,xrange=[24,27],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_10.ps'
plot,m,r,xrange=[27,30],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_11.ps'
plot,m,r,xrange=[30,33],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_12.ps'
plot,m,r,xrange=[33,36],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_13.ps'
plot,m,r,xrange=[36,39],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_14.ps'
plot,m,r,xrange=[39,42],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

device,filename='rfp_15.ps'
plot,m,r,xrange=[42,45],yrange=[-100,100]
oplot,m,c
oplot,m,w
device,/close

set_plot,'x'
end
