/* jd.c
 *------------------------------------------------------------------------------
 * Test jdate.c
 *------------------------------------------------------------------------------
 * Andrew L. Stanger   HAO/NCAR   19 Dec 2002
 *------------------------------------------------------------------------------
 */
#include <stdio.h>

main (argc, argv) 

int argc ;
char *argv [] ;

{
    extern double jdate () ;
    double juld ;

    int year ;
    int month; 
    int day ;
    int hour ;
    int minute ;
    int second ;

    if (argc < 7)
	{
	fprintf (stderr, "usage: %s year month day hour minute second\n",
		 argv [0]) ;
        exit (0) ;
	}

    sscanf (argv [1], "%d", &year) ;
    sscanf (argv [2], "%d", &month) ;
    sscanf (argv [3], "%d", &day) ;
    sscanf (argv [4], "%d", &hour) ;
    sscanf (argv [5], "%d", &minute) ;
    sscanf (argv [6], "%d", &second) ;

    juld = jdate (year, month, day, hour, minute, second) ;

    printf ("date: %04d-%02d-%02d  %02d:%02d:%02d\n",
	     year, month, day, hour, minute, second) ;
    printf ("julian date: %14.4f\n", juld) ;

    exit (0) ;
}
