#!/opt/local/bin/perl

use strict;
#use lib ("/opt/share/PUBLIC/bin.SunOS/ImageMagick/lib/perl5/site_perl/sun4-solaris");
#use Image::Magick;

open CHIPTIME, "</toshi/ftp/d5/www/latestchiptime";
my $chip_time = <CHIPTIME>;
close CHIPTIME;

open LIMBTIME, "</toshi/ftp/d5/www/latestdpmLIMBtime";
my $limb_time = <LIMBTIME>;
close LIMBTIME;

open DISKTIME, "</toshi/ftp/d5/www/latestdpmDISKtime";
my $disk_time = <DISKTIME>;
close DISKTIME;

open MK4TIME, "</toshi/ftp/d5/www/latestmk4time";
my $mk4_time = <MK4TIME>;
close MK4TIME;

open BLUETIME, "</toshi/ftp/d5/www/pspt.blue.time";
my $blue_time = <BLUETIME>;
close BLUETIME;

open CAKTIME, "</toshi/ftp/d5/www/pspt.cak.time";
my $cak_time = <CAKTIME>;
close CAKTIME;

open REDTIME, "</toshi/ftp/d5/www/pspt.red.time";
my $red_time = <REDTIME>;
close REDTIME;

my $images = "http://download.hao.ucar.edu/d5/www/images";
my $styles = "http://download.hao.ucar.edu/d5/www/styles";
my $rootdir = $ENV{DOCUMENT_ROOT};
my @filestats = stat "mlso_homepage.cgi";
my @gm_arr = localtime($filestats[9]);
my $create_str = sprintf("%02d/%02d/%02d %02d:%02d:%02d",
	$gm_arr[4]+1,$gm_arr[3],$gm_arr[5]-100,$gm_arr[2],$gm_arr[1],$gm_arr[0]);

print <<END_OF_PAGE;
Content-type: text/html

<html>
<head>
<title>MLSO Analysis Center Homepage</title>

<link rel="stylesheet" type="text/css"
href="$styles/mlsohome.css" />

<script language="JavaScript">
<!--

function MM_swapImgRestore() { //v2.0
  if (document.MM_swapImgData != null)
    for (var i=0; i<(document.MM_swapImgData.length-1); i+=2)
      document.MM_swapImgData[i].src = document.MM_swapImgData[i+1];
}

function MM_preloadImages() { //v2.0
  if (document.images) {
    var imgFiles = MM_preloadImages.arguments;
    if (document.preloadArray==null) document.preloadArray = new Array();
    var i = document.preloadArray.length;
    with (document) for (var j=0; j<imgFiles.length; j++) if (imgFiles[j].charAt(0)!="#"){
      preloadArray[i] = new Image;
      preloadArray[i++].src = imgFiles[j];
  } }
}

function MM_swapImage() { //v2.0
  var i,j=0,objStr,obj,swapArray=new Array,oldArray=document.MM_swapImgData;
  for (i=0; i < (MM_swapImage.arguments.length-2); i+=3) {
    objStr = MM_swapImage.arguments[(navigator.appName == 'Netscape')?i:i+1];
    if ((objStr.indexOf('document.layers[')==0 && document.layers==null) ||
        (objStr.indexOf('document.all[')   ==0 && document.all   ==null))
      objStr = 'document'+objStr.substring(objStr.lastIndexOf('.'),objStr.length);
    obj = eval(objStr);
    if (obj != null) {
      swapArray[j++] = obj;
      swapArray[j++] = (oldArray==null || oldArray[j-1]!=obj)?obj.src:oldArray[j];
      obj.src = MM_swapImage.arguments[i+2];
  } }
  document.MM_swapImgData = swapArray; //used for restore
}
//-->

</script>
</head>

<body onLoad="MM_preloadImages('$images/btnContact2.png','#88238');MM_preloadImages('$images/btnData2.png','#88238');MM_preloadImages('$images/btnDocs2.png','#88238');MM_preloadImages('$images/btnHome2.png','#88238');MM_preloadImages('$images/btnImages2.png','#88238');MM_preloadImages('$images/btnInst2.png','#88238');MM_preloadImages('$images/btnMissions2.png','#88238');MM_preloadImages('$images/btnMovies2.png','#88238');MM_preloadImages('$images/btnSpaceWx2.png','#88238')">


<div align="center">
<img src='$images/mlso_banner3.gif'>
<br>

<a href="mlso_homepage.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.homeBtn','document.homeBtn', '$images/btnHome2.png')">
<img name="homeBtn" border="0" src="$images/btnHome2.png"></a><a 

href="mlso_data.cgi?2001&MLSO" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.dataBtn','document.dataBtn',
'$images/btnData2.png')"><img  border="0" name="dataBtn" src="$images/btnData1.png"></a><!--<a 

href="mlso_instruments.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.instrumentsBtn','document.instrumentsBtn','$images/btnInst2.png')"
><img name="instrumentsBtn" border="0" src="$images/btnInst1.png"></a><a 

href="mlso_documentation.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.docsBtn','document.docsBtn','$images/btnDocs2.png')"
><img name="docsBtn" border="0" src="$images/btnDocs1.png"></a><a 

href="mlso_spacewx.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.spacewxBtn','document.spacewxBtn','$images/btnSpaceWx2.png')"
><img name="spacewxBtn" border="0" src="$images/btnSpaceWx1.png"></a><a 

href="mlso_pastmissions.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.missionsBtn','document.missionsBtn','$images/btnMissions2.png')"
><img name="missionsBtn" border="0" src="$images/btnMissions1.png"></a>--><a 

href="mlso_contact.cgi" onMouseOut="MM_swapImgRestore()" 
onMouseOver="MM_swapImage('document.contactusBtn','document.contactusBtn','$images/btnContact2.png')"
><img name="contactusBtn" border="0" src="$images/btnContact1.png"></a> 
</div>

<br>

<table cellspacing="0" align="center">
  <tr>
    <th colspan="4" class="title">Latest MLSO Images</th>
  </tr>
  <tr>
    <td class="insttitle">Mark-IV </td>
    <td class="insttitle">PICS Limb</td> 
    <td class="insttitle">PICS Disc</td> 
    <td class="insttitle">CHIP</td>
  </tr>
  <tr>
  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.mk4.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.mk4.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.limb.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.limb.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.disk.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.disk.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>

  <td>
     <A  href="http://mlso.hao.ucar.edu/latest.chip.gif">
     <img src="http://mlso.hao.ucar.edu/latestsmall.chip.gif" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>
  </tr>
  <tr>
  <td class="caption"> K-Corona <br> 700-950 nm <br> $mk4_time <br> 
   <a href="http://download.hao.ucar.edu/d5/mk4/raw_daily_image/todays_mk4_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> H-Alpha Limb <br> 656.3 nm <br> $limb_time <br>
   <a href="http://download.hao.ucar.edu/d5/dpm/raw_daily_image/todays_hal_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> H-Alpha Disk  <br> 656.3 nm <br> $disk_time <br>
   <a href="http://download.hao.ucar.edu/d5/dpm/raw_daily_image/todays_had_mov.gif">
   Movie [merged-GIF]</a> </td>
  <td class="caption"> Helium-I  <br>1083 nm <br> $chip_time <<br>
   <a href="http://download.hao.ucar.edu/d5/chip/raw_daily_image/todays_he1_mov.gif">
   Movie [merged-GIF]</a> </td>
  </tr>

</table>

<table cellspacing="0" align="center">
  <tr>
    <td class="insttitle">PSPT CaIIk </td>
    <td class="insttitle">PSPT Blue </td>
    <td class="insttitle">PSPT Red </td>
  </tr>
  <tr>
  <td>
     <A  href="http://rise.hao.ucar.edu/data/daily/pspt.cak.jpg">
     <img src="http://rise.hao.ucar.edu/data/daily/pspt.cak.small.jpg" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>
  <td>
     <A  href="http://rise.hao.ucar.edu/data/daily/pspt.blue.jpg">
     <img src="http://rise.hao.ucar.edu/data/daily/pspt.blue.small.jpg" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>
  <td>
     <A  href="http://rise.hao.ucar.edu/data/daily/pspt.red.jpg">
     <img src="http://rise.hao.ucar.edu/data/daily/pspt.red.small.jpg" height=170 width=170 hspace=3 vspace=5>
     </A>
  </td>
  </tr>
  <tr>
	<td class="caption">CaIIk <br>393 nm <br> $cak_time <br </td>    
	<td class="caption">Blue <br>408-412 nm <br> $blue_time </td>    
	<td class="caption">Red <br>605-610 nm <br> $red_time</td>    
  </tr>
</table>

<div align="center">
<img src='$images/ncartext.gif'>
</div>

<address>
<p>Webpage written and maintained by: <br>
<a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a> <br>
Last modified:  $create_str
</p>
</address>

</body> 
</html>

END_OF_PAGE
