#!/opt/local/bin/perl

use strict;
#use lib ("/opt/share/PUBLIC/bin.SunOS/ImageMagick/lib/perl5/site_perl/sun4-solaris");
#use Image::Magick;
use mlso_navbar;

#my $base = "http://hao.ucar.edu/internal/cgi-bin";
my $base = "http://mlso.hao.ucar.edu/cgi-bin";
my $images = "http://download.hao.ucar.edu/d5/www/images";
my $styles = "http://download.hao.ucar.edu/d5/www/styles";
my @filestats = stat "mlso_contact.cgi";
my @gm_arr = localtime($filestats[9]);
my $create_str = sprintf("%02d/%02d/%02d %02d:%02d:%02d",
        $gm_arr[4]+1,$gm_arr[3],$gm_arr[5]-100,$gm_arr[2],$gm_arr[1],$gm_arr[0]);

print <<END_OF_PAGE;
Content-type: text/html

<html>
<head>

<link rel="stylesheet" type="text/css"
href="$styles/mlsohome.css" />

END_OF_PAGE

PrintJavaScript();
PrintACOSbar("mlso_banner3.sml.gif");

print <<END_OF_PAGE;
<br>
<h1 class="datatitle">MLSO Data Requests</h1>
<p class="text">
The data presented on this website is far from a complete representation of all of the 
available MLSO data.  For example, there is MK3 data available as far back as 1980.  We
also provide CHIP Helium 10830 data and PICS H-Alpha limb and disk data  back to 1996.  
To get this data, simply email <a class="data" href=mailto:mlso_data_requests\@ucar.edu>Data Requests</a>
and we will gladly provide you with the data you need.
</p>

<h1 class="datatitle">HAO/MLSO Staff </h1>

<table align="center">
<tr>
<th class="staff">ACOS</th>
<th class="staff"></th>
<th class="staff"><a href="http://rise.hao.ucar.edu">RISE/PSPT</a></th>
<th class="staff"></th>
<th class="staff"><a href="http://www.hao.ucar.edu/public/research/mlso/LowL/lowl.html">ECHO</a></th>
<th class="staff"></th>
<th class="staff">Instrumentation<br>Group</th>
<th class="staff"></th>
<th class="staff">MLSO Observers</th>
<tr>
<td class="staff"><a href="mailto:holzer\@ucar.edu">Tom Holzer</a></td>
<td></td>
<td class="staff">Peter Fox</td>
<td></td>
<td class="staff">Steve Tomczyk</td>
<td></td>
<td class="staff">Kim Streander</td>
<td></td>
<td class="staff">Eric Yasukawa</td>
<tr>
<td class="staff"><a href="mailto:iguana\@ucar.edu">Joan Burkepile</a></td>
<td></td>
<td class="staff">Mark Rast</td>
<td></td>
<td class="staff">Jonathan Graham</td>
<td></td>
<td class="staff">David Elmore</td>
<td></td>
<td class="staff">Darryl Koon</td>
<tr>
<td class="staff"><a href="mailto:stanger\@ucar.edu">Andrew Stanger</a></td>
<td></td>
<td class="staff"><a href="mailto:meisner\@ucar.edu">Randy Meisner</a></td>
<td></td>
<td></td>
<td></td>
<td class="staff">Alice Lecinski</td>
<td></td>
<tr>
<td class="staff"><a href="mailto:iggy\@ucar.edu">Holly Gilbert</a></td>
<td></td>
<td></td>
<tr>
<td class="staff"><a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a></td>
<tr>
</table>

<div align="center">
<img src='$images/ncartext.gif'>
</div>

<address>
<p>Webpage written and maintained by: <br>
<a href="mailto:tdarnell\@ucar.edu">Tony Darnell</a> <br>
Last modified:  $create_str
</p>
</address>

</body> 
</html>

END_OF_PAGE
